------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Text_IO; use Text_IO;

package body Aadl_Config is

   procedure Put is

   begin

      Put_Line ("AADL configuration variable : ");

      Put ("Activate AADL Debug switch ; Aadl_Debug = " & Aadl_Debug'Img);
      Put
        (
"Include system/sub-system name in Cheddar's features name ; Aadl_Import_With_System_Name = "
         &
         Aadl_Import_With_System_Name'Img);
      Put
        (
"Transform event port to task precedencies ;  Aadl_Import_Event_To_Precedencies = "
         &
         Aadl_Import_Event_To_Precedencies'Img);
      Put
        (
"Transform event data port to task precedencies ;  Aadl_Import_Event_Data_To_Precedencies = "
         &
         Aadl_Import_Event_Data_To_Precedencies'Img);
      Put
        (
"Transform event port to buffers and messages ; Aadl_Import_Event_To_Buffers_Messages = "
         &
         Aadl_Import_Event_To_Buffers_Messages'Img);
      Put
        (
"Transform event data port to buffers and messages ; Aadl_Import_Event_Data_To_Buffers_Messages = "
         &
         Aadl_Import_Event_Data_To_Buffers_Messages'Img);
      Put
        (
"Transform task precedencies to event port ; Aadl_Export_Precedencies_To_Event = "
         &
         Aadl_Export_Precedencies_To_Event'Img);
      Put
        (
"Transform task precedencies to event data port ; Aadl_Export_Precedencies_To_Event_Data = "
         &
         Aadl_Export_Precedencies_To_Event_Data'Img);
      Put
        (
"Transform task precedencies to a Cheddar's properties ; Aadl_Export_Precedencies_To_Properties = "
         &
         Aadl_Export_Precedencies_To_Properties'Img);
      Put
        (
"Process the second AADL import pass which binds software components to hardware components ; Aadl_Process_Second_Import_Pass = "
         &
         Aadl_Process_Second_Import_Pass'Img);
      Put
        (
"Process the third AADL import pass which build component relationships ; Aadl_Process_Third_Import_Pass = "
         &
         Aadl_Process_Third_Import_Pass'Img);

   end Put;

end Aadl_Config;
