------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
-----------------------------------------------------------------------------
------------------------------------------------------------------------------

with Text_IO; use Text_IO;

package body Editor_Config is

   procedure Put is

   begin

      Put_Line ("Editor configuration variable : ");

   end Put;

   procedure Initialize
     (B     : in out Data_From_Simulation_Table;
      Value : in Boolean)
   is
   begin
      for I in  Data_From_Simulation_Table'Range loop
         B (I) := Value;
      end loop;
   end Initialize;

begin

   -- Initialize table of options
   --
   Initialize (Response_Time_From_Simulation, False);
   Initialize (Blocking_Time_From_Simulation, False);
   Response_Time_From_Simulation (Worst_Case) := True;
   Initialize (Generate_Events, True);

end Editor_Config;
