------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
--
--  Any modification of this file will be lost.
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model.
------------------------------------------------------------------------------

------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded.Text_IO; use Ada.Strings.Unbounded.Text_IO;

with Text_IO; use Text_IO;

with Unbounded_Strings; use Unbounded_Strings;

package body Address_Spaces is

   -- --------= Address_Space =--------

   procedure Initialize (obj : in out Address_Space) is
   begin
      Initialize (Generic_Object (obj));
      obj.Cpu_Name          := Empty_String;
      obj.Text_Memory_Size  := 0;
      obj.Stack_Memory_Size := 0;
      obj.Data_Memory_Size  := 0;
      obj.Heap_Memory_Size  := 0;
      obj.Object_Type       := Address_Space_Object_Type;
   end Initialize;

   function Copy (obj : in Address_Space) return Address_Space_Ptr is
      New_Address_Space : Address_Space_Ptr;
   begin
      New_Address_Space := new Address_Space'(obj);
      return Address_Space_Ptr (New_Address_Space);
   end Copy;

   function Copy (obj : in Address_Space_Ptr) return Address_Space_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Address_Space) is
   begin
      Put (Generic_Object (obj));
      Put ("Cpu_Name: ");
      Put (obj.Cpu_Name);
      Put ("; ");
      Put ("Text_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Text_Memory_Size);
      Put ("; ");
      Put ("Stack_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Stack_Memory_Size);
      Put ("; ");
      Put ("Data_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Data_Memory_Size);
      Put ("; ");
      Put ("Heap_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Heap_Memory_Size);
      Put ("; ");
      Put ("Scheduler: ");
      Put (obj.Scheduler);
      Put ("; ");
   end Put;

   procedure Put (obj : in Address_Space_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Address_Space_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Address_Space_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

end Address_Spaces;
