
------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with ada.strings.unbounded;
use ada.strings.unbounded;
with standards_io;
use standards_io;
use standards_io.natural_io;
with Processors;
use Processors;
with scheduler;
use scheduler;
with Objects;
use Objects;
with Unchecked_Deallocation;



Package Address_Spaces is 
 

-- --------= Address_Space =--------
 
type Address_Space is new Generic_Object with 
record
 Cpu_Name : unbounded_string;
 Text_Memory_Size : Natural;
 Stack_Memory_Size : Natural;
 Data_Memory_Size : Natural;
 Heap_Memory_Size : Natural;
 Scheduler : Scheduler_Ptr;
end record;

type Address_Space_Ptr is access all Address_Space'Class;

procedure Initialize(obj : in out Address_Space);

procedure Put(obj : in Address_Space);

procedure Put(obj : in Address_Space_Ptr);

procedure Put_Name(obj : in Address_Space_Ptr);

function Get_Name (obj : in Address_Space_Ptr) return Unbounded_String;

function Copy(obj : in Address_Space_Ptr) return Address_Space_Ptr;

function Copy(obj : in Address_Space) return Address_Space_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Address_Space'Class, Address_Space_Ptr);


End Address_Spaces;
