------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Task_Set;
USE Task_Set;
USE Task_Set.Generic_Task_Set;
WITH Ada.Numerics.Aux;
USE Ada.Numerics.Aux;


PACKAGE Buffers.Extended IS


   FUNCTION Is_Cons_Prod_Harmonic (
         My_Buff  : IN     Buffer_Ptr;
         My_Tasks : IN     Tasks_Set)
     RETURN Boolean;


   Flow_Constraint_Not_Respected : EXCEPTION;
   Task_Model_Error              : EXCEPTION;


   PROCEDURE Buffer_Flow_Control (
         My_Buff   : IN     Buffer_Ptr;
         My_Tasks  : IN     Tasks_Set;
         Flow_Cons : IN OUT Double;
         Flow_Prod : IN OUT Double);


END Buffers.Extended;

