------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
--
--  Any modification of this file will be lost.
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model.
------------------------------------------------------------------------------

------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded.Text_IO; use Ada.Strings.Unbounded.Text_IO;

with Text_IO; use Text_IO;

with Unbounded_Strings; use Unbounded_Strings;

package body Buffers is

   -- --------= Buffer_Role =--------

   procedure Initialize (obj : out Buffer_Role) is
   begin
      obj.The_Role := No_Role;
      obj.Size     := 0;
      obj.Time     := 0;
   end Initialize;

   procedure Put (obj : in Buffer_Role) is
   begin
      Put ("The_Role: ");
      Put (obj.The_Role);
      Put ("; ");
      Put ("Size: ");
      Standards_Io.Natural_Io.Put (obj.Size);
      Put ("; ");
      Put ("Time: ");
      Standards_Io.Natural_Io.Put (obj.Time);
      Put ("; ");
   end Put;

   procedure Put (obj : in Buffer_Role_Ptr) is
   begin
      Put (obj.all);
   end Put;

   -- --------= Buffer =--------

   procedure Initialize (obj : in out Buffer) is
   begin
      Initialize (Generic_Object (obj));
      obj.Cpu_Name           := Empty_String;
      obj.Address_Space_Name := Empty_String;
      obj.Size               := 0;
      Initialize (obj.Roles);
      obj.X           := 0;
      obj.Y           := 0;
      obj.Object_Type := Buffer_Object_Type;
   end Initialize;

   function Copy (obj : in Buffer) return Buffer_Ptr is
      New_Buffer : Buffer_Ptr;
   begin
      New_Buffer := new Buffer'(obj);
      return Buffer_Ptr (New_Buffer);
   end Copy;

   function Copy (obj : in Buffer_Ptr) return Buffer_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Buffer) is
   begin
      Put (Generic_Object (obj));
      Put ("Cpu_Name: ");
      Put (obj.Cpu_Name);
      Put ("; ");
      Put ("Address_Space_Name: ");
      Put (obj.Address_Space_Name);
      Put ("; ");
      Put ("Queueing_System_Type: ");
      Put (obj.Queueing_System_Type);
      Put ("; ");
      Put ("Size: ");
      Standards_Io.Natural_Io.Put (obj.Size);
      Put ("; ");
      Put ("Roles: ");
      Put (obj.Roles);
      Put ("; ");
      Put ("X: ");
      Standards_Io.Natural_Io.Put (obj.X);
      Put ("; ");
      Put ("Y: ");
      Standards_Io.Natural_Io.Put (obj.Y);
      Put ("; ");
   end Put;

   procedure Put (obj : in Buffer_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Buffer_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Buffer_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

end Buffers;
