
------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with standards_io;
use standards_io;

use standards_io.natural_io;

with Indexed_Tables;

with framework_config;
use framework_config;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Ada.Strings.Unbounded.Text_Io;
use Ada.Strings.Unbounded.Text_Io;

with Queueing_System;
use Queueing_System;

use Queueing_System.qs_io;

with ada.strings.unbounded;
use ada.strings.unbounded;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Buffers is 
 
type Role_type is (
	No_Role,
	Producer,
	Consumer);

procedure To_Role_type is
new Convert_Strings(Role_type, No_Role);
procedure To_Role_type is
new Convert_Unbounded_Strings(Role_type, No_Role);
package Role_type_io is new text_io.enumeration_io(Role_type);
use Role_type_io;


-- --------= Buffer_Role =--------
 
type Buffer_Role is
record
 The_Role : Role_type;
 Size : Natural;
 Time : Natural;
end record;

type Buffer_Role_Ptr is access all Buffer_Role;
 

procedure Initialize(obj : out Buffer_Role);

procedure Put(obj : in Buffer_Role);

procedure Put(obj : in Buffer_Role_Ptr);

package Buffer_Roles is new Indexed_Tables(Buffer_Role, Unbounded_String, framework_config.max_tasks, 0, Put, Initialize, Put);
use Buffer_Roles;

subtype Buffer_Roles_Table is Buffer_roles.Indexed_Table;

subtype Buffer_Roles_Range is Buffer_roles.Indexed_Table_Range;


-- --------= Buffer =--------
 
type Buffer is new Generic_Object with 
record
 Cpu_Name : unbounded_string;
 Address_Space_Name : unbounded_string;
 Queueing_System_Type : queueing_systems_type;
 Size : Natural;
 Roles : Buffer_Roles_Table;
 X : Natural;
 Y : Natural;
end record;

type Buffer_Ptr is access all Buffer'Class;

procedure Initialize(obj : in out Buffer);

procedure Put(obj : in Buffer);

procedure Put(obj : in Buffer_Ptr);

procedure Put_Name(obj : in Buffer_Ptr);

function Get_Name (obj : in Buffer_Ptr) return Unbounded_String;

function Copy(obj : in Buffer_Ptr) return Buffer_Ptr;

function Copy(obj : in Buffer) return Buffer_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Buffer'Class, Buffer_Ptr);


End Buffers;
