------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Call_Framework;
USE Call_Framework;
WITH Processors;
USE Processors;
WITH Processor_Set;
USE Processor_Set;
USE Processor_Set.Generic_Processor_Set;
WITH Systems;
USE Systems;
WITH Ada.Strings.Unbounded;
USE  Ada.Strings.Unbounded;




PACKAGE Call_Dependency_Framework  IS




   PROCEDURE Chetto_Parameter_Modifications (
         Sys                : IN OUT System;
         Result             : IN OUT Unbounded_String;
         A_Processor        : IN     Processor_Ptr;
         Compute_Deadlines  : IN     Boolean;
         Compute_Priorities : IN     Boolean;
         Update_Tasks_Set   : IN     Boolean;
         Output             : IN     Output_Format    := String_Output);


   PROCEDURE Compute_End_To_End_Response_Time (
         Sys              : IN OUT System;
         Result           : IN OUT Unbounded_String;
         Update_Tasks_Set : IN     Boolean;
         One_Step         : IN     Boolean;
         Output           : IN     Output_Format    := String_Output);



END Call_Dependency_Framework;


