------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------




WITH Task_Set;
USE Task_Set;
WITH Message_Set;
USE Message_Set;
WITH Processor_Set;
USE Processor_Set;
WITH Task_Dependencies;
USE Task_Dependencies;
WITH Scheduler;
USE Scheduler;

PACKAGE Distributed_Scheduling IS



   Internal_Error : EXCEPTION;


   PROCEDURE Tindell (
         My_Tasks      : IN OUT Tasks_Set;
         My_Messages   : IN OUT Messages_Set;
         My_Deps       : IN     Tasks_Dependencies;
         My_Processors : IN     Processors_Set;
         Response_Time :    OUT Scheduler.Response_Table);



END Distributed_Scheduling;

