------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Text_IO; use Text_IO;

package body Event_Analyzers is

   procedure Put (My_Event_Analyzer : in Event_Analyzer_Ptr) is
   begin
      Put_Line
        ("Event handler : " &
         To_String (My_Event_Analyzer.Behavior_File_Name));
      Put_Line
        ("Event handler : " & To_String (My_Event_Analyzer.String_Behavior));
   end Put;

   function Copy
     (My_Event_Analyzer : in Event_Analyzer_Ptr)
      return              Event_Analyzer_Ptr
   is
      New_Event : Event_Analyzer_Ptr;
   begin
      New_Event     := new Event_Analyzer;
      New_Event.all := My_Event_Analyzer.all;
      return New_Event;
   end Copy;

end Event_Analyzers;
