------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


PACKAGE Events IS



   TYPE Time_Unit_Event_Type IS
         (Start_Of_Task_Capacity,
          End_Of_Task_Capacity,
          Write_To_Buffer,
          Read_From_Buffer,
          Running_Task,
          Task_Activation,
          Send_Message,
          Receive_Message,
          Allocate_Resource,
          Release_Resource,
          Wait_For_Resource);


   TYPE Time_Unit_Event_Type_Boolean_Table IS ARRAY (Time_Unit_Event_Type'RANGE) OF Boolean;

   PROCEDURE Initialize (
         E   : IN OUT Time_Unit_Event_Type_Boolean_Table;
         Val : IN     Boolean);


END Events;



