------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Objects;
USE Objects;
WITH Ada.Strings.Unbounded;
USE Ada.Strings.Unbounded;

PACKAGE Networks IS


   TYPE Type_Of_Network IS
         (Bounded_Delay,
          Parametric_Delay);

   TYPE Network IS NEW Generic_Object WITH
      RECORD
         Network_Type : Type_Of_Network;
      END RECORD;

   TYPE Network_Ptr IS ACCESS ALL Network'Class;

   PROCEDURE Put (
         My_Network : IN     Network_Ptr);

   PROCEDURE Free (
         My_Network : IN OUT Network_Ptr);

   FUNCTION Copy (
         My_Network : IN     Network_Ptr)
     RETURN Network_Ptr;

   PROCEDURE Initialize (
         My_Network : IN OUT Network);

   FUNCTION Get_Name (
         My_Network : IN     Network_Ptr)
     RETURN Unbounded_String;




END Networks;







