
------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with ada.strings.unbounded;
use ada.strings.unbounded;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with Ada.Finalization;

with Unchecked_Deallocation;



Package Objects is 
 
type Objects_Type is (
	Buffer_Object_Type,
	Processor_Object_Type,
	Task_Object_Type,
	Resource_Object_Type,
	Address_Space_Object_Type,
	Message_Object_Type,
	Network_Object_Type);

procedure To_Objects_Type is
new Convert_Strings(Objects_Type, Buffer_Object_Type);
procedure To_Objects_Type is
new Convert_Unbounded_Strings(Objects_Type, Buffer_Object_Type);
package Objects_Type_io is new text_io.enumeration_io(Objects_Type);
use Objects_Type_io;


-- --------= Generic_Object =--------
 
type Generic_Object is new Ada.Finalization.Controlled with 
record
 Name : unbounded_string;
 Object_Type : Objects_Type;
end record;

type Generic_Object_Ptr is access all Generic_Object'Class;

procedure Initialize(obj : in out Generic_Object);

procedure Put(obj : in Generic_Object);

procedure Put(obj : in Generic_Object_Ptr);

procedure Put_Name(obj : in Generic_Object_Ptr);

function Get_Name (obj : in Generic_Object_Ptr) return Unbounded_String;

function Copy(obj : in Generic_Object_Ptr) return Generic_Object_Ptr;

function Copy(obj : in Generic_Object) return Generic_Object_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Generic_Object'Class, Generic_Object_Ptr);


End Objects;
