------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------


WITH Tables;



PACKAGE Parameters.extended IS

 

  
   -- Empty user defined parameter table
   --
   No_User_Defined_Parameter : User_Defined_Parameters_Table;


   ----------------------------------------------------------------------
   -- Table of framework parameters
   ----------------------------------------------------------------------
   PACKAGE Framework_Parameters_Table_Package IS NEW Tables(Parameter_Ptr,
      Max_Framework_Parameters,Put);


   -- Range and type of framework parameter tables
   --
   SUBTYPE Framework_Parameters_Range IS
      Framework_Parameters_Table_Package.
      Table_Range;
   SUBTYPE Framework_Parameters_Table IS
      Framework_Parameters_Table_Package.
      Table;


   -- Empty framework parameter table
   --
   No_Framework_Parameter : Framework_Parameters_Table;



END Parameters.extended;



