------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with standards_io;
use standards_io;

use standards_io.boolean_io;

use standards_io.integer_io;

with Ada.Numerics.Aux;
use Ada.Numerics.Aux;

use standards_io.double_io;

with ada.strings.unbounded;
use ada.strings.unbounded;

with Tables;

with framework_config;
use framework_config;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;



Package Parameters is 
 
type Parameter_Type is (
	Boolean_Parameter,
	Integer_Parameter,
	Double_Parameter,
	String_Parameter);

procedure To_Parameter_Type is
new Convert_Strings(Parameter_Type, Boolean_Parameter);
procedure To_Parameter_Type is
new Convert_Unbounded_Strings(Parameter_Type, Boolean_Parameter);
package Parameter_Type_io is new text_io.enumeration_io(Parameter_Type);
use Parameter_Type_io;

type Parameter (ptype : Parameter_Type ) is record
	Name : unbounded_string;
 	case ptype is 
		when Boolean_Parameter => 
			Boolean_value : Boolean;
 		when Integer_Parameter => 
			Integer_value : Integer;
 		when Double_Parameter => 
			double_value : Double;
 		when String_Parameter => 
			string_value : unbounded_string;
 	end case;
end record;
 
type Parameter_ptr is access all Parameter;

procedure Initialize(obj : out Parameter_ptr);

procedure Put(obj : in Parameter_Ptr);

package User_Defined_Parameters_Table_Package is new Tables(Parameter_Ptr, Max_User_Defined_Task_Parameters, Put);
use User_Defined_Parameters_Table_Package;

subtype User_Defined_Parameters_Range is User_Defined_Parameters_Table_Package.Table_Range;

subtype User_Defined_Parameters_Table is User_Defined_Parameters_Table_Package.Table;


End Parameters;
