package Scheduler_Goto is

   type Small_Integer is range -32_000 .. 32_000;

   type Goto_Entry is record
      Nonterm  : Small_Integer;
      Newstate : Small_Integer;
   end record;

   --pragma suppress(index_check);

   subtype Row is Integer range -1 .. Integer'Last;

   type Goto_Parse_Table is array (Row range <>) of Goto_Entry;

   Goto_Matrix : constant Goto_Parse_Table :=
     ((-1, -1)  -- Dummy Entry.
   -- State  0
     ,
      (-12, 2),
      (-3, 1),
      (-2, 3)
   -- State  1
     ,
      (-14, 4),
      (-4, 5)
   -- State  2

   -- State  3

   -- State  4

   -- State  5
     ,
      (-15, 9),
      (-5, 10)
   -- State  6
     ,
      (-13, 11)

   -- State  7

   -- State  8
     ,
      (-13, 12)
   -- State  9

   -- State  10
     ,
      (-16, 14),
      (-6, 15)
   -- State  11
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  12
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  13
     ,
      (-13, 53)

   -- State  14

   -- State  15
     ,
      (-17, 55),
      (-7, 56)
   -- State  16

   -- State  17

   -- State  18

   -- State  19
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 75)
   -- State  20
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-33, 79),
      (-28, 76),
      (-26, 77)
   -- State  21
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 80)
   -- State  22
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 81)
   -- State  23

   -- State  24

   -- State  25
     ,
      (-28, 84)

   -- State  26

   -- State  27
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 85)
   -- State  28
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 86)
   -- State  29

   -- State  30

   -- State  31

   -- State  32

   -- State  33

   -- State  34

   -- State  35

   -- State  36
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 92)
   -- State  37
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 93)

   -- State  38

   -- State  39

   -- State  40

   -- State  41

   -- State  42

   -- State  43

   -- State  44

   -- State  45

   -- State  46

   -- State  47

   -- State  48

   -- State  49

   -- State  50

   -- State  51

   -- State  52

   -- State  53
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  54
     ,
      (-13, 102)
   -- State  55

   -- State  56
     ,
      (-18, 104),
      (-8, 105)
   -- State  57
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 106)
   -- State  58
     ,
      (-29, 113)
   -- State  59
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 114)

   -- State  60
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 115)
   -- State  61
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 116)
   -- State  62
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 117)
   -- State  63
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 118)

   -- State  64
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 119)
   -- State  65
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 120)
   -- State  66
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 121)
   -- State  67
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 122)

   -- State  68
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 123)
   -- State  69
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 124)
   -- State  70
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 125)
   -- State  71
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 126)

   -- State  72
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 127)
   -- State  73
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 128)
   -- State  74
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 129)
   -- State  75

   -- State  76

   -- State  77

   -- State  78

   -- State  79

   -- State  80

   -- State  81

   -- State  82
     ,
      (-28, 134)

   -- State  83
     ,
      (-28, 135)
   -- State  84
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 136)
   -- State  85

   -- State  86

   -- State  87
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 138)
   -- State  88
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 139)

   -- State  89
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 140)
   -- State  90
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 141)
   -- State  91
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 142)
   -- State  92

   -- State  93

   -- State  94
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 143)

   -- State  95
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 144)
   -- State  96
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 145)
   -- State  97
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 146)
   -- State  98
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 147)

   -- State  99
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 148)
   -- State  100

   -- State  101

   -- State  102
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  103
     ,
      (-13, 153)

   -- State  104

   -- State  105
     ,
      (-19, 155),
      (-9, 156)
   -- State  106
     ,
      (-27, 158)
   -- State  107

   -- State  108

   -- State  109

   -- State  110

   -- State  111

   -- State  112

   -- State  113
     ,
      (-30, 161)

   -- State  114

   -- State  115

   -- State  116

   -- State  117

   -- State  118

   -- State  119

   -- State  120

   -- State  121

   -- State  122

   -- State  123

   -- State  124

   -- State  125

   -- State  126

   -- State  127

   -- State  128

   -- State  129

   -- State  130
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-23, 164),
      (-22, 165)
   -- State  131

   -- State  132
     ,
      (-34, 172)

   -- State  133
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-24, 173),
      (-22, 174)
   -- State  134

   -- State  135

   -- State  136

   -- State  137

   -- State  138

   -- State  139

   -- State  140

   -- State  141

   -- State  142

   -- State  143

   -- State  144

   -- State  145

   -- State  146

   -- State  147

   -- State  148

   -- State  149

   -- State  150

   -- State  151

   -- State  152

   -- State  153
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  154
     ,
      (-13, 189)
   -- State  155

   -- State  156
     ,
      (-20, 191),
      (-10, 192)

   -- State  157
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 193)
   -- State  158
     ,
      (-27, 194)
   -- State  159
     ,
      (-34, 195)
   -- State  160
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 196)

   -- State  161

   -- State  162

   -- State  163

   -- State  164
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-31, 199),
      (-28, 17),
      (-26, 18),
      (-22, 198)
   -- State  165

   -- State  166

   -- State  167

   -- State  168

   -- State  169

   -- State  170

   -- State  171

   -- State  172

   -- State  173
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 201)
   -- State  174

   -- State  175
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 203)
   -- State  176
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 204)
   -- State  177

   -- State  178
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 205)

   -- State  179

   -- State  180
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 206)
   -- State  181
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 207)
   -- State  182
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 208)
   -- State  183

   -- State  184

   -- State  185

   -- State  186

   -- State  187

   -- State  188

   -- State  189
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  190
     ,
      (-13, 209)
   -- State  191

   -- State  192
     ,
      (-21, 211),
      (-11, 212)

   -- State  193

   -- State  194

   -- State  195

   -- State  196

   -- State  197

   -- State  198

   -- State  199
     ,
      (-32, 216)
   -- State  200
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-24, 217),
      (-22, 174)

   -- State  201

   -- State  202

   -- State  203

   -- State  204

   -- State  205

   -- State  206

   -- State  207

   -- State  208

   -- State  209
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  210
     ,
      (-13, 225)
   -- State  211

   -- State  212

   -- State  213

   -- State  214

   -- State  215
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-25, 229),
      (-22, 230)
   -- State  216

   -- State  217
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 201)

   -- State  218

   -- State  219

   -- State  220
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 76),
      (-26, 234)
   -- State  221

   -- State  222

   -- State  223

   -- State  224

   -- State  225
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)
   -- State  226
     ,
      (-13, 235)

   -- State  227

   -- State  228

   -- State  229
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 241)
   -- State  230

   -- State  231

   -- State  232

   -- State  233

   -- State  234

   -- State  235
     ,
      (-37, 48),
      (-36, 47),
      (-35, 46),
      (-28, 17),
      (-26, 18),
      (-22, 52)

   -- State  236

   -- State  237

   -- State  238

   -- State  239

   -- State  240

   -- State  241

   -- State  242

   -- State  243

   -- State  244

   -- State  245

     );
   --  The offset vector
   GOTO_OFFSET : array (0 .. 245) of Integer :=
     (0,
      3,
      5,
      5,
      5,
      5,
      7,
      8,
      8,
      9,
      9,
      11,
      17,
      23,
      24,
      24,
      26,
      26,
      26,
      26,
      31,
      37,
      42,
      47,
      47,
      47,
      48,
      48,
      53,
      58,
      58,
      58,
      58,
      58,
      58,
      58,
      58,
      63,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      68,
      74,
      75,
      75,
      77,
      82,
      83,
      88,
      93,
      98,
      103,
      108,
      113,
      118,
      123,
      128,
      133,
      138,
      143,
      148,
      153,
      158,
      163,
      163,
      163,
      163,
      163,
      163,
      163,
      163,
      164,
      165,
      170,
      170,
      170,
      175,
      180,
      185,
      190,
      195,
      195,
      195,
      200,
      205,
      210,
      215,
      220,
      225,
      225,
      225,
      231,
      232,
      232,
      234,
      235,
      235,
      235,
      235,
      235,
      235,
      235,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      236,
      243,
      243,
      244,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      251,
      257,
      258,
      258,
      260,
      265,
      266,
      267,
      272,
      272,
      272,
      272,
      279,
      279,
      279,
      279,
      279,
      279,
      279,
      279,
      279,
      285,
      285,
      290,
      295,
      295,
      300,
      300,
      305,
      310,
      315,
      315,
      315,
      315,
      315,
      315,
      315,
      321,
      322,
      322,
      324,
      324,
      324,
      324,
      324,
      324,
      324,
      325,
      332,
      332,
      332,
      332,
      332,
      332,
      332,
      332,
      332,
      338,
      339,
      339,
      339,
      339,
      339,
      346,
      346,
      352,
      352,
      352,
      357,
      357,
      357,
      357,
      357,
      363,
      364,
      364,
      364,
      370,
      370,
      370,
      370,
      370,
      370,
      376,
      376,
      376,
      376,
      376,
      376,
      376,
      376,
      376,
      376);

   subtype Rule is Natural;
   subtype Nonterminal is Integer;

   Rule_Length  : array (Rule range 0 .. 115) of Natural     :=
     (2,
      9,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      0,
      3,
      0,
      2,
      0,
      2,
      1,
      2,
      1,
      2,
      1,
      7,
      5,
      4,
      0,
      8,
      2,
      8,
      6,
      7,
      9,
      4,
      2,
      0,
      2,
      0,
      2,
      1,
      1,
      6,
      1,
      6,
      1,
      6,
      1,
      6,
      6,
      1,
      1,
      1,
      1,
      1,
      1,
      1,
      2,
      0,
      3,
      3,
      3,
      3,
      3,
      3,
      3,
      3,
      3,
      2,
      3,
      1,
      1,
      3,
      3,
      3,
      3,
      6,
      4,
      6,
      6,
      6,
      3,
      2,
      2,
      4,
      4,
      4,
      4,
      4,
      4,
      3,
      3,
      3,
      3,
      4,
      1,
      1,
      1,
      1,
      1,
      1,
      1,
      1);
   Get_LHS_Rule : array (Rule range 0 .. 115) of Nonterminal :=
     (-1,
      -2,
      -12,
      -3,
      -3,
      -14,
      -4,
      -4,
      -15,
      -5,
      -5,
      -16,
      -6,
      -6,
      -17,
      -7,
      -7,
      -18,
      -8,
      -8,
      -19,
      -9,
      -9,
      -20,
      -10,
      -10,
      -21,
      -11,
      -11,
      -13,
      -13,
      -23,
      -23,
      -24,
      -24,
      -25,
      -25,
      -22,
      -22,
      -22,
      -31,
      -22,
      -22,
      -22,
      -22,
      -22,
      -22,
      -22,
      -32,
      -32,
      -27,
      -27,
      -33,
      -33,
      -29,
      -29,
      -29,
      -29,
      -29,
      -29,
      -29,
      -29,
      -29,
      -29,
      -34,
      -34,
      -34,
      -34,
      -34,
      -34,
      -30,
      -30,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -26,
      -28,
      -36,
      -35,
      -37);
end Scheduler_Goto;
