package Scheduler_Shift_Reduce is

   type Small_Integer is range -32_000 .. 32_000;

   type Shift_Reduce_Entry is record
      T   : Small_Integer;
      Act : Small_Integer;
   end record;
   pragma Pack (Shift_Reduce_Entry);

   subtype Row is Integer range -1 .. Integer'Last;

   --pragma suppress(index_check);

   type Shift_Reduce_Array is array (Row range <>) of Shift_Reduce_Entry;

   Shift_Reduce_Matrix : constant Shift_Reduce_Array :=
     ((-1, -1) -- Dummy Entry

   -- state  0
     ,
      (60, -2),
      (-1, -4)
   -- state  1
     ,
      (61, -5),
      (-1, -7)

   -- state  2
     ,
      (60, 6),
      (-1, -3000)
   -- state  3
     ,
      (0, -3001),
      (-1, -3000)

   -- state  4
     ,
      (61, 8),
      (-1, -3000)
   -- state  5
     ,
      (62, -8),
      (-1, -10)

   -- state  6
     ,
      (-1, -30)
   -- state  7
     ,
      (-1, -3000)
   -- state  8
     ,
      (-1, -30)
   -- state  9
     ,
      (62, 13),
      (-1, -3000)
   -- state  10
     ,
      (63, -11),
      (-1, -13)
   -- state  11
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3)
   -- state  12
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -6)
   -- state  13
     ,
      (-1, -30)

   -- state  14
     ,
      (63, 54),
      (-1, -3000)
   -- state  15
     ,
      (64, -14),
      (-1, -16)

   -- state  16
     ,
      (69, 57),
      (-1, -3000)
   -- state  17
     ,
      (69, 59),
      (81, 58),
      (-1, -108)
   -- state  18
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (90, 60),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  19
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  20
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (83, 78),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  21
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  22
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  23
     ,
      (69, 82),
      (-1, -3000)

   -- state  24
     ,
      (69, 83),
      (-1, -3000)
   -- state  25
     ,
      (13, 26),
      (-1, -3000)

   -- state  26
     ,
      (-1, -112)
   -- state  27
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  28
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  29
     ,
      (-1, -83)
   -- state  30
     ,
      (-1, -84)
   -- state  31
     ,
      (69, 87),
      (-1, -3000)
   -- state  32
     ,
      (69, 88),
      (-1, -3000)
   -- state  33
     ,
      (69, 89),
      (-1, -3000)
   -- state  34
     ,
      (69, 90),
      (-1, -3000)
   -- state  35
     ,
      (69, 91),
      (-1, -3000)
   -- state  36
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  37
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  38
     ,
      (69, 94),
      (-1, -3000)
   -- state  39
     ,
      (69, 95),
      (-1, -3000)
   -- state  40
     ,
      (69, 96),
      (-1, -3000)
   -- state  41
     ,
      (69, 97),
      (-1, -3000)
   -- state  42
     ,
      (69, 98),
      (-1, -3000)
   -- state  43
     ,
      (69, 99),
      (-1, -3000)
   -- state  44
     ,
      (95, 100),
      (-1, -3000)
   -- state  45
     ,
      (95, 101),
      (-1, -3000)
   -- state  46
     ,
      (-1, -109)
   -- state  47
     ,
      (-1, -110)
   -- state  48
     ,
      (-1, -111)

   -- state  49
     ,
      (-1, -114)
   -- state  50
     ,
      (-1, -113)
   -- state  51
     ,
      (-1, -115)
   -- state  52
     ,
      (-1, -29)

   -- state  53
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -9)

   -- state  54
     ,
      (-1, -30)
   -- state  55
     ,
      (64, 103),
      (-1, -3000)
   -- state  56
     ,
      (65, -17),
      (-1, -19)
   -- state  57
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  58
     ,
      (2, 107),
      (3, 108),
      (4, 109),
      (6, 112),
      (7, 111),
      (51, 110),
      (-1, -3000)

   -- state  59
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  60
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  61
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  62
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  63
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  64
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  65
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  66
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  67
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  68
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  69
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  70
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  71
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  72
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  73
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  74
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  75
     ,
      (41, 62),
      (45, 130),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  76
     ,
      (69, 59),
      (-1, -108)
   -- state  77
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (83, 131),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  78
     ,
      (-1, -53)
   -- state  79
     ,
      (-1, -42)

   -- state  80
     ,
      (17, 132),
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  81
     ,
      (24, 133),
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  82
     ,
      (13, 26),
      (-1, -3000)
   -- state  83
     ,
      (13, 26),
      (-1, -3000)

   -- state  84
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  85
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -81)
   -- state  86
     ,
      (41, 62),
      (70, 137),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  87
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  88
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  89
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  90
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  91
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  92
     ,
      (41, 62),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -95)
   -- state  93
     ,
      (41, 62),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -96)
   -- state  94
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  95
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  96
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  97
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  98
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  99
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  100
     ,
      (9, 149),
      (10, 150),
      (-1, -3000)
   -- state  101
     ,
      (9, 151),
      (10, 152),
      (-1, -3000)
   -- state  102
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -12)
   -- state  103
     ,
      (-1, -30)
   -- state  104
     ,
      (65, 154),
      (-1, -3000)

   -- state  105
     ,
      (66, -20),
      (-1, -22)
   -- state  106
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 157),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -51)
   -- state  107
     ,
      (-1, -54)
   -- state  108
     ,
      (69, 159),
      (-1, -3000)
   -- state  109
     ,
      (-1, -56)
   -- state  110
     ,
      (-1, -58)
   -- state  111
     ,
      (-1, -60)

   -- state  112
     ,
      (-1, -63)
   -- state  113
     ,
      (90, 160),
      (-1, -71)
   -- state  114
     ,
      (41, 62),
      (70, 162),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  115
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (83, 163),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  116
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -72)
   -- state  117
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -73)
   -- state  118
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -74)

   -- state  119
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -75)
   -- state  120
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -76)
   -- state  121
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -77)
   -- state  122
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -78)

   -- state  123
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -79)
   -- state  124
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -80)
   -- state  125
     ,
      (41, 62),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -85)
   -- state  126
     ,
      (41, 62),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -86)
   -- state  127
     ,
      (41, 62),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -87)

   -- state  128
     ,
      (41, 62),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -88)
   -- state  129
     ,
      (41, 62),
      (80, -3000),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -94)

   -- state  130
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  131
     ,
      (-1, -52)
   -- state  132
     ,
      (30, 166),
      (31, 168),
      (32, 170),
      (33, 167),
      (34, 171),
      (35, 169),
      (-1, -3000)

   -- state  133
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  134
     ,
      (84, 175),
      (-1, -3000)
   -- state  135
     ,
      (84, 176),
      (-1, -3000)

   -- state  136
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (83, 177),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  137
     ,
      (-1, -82)
   -- state  138
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 178),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  139
     ,
      (41, 62),
      (70, 179),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  140
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 180),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  141
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 181),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  142
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 182),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  143
     ,
      (41, 62),
      (70, 183),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  144
     ,
      (41, 62),
      (70, 184),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  145
     ,
      (41, 62),
      (70, 185),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  146
     ,
      (41, 62),
      (70, 186),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  147
     ,
      (41, 62),
      (70, 187),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  148
     ,
      (41, 62),
      (70, 188),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)
   -- state  149
     ,
      (-1, -103)
   -- state  150
     ,
      (-1, -104)
   -- state  151
     ,
      (-1, -105)

   -- state  152
     ,
      (-1, -106)
   -- state  153
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -15)
   -- state  154
     ,
      (-1, -30)
   -- state  155
     ,
      (66, 190),
      (-1, -3000)

   -- state  156
     ,
      (58, -23),
      (-1, -25)
   -- state  157
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  158
     ,
      (84, 157),
      (-1, -51)

   -- state  159
     ,
      (30, 166),
      (31, 168),
      (32, 170),
      (33, 167),
      (34, 171),
      (35, 169),
      (-1, -3000)
   -- state  160
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  161
     ,
      (83, 197),
      (-1, -3000)
   -- state  162
     ,
      (-1, -107)
   -- state  163
     ,
      (-1, -39)
   -- state  164
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -40)
   -- state  165
     ,
      (-1, -32)

   -- state  166
     ,
      (-1, -64)
   -- state  167
     ,
      (-1, -65)
   -- state  168
     ,
      (-1, -66)
   -- state  169
     ,
      (-1, -67)

   -- state  170
     ,
      (-1, -68)
   -- state  171
     ,
      (-1, -69)
   -- state  172
     ,
      (24, 200),
      (-1, -3000)

   -- state  173
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (50, 202),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  174
     ,
      (-1, -34)
   -- state  175
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  176
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  177
     ,
      (-1, -47)
   -- state  178
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  179
     ,
      (-1, -90)

   -- state  180
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  181
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  182
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  183
     ,
      (-1, -97)
   -- state  184
     ,
      (-1, -98)
   -- state  185
     ,
      (-1, -99)
   -- state  186
     ,
      (-1, -100)

   -- state  187
     ,
      (-1, -101)
   -- state  188
     ,
      (-1, -102)
   -- state  189
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -18)
   -- state  190
     ,
      (-1, -30)
   -- state  191
     ,
      (58, 210),
      (-1, -3000)
   -- state  192
     ,
      (59, -26),
      (-1, -28)
   -- state  193
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -50)
   -- state  194
     ,
      (70, 213),
      (-1, -3000)

   -- state  195
     ,
      (70, 214),
      (-1, -3000)
   -- state  196
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -70)
   -- state  197
     ,
      (-1, -38)
   -- state  198
     ,
      (-1, -31)
   -- state  199
     ,
      (47, 215),
      (-1, -49)
   -- state  200
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  201
     ,
      (-1, -33)
   -- state  202
     ,
      (83, 218),
      (-1, -3000)

   -- state  203
     ,
      (41, 62),
      (70, 219),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  204
     ,
      (41, 62),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (84, 220),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  205
     ,
      (41, 62),
      (70, 221),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  206
     ,
      (41, 62),
      (70, 222),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  207
     ,
      (41, 62),
      (70, 223),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  208
     ,
      (41, 62),
      (70, 224),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  209
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -21)

   -- state  210
     ,
      (-1, -30)
   -- state  211
     ,
      (59, 226),
      (-1, -3000)
   -- state  212
     ,
      (-1, -1)

   -- state  213
     ,
      (83, 227),
      (-1, -3000)
   -- state  214
     ,
      (8, 228),
      (-1, -3000)

   -- state  215
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)

   -- state  216
     ,
      (49, 231),
      (-1, -3000)
   -- state  217
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (50, 232),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  218
     ,
      (-1, -44)

   -- state  219
     ,
      (83, 233),
      (-1, -3000)
   -- state  220
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (37, 34),
      (38, 35),
      (39, 31),
      (42, 32),
      (43, 38),
      (44, 39),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -3000)
   -- state  221
     ,
      (-1, -89)
   -- state  222
     ,
      (-1, -91)

   -- state  223
     ,
      (-1, -92)
   -- state  224
     ,
      (-1, -93)
   -- state  225
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -24)
   -- state  226
     ,
      (-1, -30)
   -- state  227
     ,
      (-1, -37)

   -- state  228
     ,
      (2, 236),
      (4, 237),
      (6, 240),
      (7, 239),
      (51, 238),
      (-1, -3000)
   -- state  229
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -48)
   -- state  230
     ,
      (-1, -36)
   -- state  231
     ,
      (83, 242),
      (-1, -3000)
   -- state  232
     ,
      (83, 243),
      (-1, -3000)
   -- state  233
     ,
      (-1, -45)

   -- state  234
     ,
      (41, 62),
      (70, 244),
      (73, 68),
      (74, 70),
      (75, 71),
      (76, 72),
      (77, 73),
      (80, 74),
      (85, 63),
      (86, 64),
      (87, 65),
      (88, 66),
      (89, 67),
      (92, 69),
      (93, 61),
      (-1, -3000)

   -- state  235
     ,
      (2, 44),
      (4, 45),
      (11, 50),
      (12, 51),
      (13, 26),
      (14, 29),
      (15, 30),
      (16, 49),
      (18, 21),
      (22, 25),
      (23, 22),
      (36, 20),
      (37, 34),
      (38, 35),
      (39, 31),
      (40, 16),
      (42, 32),
      (43, 38),
      (44, 39),
      (48, 19),
      (52, 24),
      (53, 23),
      (54, 40),
      (55, 42),
      (56, 43),
      (57, 41),
      (69, 28),
      (74, 37),
      (75, 36),
      (91, 33),
      (94, 27),
      (-1, -27)

   -- state  236
     ,
      (-1, -55)
   -- state  237
     ,
      (-1, -57)
   -- state  238
     ,
      (-1, -59)
   -- state  239
     ,
      (-1, -61)

   -- state  240
     ,
      (-1, -62)
   -- state  241
     ,
      (-1, -35)
   -- state  242
     ,
      (-1, -41)
   -- state  243
     ,
      (-1, -43)

   -- state  244
     ,
      (83, 245),
      (-1, -3000)
   -- state  245
     ,
      (-1, -46));
   --  The offset vector
   SHIFT_REDUCE_OFFSET : array (0 .. 245) of Integer :=
     (0,
      2,
      4,
      6,
      8,
      10,
      12,
      13,
      14,
      15,
      17,
      19,
      51,
      83,
      84,
      86,
      88,
      90,
      93,
      109,
      133,
      158,
      182,
      206,
      208,
      210,
      212,
      213,
      237,
      261,
      262,
      263,
      265,
      267,
      269,
      271,
      273,
      297,
      321,
      323,
      325,
      327,
      329,
      331,
      333,
      335,
      337,
      338,
      339,
      340,
      341,
      342,
      343,
      344,
      376,
      377,
      379,
      381,
      405,
      412,
      436,
      460,
      484,
      508,
      532,
      556,
      580,
      604,
      628,
      652,
      676,
      700,
      724,
      748,
      772,
      796,
      812,
      814,
      830,
      831,
      832,
      848,
      864,
      866,
      868,
      892,
      907,
      923,
      947,
      971,
      995,
      1019,
      1043,
      1053,
      1063,
      1087,
      1111,
      1135,
      1159,
      1183,
      1207,
      1210,
      1213,
      1245,
      1246,
      1248,
      1250,
      1266,
      1267,
      1269,
      1270,
      1271,
      1272,
      1273,
      1275,
      1291,
      1307,
      1322,
      1337,
      1352,
      1367,
      1382,
      1397,
      1412,
      1427,
      1442,
      1454,
      1466,
      1476,
      1486,
      1496,
      1528,
      1529,
      1536,
      1568,
      1570,
      1572,
      1588,
      1589,
      1605,
      1621,
      1637,
      1653,
      1669,
      1685,
      1701,
      1717,
      1733,
      1749,
      1765,
      1766,
      1767,
      1768,
      1769,
      1801,
      1802,
      1804,
      1806,
      1830,
      1832,
      1839,
      1863,
      1865,
      1866,
      1867,
      1899,
      1900,
      1901,
      1902,
      1903,
      1904,
      1905,
      1906,
      1908,
      1941,
      1942,
      1966,
      1990,
      1991,
      2015,
      2016,
      2040,
      2064,
      2088,
      2089,
      2090,
      2091,
      2092,
      2093,
      2094,
      2126,
      2127,
      2129,
      2131,
      2146,
      2148,
      2150,
      2165,
      2166,
      2167,
      2169,
      2201,
      2202,
      2204,
      2220,
      2236,
      2252,
      2268,
      2284,
      2300,
      2332,
      2333,
      2335,
      2336,
      2338,
      2340,
      2372,
      2374,
      2407,
      2408,
      2410,
      2434,
      2435,
      2436,
      2437,
      2438,
      2470,
      2471,
      2472,
      2478,
      2510,
      2511,
      2513,
      2515,
      2516,
      2532,
      2564,
      2565,
      2566,
      2567,
      2568,
      2569,
      2570,
      2571,
      2572,
      2574);
end Scheduler_Shift_Reduce;
