with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Numerics.Aux;      use Ada.Numerics.Aux;
with Statements;            use Statements;
use Statements.Sets_Type_Package;
with Expressions;           use Expressions;
use Expressions.Variables_Type_Package;
with Simulations;           use Simulations;
package Scheduler_Tokens is

   type Key_Type is (Cval, Ival, Noval);

   type Yystype is record
      String_Value        : Unbounded_String;
      Integer_Value       : Integer;
      Double_Value        : Double;
      Expr                : Expression_Ptr;
      Stats               : Statement_Ptr;
      Variable_Type_Value : Simulation_Type;
      Table_Type_Value    : Table_Types;
   end record;

   YYLVal, YYVal : Yystype;
   type Token is (
      End_Of_Input,
      Error,
      Double_Type_Token,
      Array_Token,
      Integer_Type_Token,
      Task_Token,
      String_Type_Token,
      Boolean_Type_Token,
      Of_Token,
      Last_Token,
      First_Token,
      Double_Token,
      Integer_Token,
      Identifier_Token,
      True_Token,
      False_Token,
      String_Token,
      In_Token,
      For_Token,
      Is_Token,
      Function_Token,
      Procedure_Token,
      Set_Token,
      While_Token,
      Loop_Token,
      Message_Token,
      Processor_Token,
      Buffer_Token,
      Resource_Token,
      Time_Unit_Token,
      Tasks_Range_Token,
      Messages_Range_Token,
      Processors_Range_Token,
      Buffers_Range_Token,
      Resources_Range_Token,
      Time_Units_Range_Token,
      Return_Token,
      Max_Token,
      Min_Token,
      Lcm_Token,
      Put_Token,
      Mod_Token,
      Abs_Token,
      Max_To_Index_Token,
      Min_To_Index_Token,
      Then_Token,
      End_Token,
      Else_Token,
      If_Token,
      End_If_Token,
      End_Loop_Token,
      Random_Type_Token,
      Uniform_Token,
      Exponential_Token,
      Get_Task_Index_Token,
      Get_Buffer_Index_Token,
      Get_Message_Index_Token,
      Get_Resource_Index_Token,
      Gather_Event_Analyzer_Token,
      Display_Event_Analyzer_Token,
      Start_Token,
      Priority_Token,
      Election_Token,
      Activation_Token,
      Check_Resource_Token,
      Release_Resource_Token,
      Allocate_Resource_Token,
      '[',
      ']',
      '(',
      ')',
      '}',
      '{',
      Equal_Token,
      '+',
      '-',
      '*',
      '/',
      Unary_Minus,
      Unary_Plus,
      Exp_Token,
      ':',
      '|',
      ';',
      ',',
      Inf_Token,
      Sup_Token,
      Inf_Equal_Token,
      Sup_Equal_Token,
      Not_Equal_Token,
      Affectation_Token,
      Concat_Token,
      Or_Token,
      And_Token,
      Not_Token,
      ''');

   Syntax_Error : exception;

end Scheduler_Tokens;
