------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Qs_Tools; use Qs_Tools;

package body Queueing_System.Simulation.Mms is

   procedure Initialize
     (A_Queueing_System : in out Mms_Queueing_System_Simulation)
   is
   begin
      Initialize (Generic_Queueing_System_Simulation (A_Queueing_System));

      A_Queueing_System.Queueing_System_Type := Qs_Mms;
   end Initialize;

   function Compute_Service_Time
     (A_Queueing_System : in Mms_Queueing_System_Simulation;
      Seed              : in Generator)
      return              Double
   is
      Result : Double := 0.0;
   begin
      raise Not_Implemented;
      return Result;
   end Compute_Service_Time;

   function Compute_Inter_Arrival_Time
     (A_Queueing_System : in Mms_Queueing_System_Simulation;
      Seed              : in Generator)
      return              Double
   is
      Result       : Double          := 0.0;
      Arrival_Rate : constant Double :=
        A_Queueing_System.Arrival_Rate.Entries (0).Data;
   begin
      Result := Get_Exponential_Time (1.0 / Arrival_Rate, Seed);
      return Result;
   end Compute_Inter_Arrival_Time;

end Queueing_System.Simulation.Mms;
