------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

package Queueing_System.Simulation.Mms is

   type Mms_Queueing_System_Simulation is new
     Generic_Queueing_System_Simulation with private;
   type Mms_Queueing_System_Simulation_Ptr is access all 
     Generic_Queueing_System_Simulation'Class;

   procedure Initialize
     (A_Queueing_System : in out Mms_Queueing_System_Simulation);

   -- return the next service time
   --
   function Compute_Service_Time
     (A_Queueing_System : in Mms_Queueing_System_Simulation;
      Seed              : in Generator)
      return              Double;

   -- return the next customer arrival date
   --
   function Compute_Inter_Arrival_Time
     (A_Queueing_System : in Mms_Queueing_System_Simulation;
      Seed              : in Generator)
      return              Double;

private

   type Mms_Queueing_System_Simulation is new
     Generic_Queueing_System_Simulation with
      record
         Nb_Tasks : Double;
      end record;

end Queueing_System.Simulation.Mms;
