
------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with standards_io;
use standards_io;

use standards_io.natural_io;

with Indexed_Tables;

with ada.strings.unbounded;
use ada.strings.unbounded;

with ada.strings.unbounded.text_io;
use ada.strings.unbounded.text_io;

with framework_config;
use framework_config;

use standards_io.integer_io;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Resources is 
 
type Resources_Type is (
	No_Protocol,
	Priority_Ceiling_Protocol,
	Priority_Inheritance_Protocol,
	Immediate_Priority_Ceiling_Protocol);

procedure To_Resources_Type is
new Convert_Strings(Resources_Type, No_Protocol);
procedure To_Resources_Type is
new Convert_Unbounded_Strings(Resources_Type, No_Protocol);
package Resources_Type_io is new text_io.enumeration_io(Resources_Type);
use Resources_Type_io;


-- --------= Affected_Task_Lists =--------
 
type Affected_Task_Lists is
record
 Task_Begin : Natural;
 Task_End : Natural;
end record;

type Affected_Task_Lists_Ptr is access all Affected_Task_Lists;
 

procedure Initialize(obj : out Affected_Task_Lists);

procedure Put(obj : in Affected_Task_Lists);

procedure Put(obj : in Affected_Task_Lists_Ptr);

package Task_Lists is new Indexed_Tables(Affected_Task_Lists, Unbounded_String, Framework_Config.Max_Tasks_For_A_Resource, 0, Put, Initialize, Put);
use Task_Lists;

subtype Task_Lists_Table is Task_Lists.Indexed_Table;

subtype Task_Lists_Range is Task_Lists.Indexed_Table_Range;

type Start_End_Table is Array (Task_Lists_Range) of Affected_Task_Lists;


-- --------= Generic_Resource =--------
 
type Generic_Resource is new Generic_Object with 
record
 state : Integer;
 protocol : Resources_Type;
 task_tab : Task_Lists_Table;
 cpu_name : unbounded_string;
 Address_Space_Name : unbounded_string;
end record;

type Generic_Resource_Ptr is access all Generic_Resource'Class;

procedure Initialize(obj : in out Generic_Resource);

procedure Put(obj : in Generic_Resource);

procedure Put(obj : in Generic_Resource_Ptr);

procedure Put_Name(obj : in Generic_Resource_Ptr);

function Get_Name (obj : in Generic_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Generic_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Generic_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Generic_Resource'Class, Generic_Resource_Ptr);


-- --------= Np_Resource =--------
 
type Np_Resource is new Generic_Resource with null record;

type Np_Resource_Ptr is access all Np_Resource'Class;

procedure Initialize(obj : in out Np_Resource);

procedure Put(obj : in Np_Resource);

procedure Put(obj : in Np_Resource_Ptr);

procedure Put_Name(obj : in Np_Resource_Ptr);

function Get_Name (obj : in Np_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Np_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Np_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Np_Resource'Class, Np_Resource_Ptr);


-- --------= Pip_Resource =--------
 
type Pip_Resource is new Generic_Resource with null record;

type Pip_Resource_Ptr is access all Pip_Resource'Class;

procedure Initialize(obj : in out Pip_Resource);

procedure Put(obj : in Pip_Resource);

procedure Put(obj : in Pip_Resource_Ptr);

procedure Put_Name(obj : in Pip_Resource_Ptr);

function Get_Name (obj : in Pip_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Pip_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Pip_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Pip_Resource'Class, Pip_Resource_Ptr);


-- --------= Pcp_Resource =--------
 
type Pcp_Resource is new Generic_Resource with null record;

type Pcp_Resource_Ptr is access all Pcp_Resource'Class;

procedure Initialize(obj : in out Pcp_Resource);

procedure Put(obj : in Pcp_Resource);

procedure Put(obj : in Pcp_Resource_Ptr);

procedure Put_Name(obj : in Pcp_Resource_Ptr);

function Get_Name (obj : in Pcp_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Pcp_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Pcp_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Pcp_Resource'Class, Pcp_Resource_Ptr);


-- --------= IPcp_Resource =--------
 
type IPcp_Resource is new Generic_Resource with null record;

type IPcp_Resource_Ptr is access all IPcp_Resource'Class;

procedure Initialize(obj : in out IPcp_Resource);

procedure Put(obj : in IPcp_Resource);

procedure Put(obj : in IPcp_Resource_Ptr);

procedure Put_Name(obj : in IPcp_Resource_Ptr);

function Get_Name (obj : in IPcp_Resource_Ptr) return Unbounded_String;

function Copy(obj : in IPcp_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in IPcp_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(IPcp_Resource'Class, IPcp_Resource_Ptr);


End Resources;
