------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



PACKAGE Scheduler.Dynamic_Priority.Muf.Laxity_Based IS


   TYPE Laxity_Muf_Scheduler IS NEW Muf_Scheduler WITH PRIVATE;
   TYPE Laxity_Muf_Scheduler_Ptr IS ACCESS ALL Laxity_Muf_Scheduler'Class;


   PROCEDURE Initialize (
         A_Scheduler : IN OUT Laxity_Muf_Scheduler);


   FUNCTION Copy (
         A_Scheduler : IN     Laxity_Muf_Scheduler)
     RETURN Scheduler_Ptr;



   PROCEDURE Do_Election (
         My_Scheduler      : IN OUT Laxity_Muf_Scheduler;
         Si                : IN OUT Scheduling_Information;
         Result            : IN OUT Scheduling_Sequence_Ptr;
         Msg               : IN OUT Unbounded_String;
         Current_Time      : IN     Natural;
         Processor_Name    : IN     Unbounded_String;
         My_Dependencies   : IN     Tasks_Dependencies_Ptr;
         With_Offsets      : IN     Boolean;
         With_Precedencies : IN     Boolean;
         With_Resources    : IN     Boolean;
         Event_To_Generate : IN     Time_Unit_Event_Type_Boolean_Table;
         Elected           : IN OUT Tasks_Range;
         No_Task           : IN OUT Boolean);





PRIVATE

   TYPE Laxity_Muf_Scheduler IS NEW Muf_Scheduler WITH NULL RECORD;

END Scheduler.Dynamic_Priority.Muf.Laxity_Based ;




