------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------



PACKAGE Scheduler.Fixed_Priority.Dm IS


   TYPE Dm_Scheduler IS NEW Fixed_Priority_Scheduler WITH PRIVATE;
   TYPE Dm_Scheduler_Ptr IS ACCESS ALL Dm_Scheduler'Class;


   PROCEDURE Initialize (
         A_Scheduler : IN OUT Dm_Scheduler);


   FUNCTION Copy (
         A_Scheduler : IN     Dm_Scheduler)
     RETURN Scheduler_Ptr;


   PROCEDURE Check_Before_Scheduling (
         My_Scheduler   : IN     Dm_Scheduler;
         My_Tasks       : IN     Tasks_Set;
         Processor_Name : IN     Unbounded_String);


   PROCEDURE Compute_Response_Time (
         My_Scheduler   : IN     Dm_Scheduler;
         My_Tasks       : IN OUT Tasks_Set;
         Processor_Name : IN     Unbounded_String;
         Msg            : IN OUT Unbounded_String;
         Response_Time  :    OUT Response_Time_Table);


   PROCEDURE Utilization_Factor_Feasibility_Test (
         My_Scheduler   : IN     Dm_Scheduler;
         My_Tasks       : IN     Tasks_Set;
         Processor_Name : IN     Unbounded_String;
         Result         : IN OUT Unbounded_String);








PRIVATE

   TYPE Dm_Scheduler IS NEW Fixed_Priority_Scheduler WITH NULL RECORD;




END Scheduler.Fixed_Priority.Dm ;


