------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Scheduler; use Scheduler;
use Scheduler.Double_Tasks_Parameters;

package body Scheduler.Hierarchical.Round_Robin is

   procedure Initialize
     (A_Scheduler : in out Hierarchical_Round_Robin_Scheduler)
   is
   begin
      Reset (A_Scheduler);
      A_Scheduler.Name := Hierarchical_Round_Robin_Protocol;
   end Initialize;

   function Copy
     (A_Scheduler : in Hierarchical_Round_Robin_Scheduler)
      return        Scheduler_Ptr
   is
      Ptr : Hierarchical_Round_Robin_Scheduler_Ptr;

   begin

      Ptr := new Hierarchical_Round_Robin_Scheduler;

      Ptr.Name               := A_Scheduler.Name;
      Ptr.Is_Preemptive      := A_Scheduler.Is_Preemptive;
      Ptr.Quantum            := A_Scheduler.Quantum;
      Ptr.Previously_Elected := A_Scheduler.Previously_Elected;

      return Scheduler_Ptr (Ptr);

   end Copy;

   procedure Check_Before_Scheduling
     (My_Scheduler   : in Hierarchical_Round_Robin_Scheduler;
      My_Tasks       : in Tasks_Set;
      Processor_Name : in Unbounded_String)
   is

   begin
      null;
   end Check_Before_Scheduling;

end Scheduler.Hierarchical.Round_Robin;
