------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automatically check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           
------------------------------------------------------------------------------
------------------------------------------------------------------------------



package Scheduler.Hierarchical.Round_Robin is


   type Hierarchical_Round_Robin_Scheduler is new Hierarchical_Scheduler with private; 
   type Hierarchical_Round_Robin_Scheduler_Ptr is access all Hierarchical_Scheduler'Class; 



   procedure Initialize (
         A_Scheduler : in out Hierarchical_Round_Robin_Scheduler ); 


   function Copy (
         A_Scheduler : in     Hierarchical_Round_Robin_Scheduler ) 
     return Scheduler_Ptr; 


   procedure Check_Before_Scheduling (
         My_Scheduler   : in     Hierarchical_Round_Robin_Scheduler; 
         My_Tasks       : in     Tasks_Set;                          
         Processor_Name : in     Unbounded_String                    ); 


private

   type Hierarchical_Round_Robin_Scheduler is new Hierarchical_Scheduler with null record; 

end Scheduler.Hierarchical.Round_Robin ;




