------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Unbounded_Strings; use Unbounded_Strings;
with Translate;         use Translate;
with Parameters;        use Parameters;
use Parameters.User_Defined_Parameters_Table_Package;

package body Scheduler.user_defined is

   procedure Compute_Blocking_Time
     (My_Scheduler   : in user_defined_Scheduler;
      My_Tasks       : in Tasks_Set;
      My_Resources   : in Resources_Set;
      Processor_Name : in Unbounded_String;
      Msg            : in out Unbounded_String;
      Blocking_Time  : out Blocking_Time_Table)
   is
   begin
      raise Invalid_Scheduler;
   end Compute_Blocking_Time;

   procedure Bound_On_Processor_Utilization
     (My_Scheduler   : in user_defined_Scheduler;
      My_Tasks       : in Tasks_Set;
      Processor_Name : in Unbounded_String;
      Result         : in out Double;
      Msg            : in out Unbounded_String)
   is

   begin
      raise Invalid_Scheduler;
   end Bound_On_Processor_Utilization;

   procedure Compute_Response_Time
     (My_Scheduler   : in user_defined_Scheduler;
      My_Tasks       : in out Tasks_Set;
      Processor_Name : in Unbounded_String;
      Msg            : in out Unbounded_String;
      Response_Time  : out Response_Time_Table)
   is

   begin
      raise Invalid_Scheduler;
   end Compute_Response_Time;

   procedure Check_Before_Scheduling
     (My_Scheduler   : in user_defined_Scheduler;
      My_Tasks       : in Tasks_Set;
      Processor_Name : in Unbounded_String)
   is

   begin
      null;
   end Check_Before_Scheduling;

   procedure Utilization_Factor_Feasibility_Test
     (My_Scheduler   : in user_defined_Scheduler;
      My_Tasks       : in Tasks_Set;
      Processor_Name : in Unbounded_String;
      Result         : in out Unbounded_String)
   is

   begin
      Result := Result &
                Lb_Compute_Scheduling_Error_19 (Current_Language) &
                Unbounded_Lf;
   end Utilization_Factor_Feasibility_Test;

end Scheduler.user_defined;
