------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
--
--  Any modification of this file will be lost.
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model.
------------------------------------------------------------------------------

------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded.Text_IO; use Ada.Strings.Unbounded.Text_IO;

with Text_IO; use Text_IO;

with Unbounded_Strings; use Unbounded_Strings;

package body Tasks is

   -- --------= Generic_Task =--------

   procedure Initialize (obj : in out Generic_Task) is
   begin
      Initialize (Generic_Object (obj));
      obj.Task_Type          := Periodic_Type;
      obj.Cpu_Name           := Empty_String;
      obj.Address_Space_Name := Empty_String;
      obj.Capacity           := 0;
      obj.Deadline           := 0;
      obj.Start_Time         := 0;
      obj.Blocking_Time      := 0;
      obj.Policy             := Sched_Fifo;
      obj.X                  := 0;
      obj.Y                  := 0;
      Initialize (obj.Offset);
      obj.Text_Memory_Size  := 0;
      obj.Stack_Memory_Size := 0;
      Initialize (obj.Param);
      obj.Criticality := 0;
      obj.Object_Type := Task_Object_Type;
   end Initialize;

   function Copy (obj : in Generic_Task) return Generic_Task_Ptr is
      New_Generic_Task : Generic_Task_Ptr;
   begin
      New_Generic_Task := new Generic_Task'(obj);
      return Generic_Task_Ptr (New_Generic_Task);
   end Copy;

   function Copy (obj : in Generic_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Generic_Task) is
   begin
      Put (Generic_Object (obj));
      Put ("Task_Type: ");
      Put (obj.Task_Type);
      Put ("; ");
      Put ("Cpu_Name: ");
      Put (obj.Cpu_Name);
      Put ("; ");
      Put ("Address_Space_Name: ");
      Put (obj.Address_Space_Name);
      Put ("; ");
      Put ("Capacity: ");
      Standards_Io.Natural_Io.Put (obj.Capacity);
      Put ("; ");
      Put ("Deadline: ");
      Standards_Io.Natural_Io.Put (obj.Deadline);
      Put ("; ");
      Put ("Start_Time: ");
      Standards_Io.Natural_Io.Put (obj.Start_Time);
      Put ("; ");
      Put ("Priority: ");
      Put (obj.Priority);
      Put ("; ");
      Put ("Blocking_Time: ");
      Standards_Io.Natural_Io.Put (obj.Blocking_Time);
      Put ("; ");
      Put ("Policy: ");
      Put (obj.Policy);
      Put ("; ");
      Put ("X: ");
      Standards_Io.Natural_Io.Put (obj.X);
      Put ("; ");
      Put ("Y: ");
      Standards_Io.Natural_Io.Put (obj.Y);
      Put ("; ");
      Put ("Offset: ");
      Put (obj.Offset);
      Put ("; ");
      Put ("Text_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Text_Memory_Size);
      Put ("; ");
      Put ("Stack_Memory_Size: ");
      Standards_Io.Natural_Io.Put (obj.Stack_Memory_Size);
      Put ("; ");
      Put ("Param: ");
      Put (obj.Param);
      Put ("; ");
      Put ("Criticality: ");
      Standards_Io.Natural_Io.Put (obj.Criticality);
      Put ("; ");
   end Put;

   procedure Put (obj : in Generic_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Generic_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Generic_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

   -- --------= Periodic_Task =--------

   procedure Initialize (obj : in out Periodic_Task) is
   begin
      Initialize (Generic_Task (obj));
      obj.Period    := 0;
      obj.Jitter    := 0;
      obj.Task_Type := Periodic_Type;
   end Initialize;

   function Copy (obj : in Periodic_Task) return Generic_Task_Ptr is
      New_Periodic_Task : Periodic_Task_Ptr;
   begin
      New_Periodic_Task := new Periodic_Task'(obj);
      return Generic_Task_Ptr (New_Periodic_Task);
   end Copy;

   function Copy (obj : in Periodic_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Periodic_Task) is
   begin
      Put (Generic_Task (obj));
      Put ("Period: ");
      Standards_Io.Natural_Io.Put (obj.Period);
      Put ("; ");
      Put ("Jitter: ");
      Standards_Io.Natural_Io.Put (obj.Jitter);
      Put ("; ");
   end Put;

   procedure Put (obj : in Periodic_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Periodic_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Periodic_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

   -- --------= Aperiodic_Task =--------

   procedure Initialize (obj : in out Aperiodic_Task) is
   begin
      Initialize (Generic_Task (obj));
      obj.Task_Type := Aperiodic_Type;
   end Initialize;

   function Copy (obj : in Aperiodic_Task) return Generic_Task_Ptr is
      New_Aperiodic_Task : Aperiodic_Task_Ptr;
   begin
      New_Aperiodic_Task := new Aperiodic_Task'(obj);
      return Generic_Task_Ptr (New_Aperiodic_Task);
   end Copy;

   function Copy (obj : in Aperiodic_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Aperiodic_Task) is
   begin
      Put (Generic_Task (obj));
   end Put;

   procedure Put (obj : in Aperiodic_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Aperiodic_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Aperiodic_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

   -- --------= Poisson_Task =--------

   procedure Initialize (obj : in out Poisson_Task) is
   begin
      Initialize (Periodic_Task (obj));
      obj.Seed        := 0;
      obj.Predictable := False;
      obj.Task_Type   := Poisson_Type;
   end Initialize;

   function Copy (obj : in Poisson_Task) return Generic_Task_Ptr is
      New_Poisson_Task : Poisson_Task_Ptr;
   begin
      New_Poisson_Task := new Poisson_Task'(obj);
      return Generic_Task_Ptr (New_Poisson_Task);
   end Copy;

   function Copy (obj : in Poisson_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Poisson_Task) is
   begin
      Put (Periodic_Task (obj));
      Put ("Seed: ");
      Standards_Io.Integer_Io.Put (obj.Seed);
      Put ("; ");
      Put ("Predictable: ");
      Standards_Io.Boolean_Io.Put (obj.Predictable);
      Put ("; ");
   end Put;

   procedure Put (obj : in Poisson_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Poisson_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Poisson_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

   -- --------= Sporadic_Task =--------

   procedure Initialize (obj : in out Sporadic_Task) is
   begin
      Initialize (Poisson_Task (obj));
      obj.Task_Type := Sporadic_Type;
   end Initialize;

   function Copy (obj : in Sporadic_Task) return Generic_Task_Ptr is
      New_Sporadic_Task : Sporadic_Task_Ptr;
   begin
      New_Sporadic_Task := new Sporadic_Task'(obj);
      return Generic_Task_Ptr (New_Sporadic_Task);
   end Copy;

   function Copy (obj : in Sporadic_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Sporadic_Task) is
   begin
      Put (Poisson_Task (obj));
   end Put;

   procedure Put (obj : in Sporadic_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Sporadic_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Sporadic_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

   -- --------= Parametric_Task =--------

   procedure Initialize (obj : in out Parametric_Task) is
   begin
      Initialize (Poisson_Task (obj));
      obj.Activation_Rule := Empty_String;
      obj.Task_Type       := Parametric_Type;
   end Initialize;

   function Copy (obj : in Parametric_Task) return Generic_Task_Ptr is
      New_Parametric_Task : Parametric_Task_Ptr;
   begin
      New_Parametric_Task := new Parametric_Task'(obj);
      return Generic_Task_Ptr (New_Parametric_Task);
   end Copy;

   function Copy (obj : in Parametric_Task_Ptr) return Generic_Task_Ptr is
   begin
      return copy (obj.all);
   end Copy;

   procedure Put (obj : in Parametric_Task) is
   begin
      Put (Poisson_Task (obj));
      Put ("Activation_Rule: ");
      Put (obj.Activation_Rule);
      Put ("; ");
   end Put;

   procedure Put (obj : in Parametric_Task_Ptr) is
   begin
      Put (obj.all);
   end Put;

   procedure Put_Name (obj : in Parametric_Task_Ptr) is
   begin
      Put (To_String (obj.Name));
   end Put_Name;

   function Get_Name (obj : in Parametric_Task_Ptr) return Unbounded_String is
   begin
      return obj.Name;
   end Get_Name;

end Tasks;
