------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developped by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Numerics.Aux;          use Ada.Numerics.Aux;
with Call_Framework;            use Call_Framework;
with Text_IO;                   use Text_IO;
with Qs_Tools;                  use Qs_Tools;
with Ada.Numerics.Float_Random; use Ada.Numerics.Float_Random;

procedure Test_Exponential is

   -- generate a list of markovian (poisson) interarrival time
   -- variables
   --
   Tmp_Interarrival : Double;
   Nb_Inter_Time    : Natural;
   Service_Rate     : Double;
   Seed             : Generator;

begin

   Call_Framework.initialize;
   Nb_Inter_Time := 50;
   Service_Rate  := 0.25; -- average period 4
   Reset (Seed);

   for I in  1 .. Nb_Inter_Time loop

      Tmp_Interarrival := Get_Exponential_Time (Service_Rate, Seed);

      Put_Line ("interarrival time = " & Tmp_Interarrival'Img);

   end loop;

end Test_Exponential;
