------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Menu_Item;    use Gtk.Menu_Item;
with Gtk.Widget;       use Gtk.Widget;
with Gtk.Button;       use Gtk.Button;
with Gtk.Toolbar;      use Gtk.Toolbar;
with Gtk.Drawing_Area; use Gtk.Drawing_Area;
with Gtk.Editable;     use Gtk.Editable;
with Gtk.Clist;        use Gtk.Clist;
with Gtk.Frame;        use Gtk.Frame;
with Gtk.Handlers;     use Gtk.Handlers;
with Gtk.Notebook;     use Gtk.Notebook;
with Gtk.Check_Button; use Gtk.Check_Button;
with Gtk;              use Gtk;

package Callbacks_Cheddar is

   package Menu_Item_Callback is new Gtk.Handlers.Callback (
      Gtk_Menu_Item_Record);

   package Widget_Handler is new Gtk.Handlers.Callback (Gtk_Widget_Record);

   package Button_Callback is new Gtk.Handlers.Callback (Gtk_Button_Record);

   package Toolbar_Callback is new Gtk.Handlers.Callback (
      Gtk_Toolbar_Record);

   package Drawing_Area_Callback is new Gtk.Handlers.Callback (
      Gtk_Drawing_Area_Record);

   package Combo_Callback is new Gtk.Handlers.Callback (Gtk_Editable_Record);

   package List_Callback is new Gtk.Handlers.Callback (Gtk_Clist_Record);

   package Note_Callback is new Handlers.Callback (Gtk_Notebook_Record);

   package Notebook_Button_Callback is new Handlers.User_Callback (
      Gtk_Check_Button_Record,
      Gtk_Notebook);

   package Two_Notebook_Callback is new Handlers.User_Callback (
      Gtk_Notebook_Record,
      Gtk_Notebook);

   package Frame_Callback is new Handlers.User_Callback (
      Gtk_Check_Button_Record,
      Gtk_Frame);

end Callbacks_Cheddar;
