------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Main;            use Gtk.Main;
with Gtk.Window;          use Gtk.Window;
with Gtk.Enums;           use Gtk.Enums;
with Gtk.Button;          use Gtk.Button;
with Gtk;                 use Gtk;
with Gtk.Enums;           use Gtk.Enums;
with Graph_Callbacks_Pkg; use Graph_Callbacks_Pkg;

procedure Graph is
   Main_Window : Gtk.Window.Gtk_Window;
   Button_Pr   : Gtk.Button.Gtk_Button;

begin
   Gtk.Main.Init;

   Gtk.Window.Gtk_New (Main_Window, Window_Toplevel);
   Gtk.Window.Initialize (Main_Window, Window_Toplevel);
   Set_Policy (Main_Window, True, True, True);
   Set_Position (Main_Window, Win_Pos_Center_Always);
   Set_Default_Size (Main_Window, 800, 600);

   Gtk.Button.Gtk_New (Button_Pr, "Graph");
   Set_Usize (Button_Pr, 30, 50);
   Add (Main_Window, Button_Pr);

   Button_Callback.Connect
     (Button_Pr,
      "clicked",
      Button_Callback.To_Marshaller (Open_Graph'Access));
   Win_Callback.Connect
     (Main_Window,
      "delete_event",
      Win_Callback.To_Marshaller (Close_Win'Access));

   Show_All (Main_Window);
   Gtk.Main.Main;

end Graph;
