------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Graph_Window_Pkg;  use Graph_Window_Pkg;
with Graph_Toolbar_Pkg; use Graph_Toolbar_Pkg;
with My_Canvas;         use My_Canvas;
with Glib;              use Glib;
with Gtk.Window;        use Gtk.Window;
with Gtk.Button;        use Gtk.Button;
with Gtk.Handlers;      use Gtk.Handlers;

package Graph_Callbacks_Pkg is

   package Canvas_Cb is new Gtk.Handlers.Callback (
      Interactive_Canvas_Record);
   package Canvas_Boolean_Cb is new Gtk.Handlers.Return_Callback (
      Interactive_Canvas_Record,
      Boolean);
   package Graph_Window_Cb is new Gtk.Handlers.Callback (
      Graph_Window_Record);
   package Graph_Window_Gint_Cb is new Gtk.Handlers.Return_Callback (
      Graph_Window_Record,
      Gint);

   package Graph_Window_Boolean_Cb is new Gtk.Handlers.Return_Callback (
      Graph_Window_Record,
      Boolean);

   package Graph_Button_Cb is new Gtk.Handlers.Callback (Gtk_Button_Record);

   package Button_Callback is new Gtk.Handlers.Callback (Gtk_Button_Record);
   package Win_Callback is new Gtk.Handlers.Callback (Gtk_Window_Record);

   procedure Open_Graph (Button : access Gtk_Button_Record'Class);
   procedure Close_Win (Win : access Gtk_Window_Record'Class);
   procedure Hide_Graph_Window (G : access Graph_Window_Record'Class);
   function Close_Graph
     (Win  : access Graph_Window_Record'Class)
      return Gint;

   procedure Callbacks_Init
     (Win : Graph_Window_Access;
      Tb  : Graph_Toolbar_Access);

   Zoom_Levels : constant array (Positive range <>) of Guint :=
     (10,
      25,
      50,
      75,
      100,
      125,
      150,
      200,
      300,
      400);

end Graph_Callbacks_Pkg;
