------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Enums;        use Gtk.Enums;
with Gtk.Toolbar;      use Gtk.Toolbar;
with Gtk.Widget;       use Gtk.Widget;
with Gtk.Pixmap;       use Gtk.Pixmap;
with Gtk.Combo;        use Gtk.Combo;
with Gtk.Radio_Button; use Gtk.Radio_Button;
with Gtk.Window;       use Gtk.Window;

package Graph_Toolbar_Pkg is

   type Graph_Toolbar is record

   -- The tool bars
      Action_Toolbar, Disp_Toolbar : Gtk_Toolbar;

      Pixmap_Zoom_In, Pixmap_Zoom_Out, Pixmap_Close, Pixmap_Help, Pixmap_Disp1,
Pixmap_Disp2, Pixmap_Disp3 : Gtk_Pixmap;

      Zoom_In_Button, Zoom_Out_Button, Close_Button, Help_Button, Ok_Button, 
Disp4_Button : Gtk_Widget;
      Combo : Gtk_Combo;
      Items : String_List.Glist;

      Arrow_Radio_Button, Task_Radio_Button, Mesg_Radio_Button, 
Buffer_Radio_Button : Gtk_Radio_Button;
   end record;

   type Graph_Toolbar_Access is access all Graph_Toolbar;

   procedure New_Tool_Bar
     (Tool : in out Graph_Toolbar_Access;
      App  : access Gtk_Window_Record'Class);

end Graph_Toolbar_Pkg;
