------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;            use Gtk.Window;
with Gtk.Box;               use Gtk.Box;
with Gtk.Label;             use Gtk.Label;
with Gtk.GEntry;            use Gtk.GEntry;
with Gtk.Separator;         use Gtk.Separator;
with Gtk.Button;            use Gtk.Button;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package New_Buffer_Role_Pkg is

   type New_Buffer_Role_Record is new Gtk_Window_Record with private;
   type New_Buffer_Role_Access is access all New_Buffer_Role_Record'Class;

   procedure Gtk_New
     (New_Buffer_Role : out New_Buffer_Role_Access;
      Task_Name       : in Unbounded_String;
      Buffer_Name     : in Unbounded_String;
      Role            : in String);

   procedure Initialize
     (New_Buffer_Role : access New_Buffer_Role_Record'Class;
      Task_Name       : in Unbounded_String;
      Buffer_Name     : in Unbounded_String;
      Role            : in String);

   New_Buffer_Role : New_Buffer_Role_Access;

private

   type New_Buffer_Role_Record is new Gtk_Window_Record with record
      Vbox      : Gtk_Vbox;
      Hbox      : Gtk_Hbox;
      Separator : Gtk_Hseparator;

      Task_Name_Label : Gtk_Label;
      Task_Name_Entry : Gtk_Entry;
      Role_Label      : Gtk_Label;
      Role_Entry      : Gtk_Entry;
      Size_Label      : Gtk_Label;
      Size_Entry      : Gtk_Entry;

      Ok_Button : Gtk_Button;

      Buffer_Name : Unbounded_String;
   end record;

end New_Buffer_Role_Pkg;
