------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Button;          use Gtk.Button;
with Gtk.Scrolled_Window; use Gtk.Scrolled_Window;
with Gtk.Box;             use Gtk.Box;
with Gtk.Window;          use Gtk.Window;
with Gtk.Clist;           use Gtk.Clist;
with Gtkada.Types;        use Gtkada.Types;
with Gtk;                 use Gtk;
with Gtk.Frame;           use Gtk.Frame;
with Buffers;             use Buffers;
with Buffer_Set;          use Buffer_Set;
use Buffer_Set.Generic_Buffer_Set;
use Buffers.Buffer_Roles;

package Display_Buffers_Set_Pkg is
   type Display_Buffers_Set_Record is new Gtk_Window_Record with private;
   type Display_Buffers_Set_Access is access all Display_Buffers_Set_Record'
     Class;

   procedure Gtk_New (Display_Buffers_Set : out Display_Buffers_Set_Access);

   procedure Initialize
     (Display_Buffers_Set : access Display_Buffers_Set_Record'Class);

   Display_Buffers_Set : Display_Buffers_Set_Access;

private
   type Display_Buffers_Set_Record is new Gtk_Window_Record with record
      Buffer_List        : Gtk.Clist.Gtk_Clist;
      Scroll_Buffer_List : Gtk_Scrolled_Window;
      Buffer_List_Titles : Chars_Ptr_Array (1 .. 3);

      Role_List        : Gtk.Clist.Gtk_Clist;
      Scroll_Role_List : Gtk_Scrolled_Window;
      Role_List_Titles : Chars_Ptr_Array (1 .. 4);

      Frame_Role   : Gtk.Frame.Gtk_Frame;
      Frame_Buffer : Gtk.Frame.Gtk_Frame;

      Vbox_Main : Gtk.Box.Gtk_Box;

      Button_Ok : Gtk.Button.Gtk_Button;

      Current_Role_Index : Buffer_Roles_Range := Buffer_Roles_Range (0);

      One_Row_Is_Selected : Boolean := False;
   end record;

end Display_Buffers_Set_Pkg;
