------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;          use Gtk.Window;
with Gtk.Clist;           use Gtk.Clist;
with Gtk.Button;          use Gtk.Button;
with Gtkada.Types;        use Gtkada.Types;
with Gtk.Box;             use Gtk.Box;
with Gtk.Scrolled_Window; use Gtk.Scrolled_Window;

package Display_Networks_Set_Pkg is

   type Display_Networks_Set_Record is new Gtk_Window_Record with private;
   type Display_Networks_Set_Access is access all Display_Networks_Set_Record'
     Class;

   procedure Gtk_New
     (Display_Networks_Set : out Display_Networks_Set_Access);
   procedure Initialize
     (Display_Networks_Set : access Display_Networks_Set_Record'Class);

   Display_Networks_Set : Display_Networks_Set_Access;

private

   type Display_Networks_Set_Record is new Gtk_Window_Record with record
      Vbox_Main    : Gtk.Box.Gtk_Box;
      Hbox_Up      : Gtk.Box.Gtk_Box;
      Hbox_Down    : Gtk.Box.Gtk_Box;
      Scroll_List  : Gtk_Scrolled_Window;
      List_Titles  : Chars_Ptr_Array (1 .. 2);
      List         : Gtk.Clist.Gtk_Clist;
      Button_Close : Gtk.Button.Gtk_Button;
   end record;

end Display_Networks_Set_Pkg;
