------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;          use Gtk.Window;
with Gtk.Table;           use Gtk.Table;
with Gtk.Label;           use Gtk.Label;
with Gtk.GEntry;          use Gtk.GEntry;
with Gtk.Separator;       use Gtk.Separator;
with Gtk.Button;          use Gtk.Button;
with Gtk.Scrolled_Window; use Gtk.Scrolled_Window;

package Display_Tasks_Set_Pkg is

   type Display_Tasks_Set_Record is new Gtk_Window_Record with private;
   type Display_Tasks_Set_Access is access all Display_Tasks_Set_Record'Class;

   procedure Gtk_New (Display_Tasks_Set : out Display_Tasks_Set_Access);
   procedure Initialize
     (Display_Tasks_Set : access Display_Tasks_Set_Record'Class);

   Display_Tasks_Set : Display_Tasks_Set_Access;

private

   type Display_Tasks_Set_Record is new Gtk_Window_Record with record
      Scroll : Gtk_Scrolled_Window;
      Table  : Gtk_Table;
      Lab    : Gtk_Label;

      Entry_Name      : Gtk_Entry;
      Entry_Processor : Gtk_Entry;
      Entry_Type      : Gtk_Entry;

      Separator    : Gtk_Hseparator;
      Close_Button : Gtk_Button;
   end record;

end Display_Tasks_Set_Pkg;
