------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Text;         use Gtk.Text;
with Gtk.Table;        use Gtk.Table;
with Gtk.Label;        use Gtk.Label;
with Gtk.Separator;    use Gtk.Separator;
with Gtk.Button;       use Gtk.Button;
with Gtk.Check_Button; use Gtk.Check_Button;
with Gtk.Hbutton_Box;  use Gtk.Hbutton_Box;
with Gtk.Window;       use Gtk.Window;
with Gtk.Widget;       use Gtk.Widget;
with Gtk.Box;          use Gtk.Box;
with Gtk.Option_Menu;  use Gtk.Option_Menu;

package Do_Scheduling_Feasibility_Pkg is

   type Do_Scheduling_Feasibility_Record is new Gtk_Window_Record with private;
   type Do_Scheduling_Feasibility_Access is access all 
     Do_Scheduling_Feasibility_Record'Class;

   procedure Gtk_New
     (Do_Scheduling_Feasibility : out Do_Scheduling_Feasibility_Access;
      Text                      : in Gtk_Text);
   procedure Initialize
     (Do_Scheduling_Feasibility : access Do_Scheduling_Feasibility_Record'
     Class;
      Text                      : in Gtk_Text);

   Do_Scheduling_Feasibility : Do_Scheduling_Feasibility_Access;

private

   type Do_Scheduling_Feasibility_Record is new Gtk_Window_Record with record
      Do_Scheduling_Feasibility_Vbox : Gtk_Vbox;

      Value_Table : Gtk_Table;
      Lab         : Gtk_Label;

      Test1 : Gtk_Check_Button;
      Test2 : Gtk_Check_Button;

      Text : Gtk_Text;

      Processor_Menu           : Gtk_Option_Menu;
      Clist_Processor_Menu     : Widget_SList.GSlist;
      Schedule_All_Processeurs : Gtk_Check_Button;

      Button_Hbox   : Gtk_Hbutton_Box;
      Ok_Button     : Gtk_Button;
      Cancel_Button : Gtk_Button;
      Hseparator    : Gtk_Hseparator;
   end record;

end Do_Scheduling_Feasibility_Pkg;
