------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Table;        use Gtk.Table;
with Gtk.Label;        use Gtk.Label;
with Gtk.Separator;    use Gtk.Separator;
with Gtk.Button;       use Gtk.Button;
with Gtk.Check_Button; use Gtk.Check_Button;
with Gtk.Window;       use Gtk.Window;
with Gtk.Widget;       use Gtk.Widget;
with Gtk.Box;          use Gtk.Box;
with Gtk.GEntry;       use Gtk.GEntry;
with Gtk;              use Gtk;
with Gtk.Alignment;    use Gtk.Alignment;
with Gtk.Option_Menu;  use Gtk.Option_Menu;
with Editor_Config;    use Editor_Config;

package Do_Scheduling_Simulation_Pkg is

   type Do_Scheduling_Simulation_Record is new Gtk_Window_Record with private;
   type Do_Scheduling_Simulation_Access is access all 
     Do_Scheduling_Simulation_Record'Class;

   type Do_Scheduling_Callback_Type is access procedure;

   procedure Gtk_New
     (Do_Scheduling_Simulation : out Do_Scheduling_Simulation_Access;
      Call                     : Do_Scheduling_Callback_Type);
   procedure Initialize
     (Do_Scheduling_Simulation : access Do_Scheduling_Simulation_Record'Class;
      Call                     : Do_Scheduling_Callback_Type);

   Do_Scheduling_Simulation : Do_Scheduling_Simulation_Access;

private

   type Check_Table is array (Data_From_Simulation) of Gtk_Check_Button;

   type Do_Scheduling_Simulation_Record is new Gtk_Window_Record with record
      Do_Scheduling_Simulation_Vbox : Gtk_Vbox;

      Call        : Do_Scheduling_Callback_Type;
      Value_Table : Gtk_Table;
      Label       : Gtk_Label;
      Align       : Gtk_Alignment;

      Context_Switch                   : Gtk_Check_Button;
      Number_Preemption                : Gtk_Check_Button;
      Event_Analyzer                   : Gtk_Check_Button;
      Schedule_And_Display_Event_Table : Gtk_Check_Button;
      Schedule_And_Export_Event_Table  : Gtk_Check_Button;
      Schedule_All_Processeurs         : Gtk_Check_Button;
      Read_From_File                   : Gtk_Button;
      Event_Table_File_Name            : Gtk.GEntry.Gtk_Entry;

      Blocking_Time : Check_Table;
      Response_Time : Check_Table;

      Button_Hbox   : Gtk_Hbox;
      Ok_Button     : Gtk_Button;
      Cancel_Button : Gtk_Button;
      Hseparator    : Gtk_Hseparator;

      Processor_Menu       : Gtk_Option_Menu;
      Clist_Processor_Menu : Widget_SList.GSlist;
   end record;

end Do_Scheduling_Simulation_Pkg;
