------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;          use Gtk.Window;
with Gtk.Box;             use Gtk.Box;
with Gtk.Label;           use Gtk.Label;
with Gtk.GEntry;          use Gtk.GEntry;
with Gtk.Separator;       use Gtk.Separator;
with Gtk.Button;          use Gtk.Button;
with Draw_Scheduling_Pkg; use Draw_Scheduling_Pkg;

with Systems; use Systems;

package Draw_Time_Line_From_To_Pkg is

   type Draw_Time_Line_From_To_Record is new Gtk_Window_Record with private;
   type Draw_Time_Line_From_To_Access is access all 
     Draw_Time_Line_From_To_Record'Class;

   procedure Gtk_New
     (Draw_Time_Line_From_To : out Draw_Time_Line_From_To_Access;
      Draw_Scheduling        : Draw_Scheduling_Access;
      Sys                    : in System);

   procedure Initialize
     (Draw_Time_Line_From_To : access Draw_Time_Line_From_To_Record'Class;
      Draw_Scheduling        : Draw_Scheduling_Access;
      Sys                    : in System);

   Draw_Time_Line_From_To : Draw_Time_Line_From_To_Access;

private

   type Draw_Time_Line_From_To_Record is new Gtk_Window_Record with record
      Vbox      : Gtk_Vbox;
      Hbox      : Gtk_Hbox;
      Separator : Gtk_Hseparator;

      Lab             : Gtk_Label;
      Draw_From_Entry : Gtk_Entry;
      Draw_To_Entry   : Gtk_Entry;

      Cancel_Button : Gtk_Button;
      Ok_Button     : Gtk_Button;

      Draw_Scheduling : Draw_Scheduling_Access;
   end record;

end Draw_Time_Line_From_To_Pkg;
