------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.File_Selection; use Gtk.File_Selection;
with Gtk.Button;         use Gtk.Button;
with Gtk.Notebook;       use Gtk.Notebook;

package Import_Aadl_Selection_Pkg is

   type import_aadl_selection_Record is new Gtk_File_Selection_Record with
      private;
   type import_aadl_selection_Access is access all 
     import_aadl_selection_Record'Class;

   procedure Gtk_New
     (import_aadl_selection : out import_aadl_selection_Access);
   procedure Initialize
     (import_aadl_selection : access import_aadl_selection_Record'Class);

   import_aadl_selection : import_aadl_selection_Access;

private

   type import_aadl_selection_Record is new Gtk_File_Selection_Record with
      record
         Ok_Button     : Gtk_Button;
         Cancel_Button : Gtk_Button;
      end record;

end Import_Aadl_Selection_Pkg;
