------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Gtk.Window;            use Gtk.Window;
with Gtk.Alignment;         use Gtk.Alignment;
with Gtk.Box;               use Gtk.Box;
with Gtk.Label;             use Gtk.Label;
with Gtk.Separator;         use Gtk.Separator;
with Gtk.Button;            use Gtk.Button;

package Message_Pkg is

   type Message_Record is new Gtk_Window_Record with private;
   type Message_Access is access all Message_Record'Class;

   procedure Gtk_New
     (Message : out Message_Access;
      Msg     : in Unbounded_String);
   procedure Initialize
     (Message : access Message_Record'Class;
      Msg     : in Unbounded_String);

   Message : Message_Access;

private

   type Message_Record is new Gtk_Window_Record with record
      Alignment : Gtk_Alignment;
      Vbox      : Gtk_Vbox;
      Msg       : Gtk_Label;
      Separator : Gtk_Hseparator;
      Hbox      : Gtk_Hbox;
      Button    : Gtk_Button;
   end record;

end Message_Pkg;
