------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Glib;                  use Glib;
with Gtk;                   use Gtk;
with Gtk.Widget;            use Gtk.Widget;
with Gtk.Option_Menu;       use Gtk.Option_Menu;
with Callbacks_Cheddar;     use Callbacks_Cheddar;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Unbounded_Strings;     use Unbounded_Strings;
use Unbounded_Strings.Strings_Table_Package;

package Mmi_Tools is

   type String_Access is access String;

   type Text_Colors_Type is record
      Red, Green, Blue : Gushort;
      Name             : String_Access;
   end record;
   type Text_Colors_Type_Array is
     array (Natural range <>) of Text_Colors_Type;

   Text_Colors : constant Text_Colors_Type_Array :=
     ((16#0#, 16#0#, 16#0#, new String'("black")),
      (16#FFFF#, 16#FFFF#, 16#FFFF#, new String'("white")),
      (16#FFFF#, 16#0#, 16#0#, new String'("red")),
      (16#0#, 16#FFFF#, 16#0#, new String'("green")),
      (16#0#, 16#0#, 16#FFFF#, new String'("blue")),
      (16#0#, 16#FFFF#, 16#FFFF#, new String'("cyan")),
      (16#FFFF#, 16#0#, 16#FFFF#, new String'("magenta")),
      (16#FFFF#, 16#FFFF#, 16#0#, new String'("yellow")));

   procedure Build_Global_Scheduler_Table_Name
     (Items : in out Strings_Table);

   procedure Build_Local_Scheduler_Table_Name
     (Items : in out Strings_Table);

   procedure Show_Message_Box (Msg : Unbounded_String);

   procedure Show_Message_Box (Msg : String);

   procedure Build_Option_Menu
     (Omenu   : out Gtk.Option_Menu.Gtk_Option_Menu;
      Gr      : out Widget_SList.GSlist;
      Items   : Strings_Table;
      History : Gint;
      Cb      : Widget_Handler.Marshallers.Void_Marshaller.Handler);

end Mmi_Tools;
