------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;            use Gtk.Window;
with Gtk.GEntry;            use Gtk.GEntry;
with Gtk.Combo;             use Gtk.Combo;
with Gtk.Enums;             use Gtk.Enums;
with Gtk.Button;            use Gtk.Button;
with Gtk.Label;             use Gtk.Label;
with Gtk.Table;             use Gtk.Table;
with Gtk.Box;               use Gtk.Box;
with Gtk.Option_Menu;       use Gtk.Option_Menu;
with Gtk.Widget;            use Gtk.Widget;
with Network_Set;           use Network_Set;
use Network_Set.Generic_Network_Set;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package Networks_Parameters_Pkg is

   type Networks_Parameters_Record is new Gtk_Window_Record with private;

   type Networks_Parameters_Access is access all Networks_Parameters_Record'
     Class;

   procedure Gtk_New (Networks_Parameters : out Networks_Parameters_Access);

   procedure Initialize
     (Networks_Parameters : access Networks_Parameters_Record'Class);

   Networks_Parameters : Networks_Parameters_Access;

private
   type Networks_Parameters_Record is new Gtk_Window_Record with record
      Name_Label : Gtk.Label.Gtk_Label;
      Type_Label : Gtk.Label.Gtk_Label;
      File_Label : Gtk.Label.Gtk_Label;

      Networks_Name : Gtk.GEntry.Gtk_Entry;
      Networks_Type : Gtk.Combo.Gtk_Combo;

      Vbox_Main       : Gtk.Box.Gtk_Box;
      Hbox_Add_Cancel : Gtk.Box.Gtk_Box;
      Hbox_Name_Type  : Gtk.Box.Gtk_Box;
      Hbox_File       : Gtk.Box.Gtk_Box;

      Table_Name_Type : Gtk.Table.Gtk_Table;
      Table_File      : Gtk.Table.Gtk_Table;

      Type_Items : String_List.Glist;

      Add_Button    : Gtk.Button.Gtk_Button;
      Cancel_Button : Gtk.Button.Gtk_Button;
      Close_Button  : Gtk.Button.Gtk_Button;
      Read_Button   : Gtk.Button.Gtk_Button;

      Clist_Scheduler_Menu : Widget_SList.GSlist;
      Scheduler_Menu       : Gtk_Option_Menu;

      File_Name       : Unbounded_String;
      Entry_File_Name : Gtk_Entry;

      Undo_Networks : Networks_Set;
   end record;

end Networks_Parameters_Pkg;
