------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;          use Gtk.Window;
with Gtk.Box;             use Gtk.Box;
with Gtk.Label;           use Gtk.Label;
with Gtk.GEntry;          use Gtk.GEntry;
with Gtk.Separator;       use Gtk.Separator;
with Gtk.Button;          use Gtk.Button;
with Gtk.Text;            use Gtk.Text;
with Draw_Scheduling_Pkg; use Draw_Scheduling_Pkg;
with Systems;             use Systems;

package Schedule_From_To_Pkg is

   type Schedule_From_To_Record is new Gtk_Window_Record with private;
   type Schedule_From_To_Access is access all Schedule_From_To_Record'Class;

   procedure Gtk_New
     (Schedule_From_To      : out Schedule_From_To_Access;
      Text                  : Gtk_Text;
      Draw_Scheduling       : Draw_Scheduling_Access;
      Sys                   : in System;
      Customized_Simulation : Boolean := False);

   procedure Initialize
     (Schedule_From_To      : access Schedule_From_To_Record'Class;
      Text                  : Gtk_Text;
      Draw_Scheduling       : Draw_Scheduling_Access;
      Sys                   : in System;
      Customized_Simulation : Boolean := False);

   Schedule_From_To : Schedule_From_To_Access;

private

   type Schedule_From_To_Record is new Gtk_Window_Record with record
      Vbox      : Gtk_Vbox;
      Hbox      : Gtk_Hbox;
      Separator : Gtk_Hseparator;

      Customized_Simulation : Boolean;

      Schedule_From_To_Label : Gtk_Label;
      Draw_From_Entry        : Gtk_Entry;
      Draw_Upto_Entry        : Gtk_Entry;
      Schedule_To_Entry      : Gtk_Entry;

      Cancel_Button : Gtk_Button;
      Ok_Button     : Gtk_Button;

      Text            : Gtk_Text;
      Draw_Scheduling : Draw_Scheduling_Access;
   end record;

end Schedule_From_To_Pkg;
