------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;           use Gtk.Window;
with Gtk.Alignment;        use Gtk.Alignment;
with Gtk.Box;              use Gtk.Box;
with Gtk.Separator;        use Gtk.Separator;
with Gtk.Button;           use Gtk.Button;
with Gtk.Scrolled_Window;  use Gtk.Scrolled_Window;
with Gtk;                  use Gtk;
with Draw_Buffer_Pkg;      use Draw_Buffer_Pkg;
with Buffers;              use Buffers;
with Scheduling_Sequences; use Scheduling_Sequences;
use Scheduling_Sequences.Buffer_Size_Package;
with Time_Units;           use Time_Units;

package Scrolling_Draw_Buffer_Pkg is

   type Scrolling_Draw_Buffer_Record is new Gtk_Window_Record with private;
   type Scrolling_Draw_Buffer_Access is access all 
     Scrolling_Draw_Buffer_Record'Class;

   procedure Gtk_New
     (Scrolling_Draw_Buffer : out Scrolling_Draw_Buffer_Access;
      Name                  : String);
   procedure Initialize
     (Scrolling_Draw_Buffer : access Scrolling_Draw_Buffer_Record'Class;
      Name                  : String);
   procedure Clear
     (Scrolling_Draw_Buffer : access Scrolling_Draw_Buffer_Record'Class);
   procedure Draw
     (Scrolling_Draw_Buffer : access Scrolling_Draw_Buffer_Record'Class;
      Buff                  : Buffer_Ptr;
      Buff1                 : Buffer_Size_Table;
      Last_Time_Unit1       : Natural;
      Time_Unit_Number1     : Time_Unit_Range);

   Scrolling_Draw_Buffer : Scrolling_Draw_Buffer_Access;

private

   type Scrolling_Draw_Buffer_Record is new Gtk_Window_Record with record
      Alignment      : Gtk_Alignment;
      Vbox           : Gtk_Vbox;
      Vbox2          : Gtk_Vbox;
      Separator      : Gtk_Hseparator;
      Hbox           : Gtk_Hbox;
      Scrolledwindow : Gtk_Scrolled_Window;

      Dbuffer : Draw_Buffer_Access;

      Button : Gtk_Button;
   end record;

end Scrolling_Draw_Buffer_Pkg;
