------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Editable; use Gtk.Editable;
with Project;      use Project;

package body Scrolling_Editor_Pkg.Callbacks is

   procedure On_Ok_Pressed (Object : access Gtk_Button_Record'Class) is
   begin
      Scrolling_Editor.Is_Displayed := False;
      Hide (Scrolling_Editor);

      if Scrolling_Editor.Read_Only = False then

         Scrolling_Editor.Edited_Text.all :=
            To_Unbounded_String
              (Gtk.Editable.Get_Chars (Gtk_Editable (Scrolling_Editor.Text)));
      end if;
   end On_Ok_Pressed;

   procedure On_Cancel_Pressed (Object : access Gtk_Button_Record'Class) is
   begin
      Scrolling_Editor.Is_Displayed := False;
      Hide (Scrolling_Editor);
   end On_Cancel_Pressed;

   procedure On_Close_Pressed (Object : access Gtk_Button_Record'Class) is
   begin
      Scrolling_Editor.Is_Displayed := False;
      Hide (Scrolling_Editor);
   end On_Close_Pressed;

   procedure On_Modify_Pressed (Object : access Gtk_Button_Record'Class) is
   begin

      -- Get text from Window
      --
      Scrolling_Editor.Edited_Text.all :=
         To_Unbounded_String
           (Gtk.Editable.Get_Chars (Gtk_Editable (Scrolling_Editor.Text)));

      -- Call the callback function
      --
      Scrolling_Editor.Modify_Callback.all (Scrolling_Editor.Edited_Text.all);

      -- Do not forget to save project
      -- since tasks are modified !!
      --
      Is_New   := False;
      Is_Saved := False;

   end On_Modify_Pressed;

end Scrolling_Editor_Pkg.Callbacks;
