------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk;                   use Gtk;
with Gtk.Text;              use Gtk.Text;
with Gdk.Font;              use Gdk.Font;
with Gdk.Color;             use Gdk.Color;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Unbounded_Strings;     use Unbounded_Strings;
use Unbounded_Strings.Strings_Table_Package;
with Call_Framework;        use Call_Framework;
use Call_Framework.Framework_Request_Package;
use Call_Framework.Framework_Response_Package;

package Text_Tools is

   procedure Initialize;

   procedure Write_Text (A_Text : in Gtk_Text; Msg : Unbounded_String);

   procedure Write_Title (A_Text : in Gtk_Text; Msg : Unbounded_String);

   procedure Write_Title_And_Text
     (A_Text        : in Gtk_Text;
      Response_List : in Framework_Response_Table);

private

   Font_R : Gdk_Font;
   Font_B : Gdk_Font;
   Red    : Gdk_Color;
   Black  : Gdk_Color;

end Text_Tools;
