------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Scheduler; use Scheduler;

package Update_Address_Spaces_Set_Pkg.Callbacks.Integrity_Checks is

   Address_Space_Name       : Unbounded_String;
   Address_Space_Processor  : Unbounded_String;
   Address_Space_Data       : Integer;
   Address_Space_Text       : Integer;
   Address_Space_Heap       : Integer;
   Address_Space_Stack      : Integer;
   Address_Space_Preemptive : Preemptive_Type;
   Address_Space_Quantum    : Integer;
   Address_Space_File_Name  : Unbounded_String;
   Address_Space_Scheduler  : Scheduler_Type;

   procedure Check_Integrity_Constraints
     (Update_Address_Spaces_Set : in out Update_Address_Spaces_Set_Access;
      Error_Message             : in out Unbounded_String;
      Ok                        : in out Boolean);

end Update_Address_Spaces_Set_Pkg.Callbacks.Integrity_Checks;
