------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Gtk.Window;            use Gtk.Window;
with Gtk.Combo;             use Gtk.Combo;
with Gtk.Enums;             use Gtk.Enums;
with Gtk.Button;            use Gtk.Button;
with Gtk.Label;             use Gtk.Label;
with Gtk.Table;             use Gtk.Table;
with Gtk.Box;               use Gtk.Box;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Gtk.Radio_Button;      use Gtk.Radio_Button;
with Systems;               use Systems;

package Update_Networks_Set_Pkg is

   type Update_Networks_Set_Record is new Gtk_Window_Record with private;
   type Update_Networks_Set_Access is access all Update_Networks_Set_Record'
     Class;

   procedure Gtk_New (Update_Networks_Set : out Update_Networks_Set_Access);

   procedure Initialize
     (Update_Networks_Set : access Update_Networks_Set_Record'Class);

   Update_Networks_Set : Update_Networks_Set_Access;

private

   type Update_Networks_Set_Record is new Gtk_Window_Record with record
      Name_Label : Gtk.Label.Gtk_Label;
      Type_Label : Gtk.Label.Gtk_Label;

      Name : Gtk.Combo.Gtk_Combo;

      Network_Menu : String_List.Glist;

      Vbox_Main       : Gtk.Box.Gtk_Box;
      Hbox_Add_Cancel : Gtk.Box.Gtk_Box;
      Hbox_Name_Type  : Gtk.Box.Gtk_Box;

      Button_Bounded_Delay    : Gtk_Radio_Button;
      Button_Parametric_Delay : Gtk_Radio_Button;

      Table_Name_Type : Gtk.Table.Gtk_Table;

      Type_Items : String_List.Glist;

      Modify_Button : Gtk.Button.Gtk_Button;
      Cancel_Button : Gtk.Button.Gtk_Button;

      Last_Network_Selected : Unbounded_String;
      Undo                  : System;
   end record;

end Update_Networks_Set_Pkg;
