------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Tasks;      use Tasks;
with Offsets;    use Offsets;
use Offsets.Offsets_Table_package;
with Parameters; use Parameters;
use Parameters.User_Defined_Parameters_Table_Package;

package Update_Tasks_Set_Pkg.Callbacks.Integrity_Checks is

   Task_Name              : Unbounded_String;
   Task_Processor         : Unbounded_String;
   Task_Address_Space     : Unbounded_String;
   Task_Type              : Tasks_Type;
   Task_Policy            : Policies;
   Task_Priority          : Integer;
   Task_Capacity          : Integer;
   Task_Jitter            : Integer;
   Task_Deadline          : Integer;
   Task_Period            : Integer;
   Task_Criticality       : Integer;
   Task_Start_Time        : Integer;
   Task_Blocking_Time     : Integer;
   Task_Seed_Value        : Integer;
   Task_Offset            : Offsets_Table;
   Task_Param             : User_Defined_Parameters_Table;
   Task_Predictable       : Boolean;
   Task_Parametric_Rule   : Unbounded_String;
   Task_Stack_Memory_Size : Integer;
   Task_Text_Memory_Size  : Integer;

   procedure Check_Integrity_Constraints
     (Update_Tasks_Set : in out Update_Tasks_Set_Access;
      Error_Message    : in out Unbounded_String;
      Ok               : in out Boolean);

end Update_Tasks_Set_Pkg.Callbacks.Integrity_Checks;
