------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Interfaces.C.Strings;
with Gtkada.Types;

package Xpm is

   function "+" (Str : in String) return Gtkada.Types.Chars_Ptr renames
     Interfaces.C.Strings.New_String;

   Clock_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 104 2",
      +"  c None",
      +". c #A0A0A0",
      +"+ c #9E9E9E",
      +"@ c #A9A9A9",
      +"# c #BEBEBE",
      +"$ c #BDBDBD",
      +"% c #727272",
      +"& c #5E5E5E",
      +"* c #2E2E2E",
      +"= c #585858",
      +"- c #ABABAB",
      +"; c #5F5F5F",
      +"> c #717171",
      +", c #B2B2B2",
      +"' c #7B7B7B",
      +") c #6D6D6D",
      +"! c #B6B6B6",
      +"~ c #949494",
      +"{ c #B5B5B5",
      +"] c #353535",
      +"^ c #5B5B5B",
      +"/ c #A6A6A6",
      +"( c #363636",
      +"_ c #5D5D5D",
      +": c #9D9D9D",
      +"< c #696969",
      +"[ c #A3A3A3",
      +"} c #424242",
      +"| c #636363",
      +"1 c #545454",
      +"2 c #3D3D3D",
      +"3 c #414141",
      +"4 c #484848",
      +"5 c #3E3E3E",
      +"6 c #4B4B4B",
      +"7 c #707070",
      +"8 c #5C5C5C",
      +"9 c #8F8F8F",
      +"0 c #676767",
      +"a c #444444",
      +"b c #454545",
      +"c c #565656",
      +"d c #464646",
      +"e c #606060",
      +"f c #919191",
      +"g c #6B6B6B",
      +"h c #969696",
      +"i c #4C4C4C",
      +"j c #4D4D4D",
      +"k c #999999",
      +"l c #6C6C6C",
      +"m c #6F6F6F",
      +"n c #535353",
      +"o c #555555",
      +"p c #616161",
      +"q c #828282",
      +"r c #777777",
      +"s c #5A5A5A",
      +"t c #646464",
      +"u c #787878",
      +"v c #7D7D7D",
      +"w c #878787",
      +"x c #626262",
      +"y c #737373",
      +"z c #6A6A6A",
      +"A c #838383",
      +"B c #808080",
      +"C c #747474",
      +"D c #818181",
      +"E c #7C7C7C",
      +"F c #797979",
      +"G c #7A7A7A",
      +"H c #7F7F7F",
      +"I c #888888",
      +"J c #898989",
      +"K c #8A8A8A",
      +"L c #909090",
      +"M c #8D8D8D",
      +"N c #686868",
      +"O c #858585",
      +"P c #8E8E8E",
      +"Q c #979797",
      +"R c #989898",
      +"S c #656565",
      +"T c #505050",
      +"U c #848484",
      +"V c #9F9F9F",
      +"W c #9A9A9A",
      +"X c #575757",
      +"Y c #A2A2A2",
      +"Z c #A7A7A7",
      +"` c #929292",
      +" .c #313131",
      +"..c #595959",
      +"+.c #ADADAD",
      +"@.c #AEAEAE",
      +"#.c #A5A5A5",
      +"$.c #2D2D2D",
      +"%.c #525252",
      +"&.c #4A4A4A",
      +"*.c #232323",
      +"=.c #3A3A3A",
      +"-.c #343434",
      +";.c #3C3C3C",
      +"                                                ",
      +"                . . + @ # + . .                 ",
      +"            . $ % & * = - * ; > , '             ",
      +"        ) ! ~ { % ] ] ^ / ( ( ( _ ! :           ",
      +"      < [ ^ } | 1 2 2 3 4 5 5 6 : 7 8 9         ",
      +"      @ 0 a a a a b b b b b b b c d d e f       ",
      +"    g [ h = i i i i i i i i j j j j j > [ g     ",
      +"    k l m 1 n n 1 1 1 1 1 1 1 1 o o p f q k     ",
      +"  g r s s ^ ^ ^ ^ ^ ^ ^ ^ 8 8 8 8 8 8 t _ u v   ",
      +"  w > x x x x x x x x | | | | | | | | t t y u   ",
      +"  q < < < z z z z z z z z g g g g g g g l l q   ",
      +"  A B B y > > > > % % % % % % % % y y C D D A   ",
      +"  v ' E F F F F F F F F G G G G G G G ' v v v   ",
      +"  F B B B B B B D D D D D D D D D q q q q H u   ",
      +"  & B I I I I I I I J J J J J J J J K K K D &   ",
      +"  = v 9 K 9 9 9 9 L L L L L L L f f f L M H =   ",
      +"    N O l P Q Q Q Q Q Q Q Q R R R R R B ) S     ",
      +"    T & U + + V V V V V V V V . . . . W & T     ",
      +"      X f / / : Y / / / Z Z Z Z k Z Z ` X       ",
      +"       ...h +.| ' @.@.- #.@.@.[ e O h .. .      ",
      +"        $.%.E x - { { h = ! ! ! C &.&.$.        ",
      +"          *.=.4 U ~ $ W n $ ~ O 4 =.            ",
      +"                -.( _ 1 } _ ;.$.                ",
      +"                                                ");

   Empty_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 2 1",
      +" c #FFFFFFFFFFFF",
      +".c #28A228A228A2",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                       .");

   Exit_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 13 1",
      +" c None",
      +".c #000000",
      +"+c #E4E4DC",
      +"@c #BE7579",
      +"#c #C67D81",
      +"$c #2D2D2D",
      +"%c #8A4D4F",
      +"&c #9E575B",
      +"*c #A75E5F",
      +"=c #AF6668",
      +"-c #B66D71",
      +";c #CD8689",
      +">c #080808",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"          .........     ",
      +"          .++++++..     ",
      +"          .++++++..     ",
      +"        ...++++++..     ",
      +"        .@.++++++..     ",
      +"   ......@#.++$.+..     ",
      +"   .%&*=-@#;.+.$+..     ",
      +"   .%&*=-@#;.++++..     ",
      +"   ......@#.+++++..     ",
      +"        .@.++++++..     ",
      +"        ...++++++..     ",
      +"          .++++....     ",
      +"          .++......     ",
      +"          ...>>>>>>     ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ");

   New_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 89 1",
      +" c None",
      +".c #000000",
      +"+c #ADAD9C",
      +"@c #959585",
      +"#c #DCDCC5",
      +"$c #DFDFC8",
      +"%c #242424",
      +"&c #A7A796",
      +"*c #D7D7C1",
      +"=c #D9D9C3",
      +"-c #DCDCC4",
      +";c #DDDDC7",
      +">c #E1E1CA",
      +",c #A6A694",
      +"'c #D6D6BF",
      +")c #D8D8C2",
      +"!c #DBDBC4",
      +"~c #DFDFC7",
      +"{c #E3E3CB",
      +"]c #B2B29F",
      +"^c #7C7C7C",
      +"/c #646464",
      +"(c #D5D5BD",
      +"_c #D5D5BF",
      +":c #D7D7C0",
      +"<c #DADAC3",
      +"[c #DEDEC6",
      +"}c #E1E1C9",
      +"|c #E5E5CD",
      +"1c #E9E9D1",
      +"2c #343434",
      +"3c #E7E7E7",
      +"4c #373736",
      +"5c #B8B8A6",
      +"6c #D3D3BC",
      +"7c #D9D9C2",
      +"8c #DDDDC5",
      +"9c #E0E0C8",
      +"0c #E8E8D0",
      +"ac #ECECD4",
      +"bc #EEEED5",
      +"cc #ECECEC",
      +"dc #EDEDED",
      +"ec #3D3D37",
      +"fc #CECEB7",
      +"gc #E6E6CE",
      +"hc #EAEAD2",
      +"ic #F1F1D8",
      +"jc #A5A594",
      +"kc #EEEEE5",
      +"lc #3C3C3C",
      +"mc #8F8F80",
      +"nc #D0D0B9",
      +"oc #E4E4CB",
      +"pc #EAEAD1",
      +"qc #ECECD3",
      +"rc #EFEFD6",
      +"sc #F2F2D9",
      +"tc #F3F3DA",
      +"uc #EEEEE6",
      +"vc #505050",
      +"wc #929282",
      +"xc #D1D1B9",
      +"yc #E7E7CF",
      +"zc #EBEBD2",
      +"Ac #F4F4DB",
      +"Bc #F5F5DC",
      +"Cc #969686",
      +"Dc #D2D2BC",
      +"Ec #E0E0C9",
      +"Fc #E9E9D0",
      +"Gc #EDEDD4",
      +"Hc #F0F0D7",
      +"Ic #BEBEAB",
      +"Jc #797973",
      +"Kc #D8D8C1",
      +"Lc #DDDDC6",
      +"Mc #98988F",
      +"Nc #E4E4CC",
      +"Oc #818174",
      +"Pc #E2E2CA",
      +"Qc #BEBEAE",
      +"Rc #4E4E4E",
      +"Sc #828274",
      +"Tc #EBEBD3",
      +"Uc #BBBBA8",
      +"Vc #CDCDB8",
      +"Wc #4D4D45",
      +"Xc #A6A696",
      +"                        ",
      +"                        ",
      +"             .          ",
      +"           ..+.         ",
      +"         ..@#$%         ",
      +"       ..&*=-;>.        ",
      +"     ..,'**)!~{].       ",
      +"    .^/'(_:<[}|12       ",
      +"    .3456*789|0ab.      ",
      +"    .cdef_!9g0hbij.     ",
      +"    .kklmn9opqrist.     ",
      +"    .uvwx-}yzbittAB.    ",
      +"    ..CD!E{FGHtAABBI.   ",
      +"    .JK7L>ypbitBBBBB).  ",
      +"    .M!#$NyzbitBBBBBO.  ",
      +"     .~9P|1qrsABBBB..   ",
      +"     .Q||0hGHtABB<.     ",
      +"      R01hGrstAsS.      ",
      +"      .TaGriss<.        ",
      +"       .rHis1j.         ",
      +"       .UstVW.          ",
      +"        .tX.            ",
      +"         ..             ",
      +"                        ");

   Open_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 5 1",
      +" c None",
      +".c #000000",
      +"+c #99907B",
      +"@c #FFFEF7",
      +"#c #FFFFFF",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"              ..        ",
      +"           ...++.       ",
      +"    ..  ...++++@@#...   ",
      +"   .++..++++@@@@..++.   ",
      +"   .+++++@@@@@..++++.   ",
      +"    .++@@@@@..++++++.   ",
      +"    .++@@@..++++++++.   ",
      +"     .+@@.++++++++++.   ",
      +"     .++@.++++++++++.   ",
      +"      .+@.++++++++++.   ",
      +"      .++.++++++++..    ",
      +"       .+.++++++..      ",
      +"       .+.+++++.        ",
      +"        ..+++..         ",
      +"        ..+..           ",
      +"         ..             ",
      +"                        ",
      +"                        ",
      +"                        ");

   Ordo_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 21 1",
      +" c None",
      +".c #5A5A5A",
      +"+c #949494",
      +"@c #D6F7D6",
      +"#c #181818",
      +"$c #63BD63",
      +"%c #18B518",
      +"&c #7B7B7B",
      +"*c #848484",
      +"=c #393939",
      +"-c #218421",
      +";c #101010",
      +">c #292929",
      +",c #84D684",
      +"'c #39BD39",
      +")c #636363",
      +"!c #212121",
      +"~c #6B6B6B",
      +"{c #8C8C8C",
      +"]c #10B510",
      +"^c #7BD67B",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                   .+   ",
      +"       @@@@@       +#+  ",
      +"      $%%%%%$       &#* ",
      +"*=====-%%%%%-========;> ",
      +"      ,''''',       )!  ",
      +"                   ~>   ",
      +"                   {    ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                   .+   ",
      +"          @@@@@@@  +#+  ",
      +"         $%%%%%%%$  &#* ",
      +"*========-]]]]]]]-===;> ",
      +"         ^'''''''^  )!  ",
      +"                   ~>   ",
      +"                   {    ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ");

   Save_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 64 1",
      +" c None",
      +".c #000000",
      +"+c #779FA8",
      +"@c #495A5E",
      +"#c #BFD1D5",
      +"$c #A8C1C5",
      +"%c #E4ECED",
      +"&c #FFFFFF",
      +"*c #EEF3F4",
      +"=c #E0E9EB",
      +"-c #87AAB2",
      +";c #AEC4C9",
      +">c #F5F8F9",
      +",c #8BADB5",
      +"'c #3E4D50",
      +")c #94B2B9",
      +"!c #CFDCDF",
      +"~c #E4ECEE",
      +"{c #788A8D",
      +"]c #EBF1F2",
      +"^c #E8EFF0",
      +"/c #F2F6F7",
      +"(c #607A7F",
      +"_c #F0F4F5",
      +":c #536E75",
      +"<c #A0BCC1",
      +"[c #465E63",
      +"}c #4B575A",
      +"|c #557278",
      +"1c #A4ABAD",
      +"2c #EAEAEA",
      +"3c #E4E4E4",
      +"4c #606364",
      +"5c #C6CACC",
      +"6c #F3F3F3",
      +"7c #F1F1F1",
      +"8c #E7E7E7",
      +"9c #E1E1E1",
      +"0c #A9B2B4",
      +"ac #486166",
      +"bc #34464A",
      +"cc #729096",
      +"dc #BCC2C3",
      +"ec #F6F6F6",
      +"fc #57696D",
      +"gc #CFD8DA",
      +"hc #DEDEDE",
      +"ic #D8D8D8",
      +"jc #8C9394",
      +"kc #F2F2F2",
      +"lc #3A474A",
      +"mc #7EA4AC",
      +"nc #D5DADA",
      +"oc #E0E0E0",
      +"pc #B4B4B4",
      +"qc #657376",
      +"rc #D0D5D6",
      +"sc #E9E9E9",
      +"tc #A7B0B2",
      +"uc #D2D4D5",
      +"vc #899293",
      +"wc #484848",
      +"xc #DDDDDD",
      +"yc #8F9A9B",
      +"                        ",
      +"                        ",
      +"                        ",
      +"              ..        ",
      +"            ..+@.       ",
      +"          ..#$%+.       ",
      +"        ..#$#&*+@.      ",
      +"      ..#$#&&&&=+.      ",
      +"    ..-;#&&&&&&>,'.     ",
      +"   .);!&&&&&&&&&~+.     ",
      +"   .{)]&&&&&&&&&^+@.    ",
      +"    .$=&&&&&&&/=+++.    ",
      +"    .(-]&&&&_=++::+@.   ",
      +"     .<=&&_=++[}|+:+.   ",
      +"     .(-^=++[1234+:+@.  ",
      +"      .)++:567890a+[b.  ",
      +"      .c-+defg3hij+'..  ",
      +"       .)+:klmnopq..    ",
      +"       .|++rstuvw.      ",
      +"        .a+:xy..        ",
      +"         .....          ",
      +"                        ",
      +"                        ",
      +"                        ");

   Save_As_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 66 1",
      +" c None",
      +".c #000000",
      +"+c #D8BE6A",
      +"@c #8E7D45",
      +"#c #629DA8",
      +"$c #2C3D42",
      +"%c #C5D8DC",
      +"&c #A8C7CB",
      +"*c #E9EEEF",
      +"=c #F9F9F9",
      +"-c #F0F2F3",
      +";c #7AABB6",
      +">c #B1CAD0",
      +",c #212F32",
      +"'c #8DB6BE",
      +")c #D5E1E4",
      +"!c #9A918B",
      +"~c #E9EEF0",
      +"{c #647F82",
      +"]c #EDF2F2",
      +"^c #EBF0F1",
      +"/c #E5ECED",
      +"(c #C6B273",
      +"_c #756020",
      +":c #E1E3DC",
      +"<c #45676E",
      +"[c #060605",
      +"}c #F1F3F4",
      +"|c #36575F",
      +"1c #9EC2C7",
      +"2c #294249",
      +"3c #2E3B3D",
      +"4c #385C64",
      +"5c #A4ADAF",
      +"6c #EDEDED",
      +"7c #E9E9E9",
      +"8c #45494A",
      +"9c #CDD1D3",
      +"0c #F2F2F2",
      +"ac #EAEAEA",
      +"bc #E6E6E6",
      +"cc #AAB6B8",
      +"dc #2B464D",
      +"ec #18292D",
      +"fc #5C8791",
      +"gc #C2C8C9",
      +"hc #F4F4F4",
      +"ic #3B5055",
      +"jc #D5DFE0",
      +"kc #E3E3E3",
      +"lc #DFDFDF",
      +"mc #828C8D",
      +"nc #1E2A2D",
      +"oc #6DA4AE",
      +"pc #DCE0E0",
      +"qc #E5E5E5",
      +"rc #B8B8B8",
      +"sc #4B5C61",
      +"tc #D6DCDD",
      +"uc #ECECEC",
      +"vc #A7B4B6",
      +"wc #D9DBDC",
      +"xc #7D8A8C",
      +"yc #2B2B2B",
      +"zc #E2E2E2",
      +"Ac #859597",
      +"                        ",
      +"                        ",
      +"                   .    ",
      +"                  .+.   ",
      +"             ..  .+@.   ",
      +"           ..#$..+@.    ",
      +"         ..%&*#.+@.     ",
      +"       ..%&%=-.+@.      ",
      +"     ..%&%===.+@.       ",
      +"   ..;>%====.+@.,.      ",
      +"  .'>)==!==.+@.~#.      ",
      +"  .{']=!==.+@.=^#$.     ",
      +"   .&/=!=(_..:/###.     ",
      +"   .<;]=![.}/##||#$.    ",
      +"    .1/=!}/##234#|#.    ",
      +"    .<;^/##25678#|#$.   ",
      +"     .'##|900abcd#2e.   ",
      +"     .f;#ghij7klm#,..   ",
      +"      .'#|0nopqrs..     ",
      +"      .4##tuvwxy.       ",
      +"       .d#|zA..         ",
      +"        .....           ",
      +"                        ",
      +"                        ");

   Rezo_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 9 1",
      +" c None",
      +".c #292929",
      +"+c #181818",
      +"@c #ADADAD",
      +"#c #424242",
      +"$c #393939",
      +"%c #313131",
      +"&c #848484",
      +"*c #000000",
      +"                        ",
      +"                        ",
      +" .+++++++.    .+++++++. ",
      +" +@     @+    +@     @+ ",
      +" +       +    +       + ",
      +" +       +    +       + ",
      +" +       +    +       + ",
      +" +@     @+    +@     @+ ",
      +" #$$%+%$$#    #$$$%+%$# ",
      +"     +             +    ",
      +"     +             +    ",
      +"    @+@           @+@   ",
      +" &$$$.$$$$%+%$$$$$$.$$& ",
      +"           +            ",
      +"          @+@           ",
      +"       .+++*+++.        ",
      +"       +@     @+        ",
      +"       +       +        ",
      +"       +       +        ",
      +"       +       +        ",
      +"       +@     @+        ",
      +"       #$$$$$$$#        ",
      +"                        ",
      +"                        ");

   Preferences_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 53 1",
      +" c None",
      +".c #000000",
      +"+c #E5E5E5",
      +"@c #CECECE",
      +"#c #CDCDCD",
      +"$c #DCCB94",
      +"%c #DCDCDC",
      +"&c #C7C7C7",
      +"*c #8E7D45",
      +"=c #CFCFCF",
      +"-c #C1C1C1",
      +";c #AB5959",
      +">c #D9D9D9",
      +",c #878787",
      +"'c #DBDBDB",
      +")c #D4D4D4",
      +"!c #A84F4F",
      +"~c #A7A7A7",
      +"{c #9B9B9B",
      +"]c #F5F5F5",
      +"^c #F3F3F3",
      +"/c #A65757",
      +"(c #6E6E6E",
      +"_c #DACACA",
      +":c #AC5757",
      +"<c #C48B8B",
      +"[c #AA6C6C",
      +"}c #E9DDDD",
      +"|c #A65353",
      +"1c #C6C6C6",
      +"2c #D4C38D",
      +"3c #E4E4E4",
      +"4c #D6D6D0",
      +"5c #C0C0BB",
      +"6c #828279",
      +"7c #AD8E30",
      +"8c #756020",
      +"9c #C5C5BF",
      +"0c #A7A79A",
      +"ac #818174",
      +"bc #DFE1E1",
      +"cc #D6E1E0",
      +"dc #060605",
      +"ec #A3A395",
      +"fc #C8C8C8",
      +"gc #8B8B7D",
      +"hc #7E7E71",
      +"ic #B2B9B6",
      +"jc #D9D9D2",
      +"kc #D9D9D3",
      +"lc #DADAD4",
      +"mc #DADAD9",
      +"nc #DADADA",
      +"                        ",
      +"                        ",
      +"                        ",
      +"             ..         ",
      +"           ..+@.     .  ",
      +"         ..#+++.    .$. ",
      +"      ...%+++++&.  .$*. ",
      +"    ..#++++=+-++. .$*.  ",
      +"   .%++++;+>+=,+'.$*.   ",
      +"   .)++++!~+{,++.$*.    ",
      +"    .++]^/+(+++.$*.     ",
      +"    .%_:<[++++.$*.>.    ",
      +"     .+}|/+++.$*.=+1.   ",
      +"     .)+++++.2*.>3456.  ",
      +"      .+++]78..90000a.  ",
      +"      .%+bcd.ee0000f.   ",
      +"       .+0ghijkl+m..    ",
      +"       .)+++++++f.      ",
      +"        .++++++..       ",
      +"        .%+++f.         ",
      +"         .+n..          ",
      +"          ..            ",
      +"                        ",
      +"                        ");

   -- zoom-in.xpm --
   Zoom_In_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 163 2",
      +"       c None",
      +".      c #000000",
      +"+      c #30302D",
      +"@      c #7E7E75",
      +"#      c #B3B3A5",
      +"$      c #CFCFBE",
      +"%      c #D2D2C1",
      +"&      c #BABAAA",
      +"*      c #848479",
      +"=      c #31312D",
      +"-      c #87877F",
      +";      c #D7D7CC",
      +">      c #DADACD",
      +",      c #DADACC",
      +"'      c #DADACB",
      +")      c #DCDCCC",
      +"!      c #DFDFCF",
      +"~      c #DEDECD",
      +"{      c #D9D9C8",
      +"]      c #7E7E73",
      +"^      c #A6A69D",
      +"/      c #E2E2D9",
      +"(      c #E9E9E2",
      +"_      c #EAEAE2",
      +":      c #E6E6DB",
      +"<      c #E3E3D5",
      +"[      c #E3E3D3",
      +"}      c #DFDFCE",
      +"|      c #D9D9C7",
      +"1      c #D4D4C3",
      +"2      c #929285",
      +"3      c #86867E",
      +"4      c #E0E0D8",
      +"5      c #F0F0EB",
      +"6      c #F8F8F5",
      +"7      c #F7F7F3",
      +"8      c #F0F0E9",
      +"9      c #DADACA",
      +"0      c #D3D3C2",
      +"a      c #CECEBD",
      +"b      c #C9C9B8",
      +"c      c #C4C4B4",
      +"d      c #717168",
      +"e      c #30302C",
      +"f      c #D6D6CA",
      +"g      c #E7E7DF",
      +"h      c #F6F6F3",
      +"i      c #FEFEFD",
      +"j      c #FCFCFA",
      +"k      c #F5F5EF",
      +"l      c #D6D6C6",
      +"m      c #C4C4B3",
      +"n      c #BFBFAE",
      +"o      c #B9B9AA",
      +"p      c #282824",
      +"q      c #D9D9CC",
      +"r      c #E6E6DD",
      +"s      c #F3F3EE",
      +"t      c #FAFAF7",
      +"u      c #F9F9F5",
      +"v      c #D0D0C0",
      +"w      c #C8C8B9",
      +"x      c #C3C3B3",
      +"y      c #BEBEAE",
      +"z      c #B9B9A9",
      +"A      c #B4B4A4",
      +"B      c #68685F",
      +"C      c #B3B3A6",
      +"D      c #E4E4D8",
      +"E      c #EDEDE4",
      +"F      c #F2F2EA",
      +"G      c #EFEFE6",
      +"H      c #E7E7DC",
      +"I      c #CACABA",
      +"J      c #BEBEAD",
      +"K      c #B8B8A9",
      +"L      c #B3B3A4",
      +"M      c #AEAE9F",
      +"N      c #909083",
      +"O      c #D1D1C0",
      +"P      c #DBDBCC",
      +"Q      c #E2E2D4",
      +"R      c #A9A99A",
      +"S      c #A1A192",
      +"T      c #D5D5C3",
      +"U      c #E2E2D1",
      +"V      c #A8A899",
      +"W      c #A3A395",
      +"X      c #9B9B8D",
      +"Y      c #BDBDAE",
      +"Z      c #DBDBCA",
      +"`      c #D2D2C2",
      +" .     c #CDCDBD",
      +"..     c #C8C8B8",
      +"+.     c #B7B7A7",
      +"@.     c #B2B2A2",
      +"#.     c #ADAD9E",
      +"$.     c #A3A394",
      +"%.     c #9E9E8F",
      +"&.     c #828275",
      +"*.     c #DADAC8",
      +"=.     c #D5D5C4",
      +"-.     c #D0D0BF",
      +";.     c #CBCBBA",
      +">.     c #C6C6B5",
      +",.     c #C1C1B0",
      +"'.     c #B1B1A2",
      +").     c #ACAC9D",
      +"!.     c #A7A798",
      +"~.     c #A2A294",
      +"{.     c #9D9D8F",
      +"].     c #98988A",
      +"^.     c #57574F",
      +"/.     c #CACAB9",
      +"(.     c #C5C5B5",
      +"_.     c #C0C0B0",
      +":.     c #BBBBAB",
      +"<.     c #A2A293",
      +"[.     c #9D9D8E",
      +"}.     c #989889",
      +"|.     c #1F1F1C",
      +"1.     c #7B7B71",
      +"2.     c #C5C5B4",
      +"3.     c #C0C0AF",
      +"4.     c #BABAAB",
      +"5.     c #B5B5A6",
      +"6.     c #A6A697",
      +"7.     c #A1A193",
      +"8.     c #9C9C8E",
      +"9.     c #979789",
      +"0.     c #929284",
      +"a.     c #53534B",
      +"b.     c #8D8D82",
      +"c.     c #BFBFAF",
      +"d.     c #B5B5A5",
      +"e.     c #B0B0A0",
      +"f.     c #ABAB9C",
      +"g.     c #9C9C8D",
      +"h.     c #969689",
      +"i.     c #919184",
      +"j.     c #65655C",
      +"k.     c #6E6E65",
      +"l.     c #B4B4A5",
      +"m.     c #AFAFA0",
      +"n.     c #AAAA9B",
      +"o.     c #A5A596",
      +"p.     c #A0A092",
      +"q.     c #969688",
      +"r.     c #919183",
      +"s.     c #241D14",
      +"t.     c #211100",
      +"u.     c #262623",
      +"v.     c #8C8C80",
      +"w.     c #7F7F74",
      +"x.     c #55554E",
      +"y.     c #E9D1B8",
      +"z.     c #A6825C",
      +"A.     c #582D00",
      +"B.     c #0B0600",
      +"C.     c #160B00",
      +"D.     c #4D2800",
      +"E.     c #371C00",
      +"F.     c #372B1F",
      +"              . . . . . .                       ",
      +"          . . . . . . . . . .                   ",
      +"        . . + @ # $ % & * = . .                 ",
      +"      . . - ; > , ' ) ! ~ { ] . .               ",
      +"    . . ^ / ( _ : < [ } | 1 $ 2 . .             ",
      +"  . . 3 4 5 6 7 8 . . 9 0 a b c d . .           ",
      +"  . e f g h i j k . . l $ b m n o p .           ",
      +". . @ q r s t u 8 . . v w x y z A B . .         ",
      +". . C , D E F G H . . I x J K L M N . .         ",
      +". . O P Q . . . . . . . . . . M R S . .         ",
      +". . T } U . . . . . . . . . . V W X . .         ",
      +". . Y } Z l `  .... .     +.@.#.V $.%.&.. .         ",
      +". . * *.=.-.;.>.,.. . '.).!.~.{.].^.. .         ",
      +"  . e 1 $ /.(._.:.. . ).!.<.[.}.2 |..           ",
      +"  . . 1./.2.3.4.5.. . 6.7.8.9.0.a.. .           ",
      +"    . . b.c.& d.e.f.6.S g.h.i.j.. . .           ",
      +"      . . k.l.m.n.o.p.X q.r.a.. . s.t..         ",
      +"        . . u.j.v.[.}.w.x.|.. . s.y.z.A.B.      ",
      +"          . . . . . . . . . . . C.z.y.z.A.B.    ",
      +"              . . . . . .       . D.z.y.z.A..   ",
      +"                                  B.A.z.y.z.E.. ",
      +"                                    B.A.z.y.z.. ",
      +"                                      B.D.z.y.. ",
      +"                                        . C.F.. ");

   -- zoom-out.xpm --
   Zoom_Out_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 176 2",
      +"       c None",
      +".      c #000000",
      +"+      c #30302D",
      +"@      c #7E7E75",
      +"#      c #B3B3A5",
      +"$      c #CFCFBE",
      +"%      c #D2D2C1",
      +"&      c #BABAAA",
      +"*      c #848479",
      +"=      c #31312D",
      +"-      c #87877F",
      +";      c #D7D7CC",
      +">      c #DADACD",
      +",      c #DADACC",
      +"'      c #DADACB",
      +")      c #DCDCCC",
      +"!      c #DFDFCF",
      +"~      c #DEDECD",
      +"{      c #D9D9C8",
      +"]      c #7E7E73",
      +"^      c #A6A69D",
      +"/      c #E2E2D9",
      +"(      c #E9E9E2",
      +"_      c #EAEAE2",
      +":      c #E6E6DB",
      +"<      c #E3E3D5",
      +"[      c #E3E3D3",
      +"}      c #DFDFCE",
      +"|      c #D9D9C7",
      +"1      c #D4D4C3",
      +"2      c #929285",
      +"3      c #86867E",
      +"4      c #E0E0D8",
      +"5      c #F0F0EB",
      +"6      c #F8F8F5",
      +"7      c #F7F7F3",
      +"8      c #F0F0E9",
      +"9      c #EAEADF",
      +"0      c #E2E2D4",
      +"a      c #DADACA",
      +"b      c #D3D3C2",
      +"c      c #CECEBD",
      +"d      c #C9C9B8",
      +"e      c #C4C4B4",
      +"f      c #717168",
      +"g      c #30302C",
      +"h      c #D6D6CA",
      +"i      c #E7E7DF",
      +"j      c #F6F6F3",
      +"k      c #FEFEFD",
      +"l      c #FCFCFA",
      +"m      c #F5F5EF",
      +"n      c #DFDFD0",
      +"o      c #D6D6C6",
      +"p      c #C4C4B3",
      +"q      c #BFBFAE",
      +"r      c #B9B9AA",
      +"s      c #282824",
      +"t      c #D9D9CC",
      +"u      c #E6E6DD",
      +"v      c #F3F3EE",
      +"w      c #FAFAF7",
      +"x      c #F9F9F5",
      +"y      c #E4E4D9",
      +"z      c #D9D9CA",
      +"A      c #D0D0C0",
      +"B      c #C8C8B9",
      +"C      c #C3C3B3",
      +"D      c #BEBEAE",
      +"E      c #B9B9A9",
      +"F      c #B4B4A4",
      +"G      c #68685F",
      +"H      c #B3B3A6",
      +"I      c #E4E4D8",
      +"J      c #EDEDE4",
      +"K      c #F2F2EA",
      +"L      c #EFEFE6",
      +"M      c #E7E7DC",
      +"N      c #DCDCCF",
      +"O      c #D2D2C3",
      +"P      c #CACABA",
      +"Q      c #BEBEAD",
      +"R      c #B8B8A9",
      +"S      c #B3B3A4",
      +"T      c #AEAE9F",
      +"U      c #909083",
      +"V      c #D1D1C0",
      +"W      c #DBDBCC",
      +"X      c #A9A99A",
      +"Y      c #A1A192",
      +"Z      c #D5D5C3",
      +"`      c #E2E2D1",
      +" .     c #A8A899",
      +"..     c #A3A395",
      +"+.     c #9B9B8D",
      +"@.     c #BDBDAE",
      +"#.     c #DBDBCA",
      +"$.     c #D2D2C2",
      +"%.     c #CDCDBD",
      +"&.     c #C8C8B8",
      +"*.     c #C1C1B2",
      +"=.     c #BCBCAC",
      +"-.     c #B7B7A7",
      +";.     c #B2B2A2",
      +">.     c #ADAD9E",
      +",.     c #A3A394",
      +"'.     c #9E9E8F",
      +").     c #828275",
      +"!.     c #DADAC8",
      +"~.     c #D5D5C4",
      +"{.     c #D0D0BF",
      +"].     c #CBCBBA",
      +"^.     c #C6C6B5",
      +"/.     c #C1C1B0",
      +"(.     c #BBBBAC",
      +"_.     c #B6B6A7",
      +":.     c #B1B1A2",
      +"<.     c #ACAC9D",
      +"[.     c #A7A798 + ",
      +"}.     c #A2A294",
      +"|.     c #9D9D8F",
      +"1.     c #98988A",
      +"2.     c #57574F",
      +"3.     c #CACAB9",
      +"4.     c #C5C5B5",
      +"5.     c #C0C0B0",
      +"6.     c #BBBBAB",
      +"7.     c #B6B6A6",
      +"8.     c #B1B1A1",
      +"9.     c #A2A293",
      +"0.     c #9D9D8E",
      +"a.     c #989889",
      +"b.     c #1F1F1C",
      +"c.     c #7B7B71",
      +"d.     c #C5C5B4",
      +"e.     c #C0C0AF",
      +"f.     c #BABAAB",
      +"g.     c #B5B5A6",
      +"h.     c #B0B0A1",
      +"i.     c #ABAB9C",
      +"j.     c #A6A697",
      +"k.     c #A1A193",
      +"l.     c #9C9C8E",
      +"m.     c #979789",
      +"n.     c #929284",
      +"o.     c #53534B",
      +"p.     c #8D8D82",
      +"q.     c #BFBFAF",
      +"r.     c #B5B5A5",
      +"s.     c #B0B0A0",
      +"t.     c #9C9C8D",
      +"u.     c #969689",
      +"v.     c #919184",
      +"w.     c #65655C",
      +"x.     c #6E6E65",
      +"y.     c #B4B4A5",
      +"z.     c #AFAFA0",
      +"A.     c #AAAA9B",
      +"B.     c #A5A596",
      +"C.     c #A0A092",
      +"D.     c #969688",
      +"E.     c #919183",
      +"F.     c #241D14",
      +"G.     c #211100",
      +"H.     c #262623",
      +"I.     c #8C8C80",
      +"J.     c #7F7F74",
      +"K.     c #55554E",
      +"L.     c #E9D1B8",
      +"M.     c #A6825C",
      +"N.     c #582D00",
      +"O.     c #0B0600",
      +"P.     c #160B00",
      +"Q.     c #4D2800",
      +"R.     c #371C00",
      +"S.     c #372B1F",
      +"              . . . . . .                       ",
      +"          . . . . . . . . . .                   ",
      +"        . . + @ # $ % & * = . .                 ",
      +"      . . - ; > , ' ) ! ~ { ] . .               ",
      +"    . . ^ / ( _ : < [ } | 1 $ 2 . .             ",
      +"  . . 3 4 5 6 7 8 9 0 a b c d e f . .           ",
      +"  . g h i j k l m 9 n o $ d p q r s .           ",
      +". . @ t u v w x 8 y z A B C D E F G . .         ",
      +". . H , I J K L M N O P C Q R S T U . .         ",
      +". . V W 0 . . . . . . . . . . T X Y . .         ",
      +". . Z } ` . . . . . . . . . .  ...+.. .         ",
      +". . @.} #.o $.%.&.*.=.-.;.>. .,.'.).. .         ",
      +". . * !.~.{.].^./.(._.:.<.[.}.|.1.2.. .         ",
      +"  . g 1 $ 3.4.5.6.7.8.<.[.9.0.a.2 b..           ",
      +"  . . c.3.d.e.f.g.h.i.j.k.l.m.n.o.. .           ",
      +"    . . p.q.& r.s.i.j.Y t.u.v.w.. . .           ",
      +"      . . x.y.z.A.B.C.+.D.E.o.. . F.G..         ",
      +"        . . H.w.I.0.a.J.K.b.. . F.L.M.N.O.      ",
      +"          . . . . . . . . . . . P.M.L.M.N.O.    ",
      +"              . . . . . .       . Q.M.L.M.N..   ",
      +"                                  O.N.M.L.M.R.. ",
      +"                                    O.N.M.L.M.. ",
      +"                                      O.Q.M.L.. ",
      +"                                        . P.S.. ");

   -- help.xpm --
   Help_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"12 19 2 1",
      +"       c None",
      +".      c #000000",
      +"    .....   ",
      +"   ........ ",
      +"  ..     .. ",
      +" ..       ..",
      +"..        ..",
      +"..        ..",
      +"         .. ",
      +"        ... ",
      +"       ...  ",
      +"      ...   ",
      +"     ..     ",
      +"    ..      ",
      +"    ..      ",
      +"    .       ",
      +"            ",
      +"   ..       ",
      +"   ..       ",
      +"   ..       ",
      +"   .        ");

   Disp1_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 24 1",
      +"      c None",
      +".     c #585858",
      +"+     c #5A5A5A",
      +"@     c #474747",
      +"#     c #212121",
      +"$     c #878787",
      +"%     c #7D7D7D",
      +"&     c #232323",
      +"*     c #313131",
      +"=     c #ABABAB",
      +"-     c #868686",
      +";     c #3B3B3B",
      +">     c #3A3A3A",
      +",     c #252525",
      +"'     c #111111",
      +")     c #555555",
      +"!     c #616161",
      +"~     c #1C1C1C",
      +"{     c #636363",
      +"]     c #919191",
      +"^     c #404040",
      +"/     c #B8B8B8",
      +"(     c #858585",
      +"_     c #939393",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                 .+     ",
      +"                  @#$   ",
      +"                   %&*= ",
      +" -;;;;;;;;;;;;;;;;;>,') ",
      +"                   !~{  ",
      +"                 ],^/   ",
      +"                 (_     ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                 .+     ",
      +"                  @#$   ",
      +"                   %&*= ",
      +" -;;;;;;;;;;;;;;;;;>,') ",
      +"                   !~{  ",
      +"                 ],^/   ",
      +"                 (_     ",
      +"                        ",
      +"                        ",
      +"                        ");

   Disp2_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 60 1",
      +"     c None",
      +".     c #585858",
      +"+     c #B8B8B8",
      +"@     c #666666",
      +"#     c #393939",
      +"$     c #BBBBBB",
      +"%     c #595959",
      +"&     c #303030",
      +"*     c #272727",
      +"=     c #262626",
      +"-     c #3B3B3B",
      +";     c #757575",
      +">     c #242424",
      +",     c #747474",
      +"'     c #444444",
      +")     c #636363",
      +"!     c #BABABA",
      +"~     c #A6A6A6",
      +"{     c #4B4B4B",
      +"]     c #0B0B0B",
      +"^     c #1E1E1E",
      +"/     c #BDBDBD",
      +"(     c #909090",
      +"_     c #686868",
      +":     c #202020",
      +"<     c #4D4D4D",
      +"[     c #969696",
      +"}     c #6B6B6B",
      +"|     c #454545",
      +"1     c #414141",
      +"2     c #868686",
      +"3     c #898989",
      +"4     c #535353",
      +"5     c #717171",
      +"6     c #B0B0B0",
      +"7     c #232323",
      +"8     c #2B2B2B",
      +"9     c #333333",
      +"0     c #919191",
      +"a     c #2D2D2D",
      +"b     c #AEAEAE",
      +"c     c #575757",
      +"d     c #AFAFAF",
      +"e     c #363636",
      +"f     c #A4A4A4",
      +"g     c #434343",
      +"h     c #383838",
      +"i     c #9D9D9D",
      +"j     c #6C6C6C",
      +"k     c #878787",
      +"l     c #4F4F4F",
      +"m     c #2E2E2E",
      +"n     c #5A5A5A",
      +"o     c #616161",
      +"p     c #3A3A3A",
      +"q     c #8F8F8F",
      +"r     c #6A6A6A",
      +"s     c #656565",
      +"t     c #626262",
      +"u     c #787878",
      +"                        ",
      +"              .+        ",
      +"              @#        ",
      +"        $%&*=-;>,       ",
      +"       '*)!  ~{]^       ",
      +"     /&(      _:<       ",
      +"     &[      }=/  |     ",
      +"    12       3    45    ",
      +"   67             68    ",
      +"   %)              90   ",
      +"   ab              ;c   ",
      +"   *               de   ",
      +"   =               fg   ",
      +"   hi              )j   ",
      +"   kl              m$   ",
      +"    7             i9    ",
      +"    no            pq    ",
      +"     |r          |r     ",
      +"      |46      ipr      ",
      +"       589;df)m9q       ",
      +"         is@tu          ",
      +"                        ",
      +"                        ",
      +"                        ");

   Disp3_Xpm : Gtkada.Types.Chars_Ptr_Array :=
     (+"24 24 64 1",
      +"      c None",
      +".     c #585858",
      +"+     c #5A5A5A",
      +"@     c #C0C0C0",
      +"#     c #474747",
      +"$     c #212121",
      +"%     c #878787",
      +"&     c #7D7D7D",
      +"*     c #232323",
      +"=     c #313131",
      +"-     c #ABABAB",
      +";     c #868686",
      +">     c #3B3B3B",
      +",     c #3A3A3A",
      +"'     c #252525",
      +")     c #111111",
      +"!     c #555555",
      +"~     c #616161",
      +"{     c #1C1C1C",
      +"]     c #636363",
      +"^     c #B2B2B2",
      +"/     c #BFBFBF",
      +"(     c #919191",
      +"_     c #404040",
      +":     c #B8B8B8",
      +"<     c #B9B9B9",
      +"[     c #414141",
      +"}     c #808080",
      +"|     c #858585",
      +"1     c #939393",
      +"2     c #848484",
      +"3     c #494949",
      +"4     c #949494",
      +"5     c #6B6B6B",
      +"6     c #5D5D5D",
      +"7     c #A8A8A8",
      +"8     c #AEAEAE",
      +"9     c #535353",
      +"0     c #717171",
      +"a     c #BCBCBC",
      +"b     c #969696",
      +"c     c #4F4F4F",
      +"d     c #9A9A9A",
      +"e     c #929292",
      +"f     c #6D6D6D",
      +"g     c #656565",
      +"h     c #A4A4A4",
      +"i     c #4C4C4C",
      +"j     c #4D4D4D",
      +"k     c #777777",
      +"l     c #696969",
      +"m     c #3E3E3E",
      +"n     c #515151",
      +"o     c #262626",
      +"p     c #8D8D8D",
      +"q     c #979797",
      +"r     c #959595",
      +"s     c #686868",
      +"t     c #2C2C2C",
      +"u     c #1B1B1B",
      +"v     c #525252",
      +"w     c #B7B7B7",
      +"x     c #7A7A7A",
      +"y     c #5E5E5E",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                 .+     ",
      +"                 @#$%   ",
      +"                   &*=- ",
      +" ;>>>>>>>>>>>>>>>>>,')! ",
      +"                   ~{]  ",
      +" ^/              ('_:   ",
      +" <[}             |1     ",
      +"   234                  ",
      +"     567                ",
      +"      890a              ",
      +"        b>;             ",
      +"          &cd   ef      ",
      +"           @g]8 hi-     ",
      +"             7jk<l.     ",
      +"               %mnop    ",
      +"              qrstuv    ",
      +"             wxiy#cs    ",
      +"                        ",
      +"                        ",
      +"                        ",
      +"                        ");

   package Ics renames Interfaces.C.Strings;
   Book_Opened_Xpm : Ics.chars_ptr_array :=
     (Ics.New_String ("16 16 4 1"),
      Ics.New_String ("       c None s None"),
      Ics.New_String (".      c black"),
      Ics.New_String ("X      c #808080"),
      Ics.New_String ("o      c white"),
      Ics.New_String ("                "),
      Ics.New_String ("  ..            "),
      Ics.New_String (" .Xo.    ...    "),
      Ics.New_String (" .Xoo. ..oo.    "),
      Ics.New_String (" .Xooo.Xooo...  "),
      Ics.New_String (" .Xooo.oooo.X.  "),
      Ics.New_String (" .Xooo.Xooo.X.  "),
      Ics.New_String (" .Xooo.oooo.X.  "),
      Ics.New_String (" .Xooo.Xooo.X.  "),
      Ics.New_String (" .Xooo.oooo.X.  "),
      Ics.New_String ("  .Xoo.Xoo..X.  "),
      Ics.New_String ("   .Xo.o..ooX.  "),
      Ics.New_String ("    .X..XXXXX.  "),
      Ics.New_String ("    ..X.......  "),
      Ics.New_String ("     ..         "),
      Ics.New_String ("                "));

   Book_Closed_Xpm : Ics.chars_ptr_array :=
     (Ics.New_String ("16 16 6 1"),
      Ics.New_String ("       c None s None"),
      Ics.New_String (".      c black"),
      Ics.New_String ("X      c red"),
      Ics.New_String ("o      c yellow"),
      Ics.New_String ("O      c #808080"),
      Ics.New_String ("#      c white"),
      Ics.New_String ("                "),
      Ics.New_String ("       ..       "),
      Ics.New_String ("     ..XX.      "),
      Ics.New_String ("   ..XXXXX.     "),
      Ics.New_String (" ..XXXXXXXX.    "),
      Ics.New_String (".ooXXXXXXXXX.   "),
      Ics.New_String ("..ooXXXXXXXXX.  "),
      Ics.New_String (".X.ooXXXXXXXXX. "),
      Ics.New_String (".XX.ooXXXXXX..  "),
      Ics.New_String (" .XX.ooXXX..#O  "),
      Ics.New_String ("  .XX.oo..##OO. "),
      Ics.New_String ("   .XX..##OO..  "),
      Ics.New_String ("    .X.#OO..    "),
      Ics.New_String ("     ..O..      "),
      Ics.New_String ("      ..        "),
      Ics.New_String ("                "));

   Mini_Page_Xpm : Ics.chars_ptr_array :=
     (Ics.New_String ("16 16 4 1"),
      Ics.New_String ("       c None s None"),
      Ics.New_String (".      c black"),
      Ics.New_String ("X      c white"),
      Ics.New_String ("O      c #808080"),
      Ics.New_String ("                "),
      Ics.New_String ("   .......      "),
      Ics.New_String ("   .XXXXX..     "),
      Ics.New_String ("   .XoooX.X.    "),
      Ics.New_String ("   .XXXXX....   "),
      Ics.New_String ("   .XooooXoo.o  "),
      Ics.New_String ("   .XXXXXXXX.o  "),
      Ics.New_String ("   .XooooooX.o  "),
      Ics.New_String ("   .XXXXXXXX.o  "),
      Ics.New_String ("   .XooooooX.o  "),
      Ics.New_String ("   .XXXXXXXX.o  "),
      Ics.New_String ("   .XooooooX.o  "),
      Ics.New_String ("   .XXXXXXXX.o  "),
      Ics.New_String ("   ..........o  "),
      Ics.New_String ("    oooooooooo  "),
      Ics.New_String ("                "));

   Gtk_Mini_Xpm : Ics.chars_ptr_array :=
     (Ics.New_String ("15 20 17 1"),
      Ics.New_String ("       c None"),
      Ics.New_String (".      c #14121F"),
      Ics.New_String ("+      c #278828"),
      Ics.New_String ("@      c #9B3334"),
      Ics.New_String ("#      c #284C72"),
      Ics.New_String ("$      c #24692A"),
      Ics.New_String ("%      c #69282E"),
      Ics.New_String ("&      c #37C539"),
      Ics.New_String ("*      c #1D2F4D"),
      Ics.New_String ("=      c #6D7076"),
      Ics.New_String ("-      c #7D8482"),
      Ics.New_String (";      c #E24A49"),
      Ics.New_String (">      c #515357"),
      Ics.New_String (",      c #9B9C9B"),
      Ics.New_String ("'      c #2FA232"),
      Ics.New_String (")      c #3CE23D"),
      Ics.New_String ("!      c #3B6CCB"),
      Ics.New_String ("               "),
      Ics.New_String ("      ***>     "),
      Ics.New_String ("    >.*!!!*    "),
      Ics.New_String ("   ***....#*=  "),
      Ics.New_String ("  *!*.!!!**!!# "),
      Ics.New_String (" .!!#*!#*!!!!# "),
      Ics.New_String (" @%#!.##.*!!$& "),
      Ics.New_String (" @;%*!*.#!#')) "),
      Ics.New_String (" @;;@%!!*$&)'' "),
      Ics.New_String (" @%.%@%$'&)$+' "),
      Ics.New_String (" @;...@$'*'*)+ "),
      Ics.New_String (" @;%..@$+*.')$ "),
      Ics.New_String (" @;%%;;$+..$)# "),
      Ics.New_String (" @;%%;@$$$'.$# "),
      Ics.New_String (" %;@@;;$$+))&* "),
      Ics.New_String ("  %;;;@+$&)&*  "),
      Ics.New_String ("   %;;@'))+>   "),
      Ics.New_String ("    %;@'&#     "),
      Ics.New_String ("     >%$$      "),
      Ics.New_String ("      >=       "));

end Xpm;
