------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with standards_io;
use standards_io;

use standards_io.boolean_io;

use standards_io.integer_io;

with Ada.Numerics.Aux;
use Ada.Numerics.Aux;

use standards_io.double_io;

with ada.strings.unbounded;
use ada.strings.unbounded;

with Tables;

with framework_config;
use framework_config;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;



Package Parameters is 
 
type Parameter_Type is (
	Boolean_Parameter,
	Integer_Parameter,
	Double_Parameter,
	String_Parameter);

procedure To_Parameter_Type is
new Convert_Strings(Parameter_Type, Boolean_Parameter);
procedure To_Parameter_Type is
new Convert_Unbounded_Strings(Parameter_Type, Boolean_Parameter);
package Parameter_Type_io is new text_io.enumeration_io(Parameter_Type);
use Parameter_Type_io;

type Parameter (ptype : Parameter_Type ) is record
	Name : unbounded_string;
 	case ptype is 
		when Boolean_Parameter => 
			Boolean_value : Boolean;
 		when Integer_Parameter => 
			Integer_value : Integer;
 		when Double_Parameter => 
			double_value : Double;
 		when String_Parameter => 
			string_value : unbounded_string;
 	end case;
end record;
 
type Parameter_ptr is access all Parameter;

procedure Initialize(obj : out Parameter_ptr);

procedure Put(obj : in Parameter_Ptr);

package User_Defined_Parameters_Table_Package is new Tables(Parameter_Ptr, Max_User_Defined_Task_Parameters, Put);
use User_Defined_Parameters_Table_Package;

subtype User_Defined_Parameters_Range is User_Defined_Parameters_Table_Package.Table_Range;

subtype User_Defined_Parameters_Table is User_Defined_Parameters_Table_Package.Table;


End Parameters;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with standards_io;
use standards_io;

use standards_io.integer_io;

with Tables;

with framework_config;
use framework_config;



Package Offsets is 
 

-- --------= Offset_Type =--------
 
type Offset_Type is
record
 Offset_Value : Integer;
 Activation : Integer;
end record;

type Offset_Type_Ptr is access all Offset_Type;
 

procedure Initialize(obj : out Offset_Type);

procedure Put(obj : in Offset_Type);

procedure Put(obj : in Offset_Type_Ptr);

package Offsets_Table_package is new Tables(Offset_Type, Max_Offsets, Put);
use Offsets_Table_package;

subtype Offsets_Range is Offsets_Table_package.Table_Range;

subtype Offsets_Table is Offsets_Table_package.Table;


End Offsets;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with ada.strings.unbounded;
use ada.strings.unbounded;

with standards_io;
use standards_io;

use standards_io.natural_io;

with Processors;
use Processors;

with scheduler;
use scheduler;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Address_Spaces is 
 

-- --------= Address_Space =--------
 
type Address_Space is new Generic_Object with 
record
 Cpu_Name : unbounded_string;
 Text_Memory_Size : Natural;
 Stack_Memory_Size : Natural;
 Data_Memory_Size : Natural;
 Heap_Memory_Size : Natural;
 Scheduler : Scheduler_Ptr;
end record;

type Address_Space_Ptr is access all Address_Space'Class;

procedure Initialize(obj : in out Address_Space);

procedure Put(obj : in Address_Space);

procedure Put(obj : in Address_Space_Ptr);

procedure Put_Name(obj : in Address_Space_Ptr);

function Get_Name (obj : in Address_Space_Ptr) return Unbounded_String;

function Copy(obj : in Address_Space_Ptr) return Address_Space_Ptr;

function Copy(obj : in Address_Space) return Address_Space_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Address_Space'Class, Address_Space_Ptr);


End Address_Spaces;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with standards_io;
use standards_io;

use standards_io.natural_io;

with Indexed_Tables;

with ada.strings.unbounded;
use ada.strings.unbounded;

with ada.strings.unbounded.text_io;
use ada.strings.unbounded.text_io;

with framework_config;
use framework_config;

use standards_io.integer_io;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Resources is 
 
type Resources_Type is (
	No_Protocol,
	Priority_Ceiling_Protocol,
	Priority_Inheritance_Protocol,
	Immediate_Priority_Ceiling_Protocol);

procedure To_Resources_Type is
new Convert_Strings(Resources_Type, No_Protocol);
procedure To_Resources_Type is
new Convert_Unbounded_Strings(Resources_Type, No_Protocol);
package Resources_Type_io is new text_io.enumeration_io(Resources_Type);
use Resources_Type_io;


-- --------= Affected_Task_Lists =--------
 
type Affected_Task_Lists is
record
 Task_Begin : Natural;
 Task_End : Natural;
end record;

type Affected_Task_Lists_Ptr is access all Affected_Task_Lists;
 

procedure Initialize(obj : out Affected_Task_Lists);

procedure Put(obj : in Affected_Task_Lists);

procedure Put(obj : in Affected_Task_Lists_Ptr);

package Task_Lists is new Indexed_Tables(Affected_Task_Lists, Unbounded_String, Framework_Config.Max_Tasks_For_A_Resource, 0, Put, Initialize, Put);
use Task_Lists;

subtype Task_Lists_Table is Task_Lists.Indexed_Table;

subtype Task_Lists_Range is Task_Lists.Indexed_Table_Range;

type Start_End_Table is Array (Task_Lists_Range) of Affected_Task_Lists;


-- --------= Generic_Resource =--------
 
type Generic_Resource is new Generic_Object with 
record
 state : Integer;
 protocol : Resources_Type;
 task_tab : Task_Lists_Table;
 cpu_name : unbounded_string;
 Address_Space_Name : unbounded_string;
end record;

type Generic_Resource_Ptr is access all Generic_Resource'Class;

procedure Initialize(obj : in out Generic_Resource);

procedure Put(obj : in Generic_Resource);

procedure Put(obj : in Generic_Resource_Ptr);

procedure Put_Name(obj : in Generic_Resource_Ptr);

function Get_Name (obj : in Generic_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Generic_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Generic_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Generic_Resource'Class, Generic_Resource_Ptr);


-- --------= Np_Resource =--------
 
type Np_Resource is new Generic_Resource with null record;

type Np_Resource_Ptr is access all Np_Resource'Class;

procedure Initialize(obj : in out Np_Resource);

procedure Put(obj : in Np_Resource);

procedure Put(obj : in Np_Resource_Ptr);

procedure Put_Name(obj : in Np_Resource_Ptr);

function Get_Name (obj : in Np_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Np_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Np_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Np_Resource'Class, Np_Resource_Ptr);


-- --------= Pip_Resource =--------
 
type Pip_Resource is new Generic_Resource with null record;

type Pip_Resource_Ptr is access all Pip_Resource'Class;

procedure Initialize(obj : in out Pip_Resource);

procedure Put(obj : in Pip_Resource);

procedure Put(obj : in Pip_Resource_Ptr);

procedure Put_Name(obj : in Pip_Resource_Ptr);

function Get_Name (obj : in Pip_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Pip_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Pip_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Pip_Resource'Class, Pip_Resource_Ptr);


-- --------= Pcp_Resource =--------
 
type Pcp_Resource is new Generic_Resource with null record;

type Pcp_Resource_Ptr is access all Pcp_Resource'Class;

procedure Initialize(obj : in out Pcp_Resource);

procedure Put(obj : in Pcp_Resource);

procedure Put(obj : in Pcp_Resource_Ptr);

procedure Put_Name(obj : in Pcp_Resource_Ptr);

function Get_Name (obj : in Pcp_Resource_Ptr) return Unbounded_String;

function Copy(obj : in Pcp_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in Pcp_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Pcp_Resource'Class, Pcp_Resource_Ptr);


-- --------= IPcp_Resource =--------
 
type IPcp_Resource is new Generic_Resource with null record;

type IPcp_Resource_Ptr is access all IPcp_Resource'Class;

procedure Initialize(obj : in out IPcp_Resource);

procedure Put(obj : in IPcp_Resource);

procedure Put(obj : in IPcp_Resource_Ptr);

procedure Put_Name(obj : in IPcp_Resource_Ptr);

function Get_Name (obj : in IPcp_Resource_Ptr) return Unbounded_String;

function Copy(obj : in IPcp_Resource_Ptr) return Generic_Resource_Ptr;

function Copy(obj : in IPcp_Resource) return Generic_Resource_Ptr;

procedure Free  is new Unchecked_Deallocation
	(IPcp_Resource'Class, IPcp_Resource_Ptr);


End Resources;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with scheduler;
use scheduler;

with ada.strings.unbounded;
use ada.strings.unbounded;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Processors is 
 

-- --------= Processor =--------
 
type Processor is new Generic_Object with 
record
 Scheduler : Scheduler_Ptr;
 Network : unbounded_string;
end record;

type Processor_Ptr is access all Processor'Class;

procedure Initialize(obj : in out Processor);

procedure Put(obj : in Processor);

procedure Put(obj : in Processor_Ptr);

procedure Put_Name(obj : in Processor_Ptr);

function Get_Name (obj : in Processor_Ptr) return Unbounded_String;

function Copy(obj : in Processor_Ptr) return Processor_Ptr;

function Copy(obj : in Processor) return Processor_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Processor'Class, Processor_Ptr);


End Processors;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with ada.strings.unbounded;
use ada.strings.unbounded;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with Ada.Finalization;

with Unchecked_Deallocation;



Package Objects is 
 
type Objects_Type is (
	Buffer_Object_Type,
	Processor_Object_Type,
	Task_Object_Type,
	Resource_Object_Type,
	Address_Space_Object_Type,
	Message_Object_Type,
	Network_Object_Type);

procedure To_Objects_Type is
new Convert_Strings(Objects_Type, Buffer_Object_Type);
procedure To_Objects_Type is
new Convert_Unbounded_Strings(Objects_Type, Buffer_Object_Type);
package Objects_Type_io is new text_io.enumeration_io(Objects_Type);
use Objects_Type_io;


-- --------= Generic_Object =--------
 
type Generic_Object is new Ada.Finalization.Controlled with 
record
 Name : unbounded_string;
 Object_Type : Objects_Type;
end record;

type Generic_Object_Ptr is access all Generic_Object'Class;

procedure Initialize(obj : in out Generic_Object);

procedure Put(obj : in Generic_Object);

procedure Put(obj : in Generic_Object_Ptr);

procedure Put_Name(obj : in Generic_Object_Ptr);

function Get_Name (obj : in Generic_Object_Ptr) return Unbounded_String;

function Copy(obj : in Generic_Object_Ptr) return Generic_Object_Ptr;

function Copy(obj : in Generic_Object) return Generic_Object_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Generic_Object'Class, Generic_Object_Ptr);


End Objects;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with standards_io;
use standards_io;

use standards_io.natural_io;

with Indexed_Tables;

with framework_config;
use framework_config;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Ada.Strings.Unbounded.Text_Io;
use Ada.Strings.Unbounded.Text_Io;

with Queueing_System;
use Queueing_System;

use Queueing_System.qs_io;

with ada.strings.unbounded;
use ada.strings.unbounded;

with Objects;
use Objects;

with Unchecked_Deallocation;



Package Buffers is 
 
type Role_type is (
	No_Role,
	Producer,
	Consumer);

procedure To_Role_type is
new Convert_Strings(Role_type, No_Role);
procedure To_Role_type is
new Convert_Unbounded_Strings(Role_type, No_Role);
package Role_type_io is new text_io.enumeration_io(Role_type);
use Role_type_io;


-- --------= Buffer_Role =--------
 
type Buffer_Role is
record
 The_Role : Role_type;
 Size : Natural;
 Time : Natural;
end record;

type Buffer_Role_Ptr is access all Buffer_Role;
 

procedure Initialize(obj : out Buffer_Role);

procedure Put(obj : in Buffer_Role);

procedure Put(obj : in Buffer_Role_Ptr);

package Buffer_Roles is new Indexed_Tables(Buffer_Role, Unbounded_String, framework_config.max_tasks, 0, Put, Initialize, Put);
use Buffer_Roles;

subtype Buffer_Roles_Table is Buffer_roles.Indexed_Table;

subtype Buffer_Roles_Range is Buffer_roles.Indexed_Table_Range;


-- --------= Buffer =--------
 
type Buffer is new Generic_Object with 
record
 Cpu_Name : unbounded_string;
 Address_Space_Name : unbounded_string;
 Queueing_System_Type : queueing_systems_type;
 Size : Natural;
 Roles : Buffer_Roles_Table;
 X : Natural;
 Y : Natural;
end record;

type Buffer_Ptr is access all Buffer'Class;

procedure Initialize(obj : in out Buffer);

procedure Put(obj : in Buffer);

procedure Put(obj : in Buffer_Ptr);

procedure Put_Name(obj : in Buffer_Ptr);

function Get_Name (obj : in Buffer_Ptr) return Unbounded_String;

function Copy(obj : in Buffer_Ptr) return Buffer_Ptr;

function Copy(obj : in Buffer) return Buffer_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Buffer'Class, Buffer_Ptr);


End Buffers;

------------------------------------------------------------------------------
------------------------------------------------------------------------------
--  This Ada package was automatically generated by the meta CASE tool Platypus
--  see http://cassoulet.univ-brest.fr/mme
-- 
--  Any modification of this file will be lost. 
--  Please see the "platypus" directory instead : it contains the Cheddar's
--  model and its meta-model. 
------------------------------------------------------------------------------
 
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Framework_Config;
use Framework_Config;

use Framework_Config.Priority_Io;

with Convert_Strings;

with Convert_Unbounded_Strings;

with text_io;
use text_io;

with ada.strings.unbounded;
use ada.strings.unbounded;

with standards_io;
use standards_io;

use standards_io.natural_io;

with Offsets;
use Offsets;

use Offsets.Offsets_Table_package;

with Parameters;
use Parameters;

use Parameters.User_Defined_Parameters_Table_Package;

with Objects;
use Objects;

with Unchecked_Deallocation;

use standards_io.integer_io;

use standards_io.boolean_io;



Package Tasks is 
 
type Tasks_Type is (
	Periodic_Type,
	Aperiodic_Type,
	Sporadic_Type,
	Poisson_Type,
	Parametric_Type);

procedure To_Tasks_Type is
new Convert_Strings(Tasks_Type, Periodic_Type);
procedure To_Tasks_Type is
new Convert_Unbounded_Strings(Tasks_Type, Periodic_Type);
package Tasks_Type_io is new text_io.enumeration_io(Tasks_Type);
use Tasks_Type_io;

type Policies is (
	Sched_Fifo,
	Sched_Rr,
	Sched_Others);

procedure To_Policies is
new Convert_Strings(Policies, Sched_Fifo);
procedure To_Policies is
new Convert_Unbounded_Strings(Policies, Sched_Fifo);
package Policies_io is new text_io.enumeration_io(Policies);
use Policies_io;


-- --------= Generic_Task =--------
 
type Generic_Task is new Generic_Object with 
record
 Task_Type : Tasks_Type;
 Cpu_Name : unbounded_string;
 Address_Space_Name : unbounded_string;
 Capacity : Natural;
 Deadline : Natural;
 Start_Time : Natural;
 Priority : priority_range;
 Blocking_Time : Natural;
 Policy : Policies;
 X : Natural;
 Y : Natural;
 Offset : Offsets_Table;
 Text_Memory_Size : Natural;
 Stack_Memory_Size : Natural;
 Param : User_Defined_Parameters_Table;
 Criticality : Natural;
end record;

type Generic_Task_Ptr is access all Generic_Task'Class;

procedure Initialize(obj : in out Generic_Task);

procedure Put(obj : in Generic_Task);

procedure Put(obj : in Generic_Task_Ptr);

procedure Put_Name(obj : in Generic_Task_Ptr);

function Get_Name (obj : in Generic_Task_Ptr) return Unbounded_String;

function Copy(obj : in Generic_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Generic_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Generic_Task'Class, Generic_Task_Ptr);


-- --------= Periodic_Task =--------
 
type Periodic_Task is new Generic_Task with 
record
 Period : Natural;
 Jitter : Natural;
end record;

type Periodic_Task_Ptr is access all Periodic_Task'Class;

procedure Initialize(obj : in out Periodic_Task);

procedure Put(obj : in Periodic_Task);

procedure Put(obj : in Periodic_Task_Ptr);

procedure Put_Name(obj : in Periodic_Task_Ptr);

function Get_Name (obj : in Periodic_Task_Ptr) return Unbounded_String;

function Copy(obj : in Periodic_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Periodic_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Periodic_Task'Class, Periodic_Task_Ptr);


-- --------= Aperiodic_Task =--------
 
type Aperiodic_Task is new Generic_Task with null record;

type Aperiodic_Task_Ptr is access all Aperiodic_Task'Class;

procedure Initialize(obj : in out Aperiodic_Task);

procedure Put(obj : in Aperiodic_Task);

procedure Put(obj : in Aperiodic_Task_Ptr);

procedure Put_Name(obj : in Aperiodic_Task_Ptr);

function Get_Name (obj : in Aperiodic_Task_Ptr) return Unbounded_String;

function Copy(obj : in Aperiodic_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Aperiodic_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Aperiodic_Task'Class, Aperiodic_Task_Ptr);


-- --------= Poisson_Task =--------
 
type Poisson_Task is new Periodic_Task with 
record
 Seed : Integer;
 Predictable : Boolean;
end record;

type Poisson_Task_Ptr is access all Poisson_Task'Class;

procedure Initialize(obj : in out Poisson_Task);

procedure Put(obj : in Poisson_Task);

procedure Put(obj : in Poisson_Task_Ptr);

procedure Put_Name(obj : in Poisson_Task_Ptr);

function Get_Name (obj : in Poisson_Task_Ptr) return Unbounded_String;

function Copy(obj : in Poisson_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Poisson_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Poisson_Task'Class, Poisson_Task_Ptr);


-- --------= Sporadic_Task =--------
 
type Sporadic_Task is new Poisson_Task with null record;

type Sporadic_Task_Ptr is access all Sporadic_Task'Class;

procedure Initialize(obj : in out Sporadic_Task);

procedure Put(obj : in Sporadic_Task);

procedure Put(obj : in Sporadic_Task_Ptr);

procedure Put_Name(obj : in Sporadic_Task_Ptr);

function Get_Name (obj : in Sporadic_Task_Ptr) return Unbounded_String;

function Copy(obj : in Sporadic_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Sporadic_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Sporadic_Task'Class, Sporadic_Task_Ptr);


-- --------= Parametric_Task =--------
 
type Parametric_Task is new Poisson_Task with 
record
 Activation_Rule : unbounded_string;
end record;

type Parametric_Task_Ptr is access all Parametric_Task'Class;

procedure Initialize(obj : in out Parametric_Task);

procedure Put(obj : in Parametric_Task);

procedure Put(obj : in Parametric_Task_Ptr);

procedure Put_Name(obj : in Parametric_Task_Ptr);

function Get_Name (obj : in Parametric_Task_Ptr) return Unbounded_String;

function Copy(obj : in Parametric_Task_Ptr) return Generic_Task_Ptr;

function Copy(obj : in Parametric_Task) return Generic_Task_Ptr;

procedure Free  is new Unchecked_Deallocation
	(Parametric_Task'Class, Parametric_Task_Ptr);


End Tasks;

