------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

package body Binary_Trees is

   function Get_Left (L : in Binary_Tree) return Binary_Tree is
   begin
      if L = null then
         raise No_Cell;
      end if;

      return L.Left;
   end Get_Left;
   function Get_Right (L : in Binary_Tree) return Binary_Tree is
   begin
      if L = null then
         raise No_Cell;
      end if;

      return L.Right;
   end Get_Right;

   procedure Add_Right (L : in out Binary_Tree; E : in Element) is

      New_Cell : Binary_Tree;

   begin
      New_Cell      := new Cell;
      New_Cell.Info := E;
      if L = null then
         L := New_Cell;
      else
         L.Right := New_Cell;
      end if;
   end Add_Right;

   procedure Add_Left (L : in out Binary_Tree; E : in Element) is

      New_Cell : Binary_Tree;

   begin
      New_Cell      := new Cell;
      New_Cell.Info := E;
      if L = null then
         L := New_Cell;
      else
         L.Left := New_Cell;
      end if;
   end Add_Left;

   procedure Put (L : in Binary_Tree) is

   begin
      Put (L.Info);

      if (L.Left /= null) then
         Put (L.Left);
      end if;
      if (L.Right /= null) then
         Put (L.Right);
      end if;
   end Put;

   procedure Delete (L : in out Binary_Tree; E : in Element) is

   --current : binary_tree := l;
   --previous : binary_tree;

   begin
      null;
      --	while current/=null loop
      --		if current.info=e
      --			then 	if (previous=null)
      --					then 	l:=current.left;
      --					else 	previous.left:=current.left;
      --				end if;
      --			exit;
      --			else 	previous:=current;
      --			     	current:=current.left;
      --		end if;
      --	end loop;
   end Delete;

   procedure Duplicate (Src : in Binary_Tree; Dest : in out Binary_Tree) is

   --current : binary_tree := src;
   --previous, new_tree : binary_tree;

   begin
      --        while current/=null loop

      --		new_tree:=new cell;
      --		new_tree.all:=current.all;

      --		if(previous/=null)
      --			then
      --				new_tree.left:=previous;
      --			else 	dest:=new_tree;
      --		end if;

      --		current:=current.left;
      --		previous:=new_tree;
      --	end loop;
      null;
   end Duplicate;

end Binary_Trees;
