------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Text_IO; use Text_IO;
with Discrete_Util;

package body Integer_Util is

   package Integer_Io is new Text_IO.Integer_IO (Integer);
   package Integer_Discrete is new Discrete_Util (Integer);

   function Format (F : in Integer) return Unbounded_String is
   begin
      return (Integer_Discrete.Format (F));
   end Format;

   procedure Put (E : in Integer) is
   begin
      Integer_Io.Put (E);
   end Put;

   procedure Put_Line (E : in Integer) is
   begin
      Integer_Io.Put (E);
      New_Line;
   end Put_Line;

   procedure Initialize (A : out Integer) is
   begin
      A := 0;
   end Initialize;

   function Gcd (A : in Integer; B : in Integer) return Integer is
   begin
      return (Integer_Discrete.Gcd (A, B));
   end Gcd;

   function Lcm (A : in Integer; B : in Integer) return Integer is
   begin
      return (Integer_Discrete.Lcm (A, B));
   end Lcm;

end Integer_Util;
