------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package Integer_Util is

   -- Conver and format a natural to
   -- an unbounded_string
   --
   function Format (F : in Integer) return Unbounded_String;

   -- Display a natural
   --
   procedure Put (E : in Integer);
   procedure Put_Line (E : in Integer);

   -- Initialize a natural
   --
   procedure Initialize (A : out Integer);

   -- Compute Great common Divisor
   -- of two natural
   --
   function Gcd (A : in Integer; B : in Integer) return Integer;

   -- Compute Last common multiplier
   -- of two natural
   --
   function Lcm (A : in Integer; B : in Integer) return Integer;

end Integer_Util;
