------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Numerics.Aux; use Ada.Numerics.Aux;
with Convert_Strings;

package Strings is

   ------------------------------------------------------
   -- Convert strings to standard numeric types
   ------------------------------------------------------

   procedure To_Natural is new Convert_Strings (Natural, 0);
   procedure To_Integer is new Convert_Strings (Integer, 0);
   procedure To_Boolean is new Convert_Strings (Boolean, True);

   procedure To_Double
     (From : in String;
      To   : out Double;
      Ok   : out Boolean);

   function To_Upper (S : String) return String;

   function To_Lower (S : String) return String;

end Strings;
