------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automatically check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2009   Frank Singhoff
-- Cheddar is developed by the LISYC Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Unbounded_Strings; use Unbounded_Strings;
with Version;           use Version;

package body Translate.Francais_Labels is

   procedure Initialize is

   begin

      ----------------------------------------------------
      --   Menu and sub menu titles
      ----------------------------------------------------

      Lb_Root_Title (Francais)                          :=
         To_Unbounded_String
           ("Camembert : un simulateur d'ordonnancement temps rel");
      Lb_File (Francais)                                :=
         To_Unbounded_String ("Fichier");
      Lb_New (Francais)                                 :=
         To_Unbounded_String ("Nouveau");
      Lb_Open (Francais)                                :=
         To_Unbounded_String ("Ouvrir");
      Lb_Save (Francais)                                :=
         To_Unbounded_String ("Sauvegarder");
      Lb_Save_As (Francais)                             :=
         To_Unbounded_String ("Sauvegarder sous");
      Lb_Open_Xml (Francais)                            :=
         To_Unbounded_String ("Ouvrir projet XML");
      Lb_Save_Xml (Francais)                            :=
         To_Unbounded_String ("Sauvegarder projet XML");
      Lb_Save_As_Xml (Francais)                         :=
         To_Unbounded_String ("Sauvegarder projet XML sous");
      Lb_Aadl (Francais)                                :=
         To_Unbounded_String ("AADL");
      Lb_Import_Aadl (Francais)                         :=
         To_Unbounded_String ("Importer projet AADL");
      Lb_Export_Aadl (Francais)                         :=
         To_Unbounded_String ("Exporter projet AADL");
      Lb_Aadl_Options (Francais)                        :=
         To_Unbounded_String ("Options AADL");
      Lb_Other_Aadl_Options (Francais)                  :=
         To_Unbounded_String ("Autres options AADL");
      Lb_Export_Cheddar_Property_Sets (Francais)        :=
         To_Unbounded_String
           ("Exporter les ensembles de proprits de Cheddar");
      Lb_Export_Aadl_Standard_Properties_Set (Francais) :=
         To_Unbounded_String
           ("Exporter l'ensemble de proprits standard AADL");
      Lb_Exit (Francais)                                :=
         To_Unbounded_String ("Quitter");

      Lb_Edit (Francais) := To_Unbounded_String ("Edition");
      Lb_View (Francais) := To_Unbounded_String ("Afficher");

      Lb_Edit_Scheduler (Francais)                   :=
         To_Unbounded_String ("Editer un ordonnanceur");
      Lb_Parametric (Francais)                       :=
         To_Unbounded_String ("Paramtrique");
      Lb_Tools (Francais)                            :=
         To_Unbounded_String ("Outils");
      Lb_Compute_Buffer (Francais)                   :=
         To_Unbounded_String ("Analyse des tampons par tests de faisabilit");
      Lb_Draw_Buffer (Francais)                      :=
         To_Unbounded_String
           ("Analyse des tampons par simulation d'ordonnancement");
      Lb_Clear (Francais)                            :=
         To_Unbounded_String ("Nettoyer l'espace de travail");
      Lb_Scheduling_Simulation (Francais)            :=
         To_Unbounded_String ("Simulation de l'ordonnancement");
      Lb_Scheduling_Feasibility (Francais)           :=
         To_Unbounded_String ("Vrification de la faisabilit");
      Lb_Customized_Scheduling_Simulation (Francais) :=
         To_Unbounded_String ("Simulation paramtrable de l'ordonnancement");
      Lb_Customized_Feasibility_Tests (Francais)     :=
         To_Unbounded_String ("Vrification paramtrable de la faisabilit");
      Lb_Compute_And_Display (Francais)              :=
         To_Unbounded_String ("Calculer et afficher");
      Lb_Compute_And_Update (Francais)               :=
         To_Unbounded_String ("Calculer et mettre  jour les tches");
      Lb_Compute_And_Display_One_Step (Francais)     :=
         To_Unbounded_String ("Calculer et afficher : un pas ");
      Lb_Compute_And_Update_One_Step (Francais)      :=
         To_Unbounded_String
           ("Calculer et mettre  jour les tches : un pas ");
      Lb_Memory_Requirement_Analysis (Francais)      :=
         To_Unbounded_String ("Analyse globale des besoins mmoire");
      Lb_Check_And_Update_Address_Space (Francais)   :=
         To_Unbounded_String
           ("Vrification et mise jour des espaces d'addressage");
      Lb_Check_Address_Space (Francais)              :=
         To_Unbounded_String ("Vrification des espaces d'addressage");

      Lb_Help (Francais)       := To_Unbounded_String ("Aide");
      Lb_Manual (Francais)     := To_Unbounded_String ("Manuel");
      Lb_Ref (Francais)        :=
         To_Unbounded_String ("Rfrences bibliographiques");
      Lb_About (Francais)      := To_Unbounded_String ("A propos de Cheddar");
      Lb_About_Text (Francais) :=
        To_Unbounded_String ("Cheddar ") &
        Cheddar_Version &
        Unbounded_Lf &
        Cheddar_Compile_Date &
        Unbounded_Lf &
        Unbounded_Lf &
        To_Unbounded_String ("Cheddar est un outil de simulation ") &
        Unbounded_Lf &
        To_Unbounded_String ("d'algorithmes d'ordonnancement temps rel.") &
        Unbounded_Lf &
        To_Unbounded_String ("Cheddar is distribu sous la license GNU GPL.");
      Lb_About_Text (Francais) :=
        Lb_About_Text (Francais) &
        Unbounded_Lf &
        Unbounded_Lf &
        To_Unbounded_String
           ("Cheddar est maintenu par le LISYC, Universit de Brest.") &
        Unbounded_Lf &
        Unbounded_Lf &
        To_Unbounded_String(
"Cf. http:://beru.univ-brest.fr/~singhoff/cheddar pour de plus amples dtails")
        &
        Unbounded_Lf;

      ----------------------------------------------------
      --   Add, delete, display, list and update
      ----------------------------------------------------

      Lb_Update (Francais)                :=
         To_Unbounded_String ("Mise  jour");
      Lb_Update_Task (Francais)           :=
         To_Unbounded_String ("Mise  jour des tches");
      Lb_Update_Address_Space (Francais)  :=
         To_Unbounded_String ("Mise  jour des espaces d'adressage");
      Lb_Update_Message (Francais)        :=
         To_Unbounded_String ("Mise  jour des messages");
      Lb_Update_Buffer (Francais)         :=
         To_Unbounded_String ("Mise  jour des tampons");
      Lb_Update_Processor (Francais)      :=
         To_Unbounded_String ("Mise  jour des processeurs");
      Lb_Update_Resource (Francais)       :=
         To_Unbounded_String ("Mise  jour des ressources");
      Lb_Update_Event_Analyzer (Francais) :=
         To_Unbounded_String ("Mise  jour d'un analyseur d'venements");
      Lb_Update_Network (Francais)        :=
         To_Unbounded_String ("Mise  jour des reseaux");

      Lb_Add (Francais)                := To_Unbounded_String ("Ajouter");
      Lb_Add_Task (Francais)           :=
         To_Unbounded_String ("Ajouter une tche");
      Lb_Add_Address_Space (Francais)  :=
         To_Unbounded_String ("Ajouter un espace d'adressage");
      Lb_Add_Processor (Francais)      :=
         To_Unbounded_String ("Ajouter un processeur");
      Lb_Add_Buffer (Francais)         :=
         To_Unbounded_String ("Ajouter un tampon");
      Lb_Add_Message (Francais)        :=
         To_Unbounded_String ("Ajouter un message");
      Lb_Add_Resource (Francais)       :=
         To_Unbounded_String ("Ajouter une ressource");
      Lb_Add_Network (Francais)        :=
         To_Unbounded_String ("Ajouter un rseau");
      Lb_Add_Event_Analyzer (Francais) :=
         To_Unbounded_String ("Ajouter un analyseur d'vnements");

      Lb_List (Francais)                 := To_Unbounded_String ("Lister");
      Lb_Tasks_List (Francais)           :=
         To_Unbounded_String ("Liste des tches");
      Lb_Address_Spaces_List (Francais)  :=
         To_Unbounded_String ("Liste des espaces d'addressage");
      Lb_Processors_List (Francais)      :=
         To_Unbounded_String ("Liste des processeurs");
      Lb_Resources_List (Francais)       :=
         To_Unbounded_String ("Liste des ressources");
      Lb_Messages_List (Francais)        :=
         To_Unbounded_String ("Liste des messages");
      Lb_Buffers_List (Francais)         :=
         To_Unbounded_String ("Liste des tampons");
      Lb_Event_Analyzers_List (Francais) :=
         To_Unbounded_String ("Liste les analyseurs d'vnements");

      Lb_Delete (Francais)                :=
         To_Unbounded_String ("Supprimer");
      Lb_Delete_Task (Francais)           :=
         To_Unbounded_String ("Supprimer une tche");
      Lb_Delete_Address_Space (Francais)  :=
         To_Unbounded_String ("Supprimer un espace d'addressage");
      Lb_Delete_Processor (Francais)      :=
         To_Unbounded_String ("Supprimer un processeur");
      Lb_Delete_Resource (Francais)       :=
         To_Unbounded_String ("Supprimer une ressource");
      Lb_Delete_Message (Francais)        :=
         To_Unbounded_String ("Supprimer un message");
      Lb_Delete_Buffer (Francais)         :=
         To_Unbounded_String ("Supprimer un tampon");
      Lb_Delete_Event_Analyzer (Francais) :=
         To_Unbounded_String ("Supprimer un analyseur d'vnements");

      ------------------------------------------------------------
      --   Errors on messages/tasks/processors/resources/buffers
      ------------------------------------------------------------

      Lb_Dependency_Not_Found (Francais)     :=
         To_Unbounded_String ("Dependence Inconnue");
      Lb_Resource_Not_Found (Francais)       :=
         To_Unbounded_String ("Ressource Inconnue");
      Lb_Message_Not_Found (Francais)        :=
         To_Unbounded_String ("Message inconnu");
      Lb_Task_Not_Found (Francais)           :=
         To_Unbounded_String ("Tche inconnue");
      Lb_Address_Space_Not_Found (Francais)  :=
         To_Unbounded_String ("Espace d'addressage inconnu");
      Lb_Processor_Not_Found (Francais)      :=
         To_Unbounded_String ("Processeur inconnu");
      Lb_Pb_Strict_Constraints (Francais)    :=
         To_Unbounded_String(
"- Contraintes non strictes :  Impossible d'appliquer le test de faisabilit sur le taux d'utilisation processeur."
);
      Lb_Pb_Sched_Unknown (Francais)         :=
         To_Unbounded_String(
"- Ordonnanceur invalide :  Impossible d'appliquer le test de faisabilit sur le taux d'utilisation processeur."
);
      Lb_Buffer_Not_Found (Francais)         :=
         To_Unbounded_String ("Tampon inconnu");
      Lb_Event_Analyzer_Not_Found (Francais) :=
         To_Unbounded_String ("Analiseur d'vnements inconnu");

      Lb_Define_Tasks_Before (Francais)           :=
         To_Unbounded_String ("Dfinir une tche d'abord");
      Lb_Define_Address_Spaces_Before (Francais)  :=
         To_Unbounded_String ("Dfinir un espace d'addressage d'abord");
      Lb_Define_Processors_Before (Francais)      :=
         To_Unbounded_String ("Dfinir un processeur d'abord");
      Lb_Define_Messages_Before (Francais)        :=
         To_Unbounded_String ("Dfinir un message d'abord");
      Lb_Define_Resources_Before (Francais)       :=
         To_Unbounded_String ("Dfinir une ressource d'abord");
      Lb_Define_Buffers_Before (Francais)         :=
         To_Unbounded_String ("Dfinir un tampon d'abord");
      Lb_Define_Event_Analyzers_Before (Francais) :=
         To_Unbounded_String ("Definir un analyseur d'vnements d'abord");

      Lb_Can_Not_Define_More_Networks (Francais)        :=
         To_Unbounded_String ("Impossible de dfinir d'autres rseaux");
      Lb_Can_Not_Define_More_Tasks (Francais)           :=
         To_Unbounded_String ("Impossible de dfinir d'autres tches");
      Lb_Can_Not_Define_More_Address_Spaces (Francais)  :=
         To_Unbounded_String
           ("Impossible de dfinir d'autres espaces d'addressage");
      Lb_Can_Not_Define_More_Processors (Francais)      :=
         To_Unbounded_String ("Impossible de dfinir d'autres processeurs");
      Lb_Can_Not_Define_More_Resources (Francais)       :=
         To_Unbounded_String ("Impossible de dfinir d'autres ressources");
      Lb_Can_Not_Define_More_Buffers (Francais)         :=
         To_Unbounded_String ("Impossible de dfinir d'autres tampons");
      Lb_Can_Not_Define_More_Messages (Francais)        :=
         To_Unbounded_String ("Impossible de dfinir d'autres messages");
      Lb_Can_Not_Define_More_Event_Analyzers (Francais) :=
         To_Unbounded_String
           ("Impossible de dfinir d'autres analyseurs d'vnements");

      ----------------------------------------------------
      --    I/O Errors and messages
      ----------------------------------------------------

      Lb_Open_File (Francais)         :=
         To_Unbounded_String ("Ouvrir un fichier");
      Lb_Save_File (Francais)         :=
         To_Unbounded_String ("Sauvegarder un fichier");
      Lb_Not_Saved_File (Francais)    :=
         To_Unbounded_String ("Attention : le fichier n'est pas sauvegard");
      Lb_Can_Not_Open_File (Francais) :=
         To_Unbounded_String ("Impossible d'ouvrir le fichier");
      Lb_Can_Not_Read_File (Francais) :=
         To_Unbounded_String ("Impossible de lire le fichier");
      Lb_Can_Not_Save_File (Francais) :=
         To_Unbounded_String ("Impossible de sauvegarder le fichier");
      Lb_File_Name (Francais)         :=
         To_Unbounded_String ("Nom de fichier");

      Lb_Open_Project (Francais)         :=
         To_Unbounded_String ("Ouvrir un projet");
      Lb_Save_Project (Francais)         :=
         To_Unbounded_String ("Sauvegarder un projet");
      Lb_Not_Saved_Project (Francais)    :=
         To_Unbounded_String ("Attention : le projet n'est pas sauvegard");
      Lb_Can_Not_Open_Project (Francais) :=
         To_Unbounded_String ("Impossible de lire le projet");
      Lb_Can_Not_Save_Project (Francais) :=
         To_Unbounded_String ("Impossible de sauvegarder le projet");

      Lb_Select_File (Francais) :=
         To_Unbounded_String ("Selection de fichiers");

      ----------------------------------------------------
      --   Widget text fields
      ----------------------------------------------------

      --
      --  Event analyzer widgets
      --
      Lb_Event_Analyzer_Name (Francais) :=
         To_Unbounded_String ("Nom de l'analyseur d'vnements");
      Lb_Event_Analyzer (Francais)      :=
         To_Unbounded_String ("Analyseur d'vnements");
      Lb_Run_Event_Analyzers (Francais) :=
         To_Unbounded_String ("Analyseurs d'vnements");

      --
      --  Processors widgets
      --
      Lb_Parametric_File_Name (Francais)   :=
         To_Unbounded_String ("Nom de fichier paramtrique");
      Lb_Select_Processor_First (Francais) :=
         To_Unbounded_String ("Choisissez un processeur d'abord");
      Lb_File_Name_Control (Francais)      :=
         To_Unbounded_String
           ("Nom de fichier invalide avec l'ordonnanceur slectionn");
      Lb_Only_On_Parametric (Francais)     :=
         To_Unbounded_String
           ("Opration possible uniquement avec un ordonnanceur paramtrique");
      Lb_Read (Francais)                   := To_Unbounded_String ("Lire");
      Lb_Quantum_Control (Francais)        :=
         To_Unbounded_String
           ("Valeur du quantum invalide avec l'ordonnanceur slectionn");
      Lb_Processor (Francais)              :=
         To_Unbounded_String ("Processeur ");
      Lb_Processor_Name (Francais)         :=
         To_Unbounded_String ("Nom du processeur");
      Lb_Scheduler (Francais)              :=
         To_Unbounded_String ("Ordonnanceur");
      Lb_Option (Francais)                 := To_Unbounded_String ("Option");
      Lb_Preemptive (Francais)             :=
         To_Unbounded_String ("Premptif");
      Lb_Not_Preemptive (Francais)         :=
         To_Unbounded_String ("Non premptif");
      Lb_Invalid_Identifier (Francais)     :=
         To_Unbounded_String ("Identificateur invalide");

      --
      --  Address space widgets
      --
      Lb_Address_Space_Name (Francais)         :=
         To_Unbounded_String ("Nom de l'espace d'adressage");
      Lb_Address_Space (Francais)              :=
         To_Unbounded_String ("Espace d'addressage");
      Lb_Invalid_Scheduler (Francais)          :=
         To_Unbounded_String ("Ordonnanceur invalide");
      Lb_Select_Address_Space_First (Francais) :=
         To_Unbounded_String ("Choisissez un espace d'addressage d'abord");
      Lb_Text_Memory_Size (Francais)           :=
         To_Unbounded_String ("Taille mmoire du code");
      Lb_Heap_Memory_Size (Francais)           :=
         To_Unbounded_String ("Taille mmoire du tas");
      Lb_Data_Memory_Size (Francais)           :=
         To_Unbounded_String ("Taille mmoire des donnes");
      Lb_Stack_Memory_Size (Francais)          :=
         To_Unbounded_String ("Taille mmoire de la pile");
      Lb_Text (Francais)                       :=
         To_Unbounded_String ("Code");
      Lb_Heap (Francais)                       := To_Unbounded_String ("Tas");
      Lb_Data (Francais)                       :=
         To_Unbounded_String ("Donnes");
      Lb_Stack (Francais)                      :=
         To_Unbounded_String ("Pile");

      --
      --  Tasks widgets
      --
      Lb_Task_Name (Francais)                        :=
         To_Unbounded_String ("Nom de la tche");
      Lb_Task (Francais)                             :=
         To_Unbounded_String ("Tche");
      Lb_Task_Type (Francais)                        :=
         To_Unbounded_String ("Type de tche");
      Lb_Capacity (Francais)                         :=
         To_Unbounded_String ("Capacit");
      Lb_Criticality (Francais)                      :=
         To_Unbounded_String ("Criticit");
      Lb_Deadline (Francais)                         :=
         To_Unbounded_String ("Echance");
      Lb_Period (Francais)                           :=
         To_Unbounded_String ("Priode");
      Lb_Jitter (Francais)                           :=
         To_Unbounded_String ("Gigue");
      Lb_Priority (Francais)                         :=
         To_Unbounded_String ("Priorit");
      Lb_Policy (Francais)                           :=
         To_Unbounded_String ("Politique");
      Lb_Policy_Control (Francais)                   :=
         To_Unbounded_String
           ("Politique incompatible avec le niveau de priorit selectionn");
      Lb_Start_Time (Francais)                       :=
         To_Unbounded_String ("Arrive");
      Lb_Offset_Val (Francais)                       :=
         To_Unbounded_String ("Val. offset");
      Lb_Offset_Act (Francais)                       :=
         To_Unbounded_String ("Offset act.");
      Lb_Offsets (Francais)                          :=
         To_Unbounded_String ("Offsets");
      Lb_Activations (Francais)                      :=
         To_Unbounded_String ("Activations");
      Lb_Activation (Francais)                       :=
         To_Unbounded_String ("Activation");
      Lb_Values (Francais)                           :=
         To_Unbounded_String ("Valeurs");
      Lb_Value (Francais)                            :=
         To_Unbounded_String ("Valeur");
      Lb_User_Defined_Parameter (Francais)           :=
         To_Unbounded_String ("Paramtres utilisateurs");
      Lb_Rule_For_Parametric_Only (Francais)         :=
         To_Unbounded_String
           ("Rgle d'activation seulement avec une tche paramtrique");
      Lb_Main (Francais)                             :=
         To_Unbounded_String ("Page principale");
      Lb_Can_Not_Modify (Francais)                   :=
         To_Unbounded_String ("Ne peut pas tre modifi.");
      Lb_No_Period (Francais)                        :=
         To_Unbounded_String ("n'a pas de priode");
      Lb_Require_Period (Francais)                   :=
         To_Unbounded_String ("exige une priode");
      Lb_Require_Activation_Rule (Francais)          :=
         To_Unbounded_String ("exige une rgle d'activation");
      Lb_Have_To_Be_On_The_Same_Processor (Francais) :=
         To_Unbounded_String
           ("doivent tre positionns sur le mme processeur");
      Lb_Select_Task_First (Francais)                :=
         To_Unbounded_String ("Choisissez une tche d'abord");
      Lb_Seed (Francais)                             :=
         To_Unbounded_String ("Graine");
      Lb_Predictable (Francais)                      :=
         To_Unbounded_String ("Prvisible");
      Lb_Unpredictable (Francais)                    :=
         To_Unbounded_String ("Imprvisible");
      Lb_Task_Not_Permitted (Francais)               :=
         To_Unbounded_String
           ("Operation impossible pour la tche selectionne");
      Lb_Activation_Rule (Francais)                  :=
         To_Unbounded_String ("Rgle d'activation");

      --
      --  Messages widgets
      --
      Lb_Response_Time_Message (Francais)      :=
         To_Unbounded_String ("Temps de rponse");
      Lb_Communication_Time_Message (Francais) :=
         To_Unbounded_String ("Temps de communication");
      Lb_Message_Type (Francais)               :=
         To_Unbounded_String ("Type du message");
      Lb_Message (Francais)                    :=
         To_Unbounded_String ("Message");
      Lb_Message_Name (Francais)               :=
         To_Unbounded_String ("Nom du message");

      --
      --  Buffers widgets
      --
      Lb_Buffer (Francais)              := To_Unbounded_String ("Tampon");
      Lb_Buffer_Name (Francais)         :=
         To_Unbounded_String ("Nom du tampon");
      Lb_Size (Francais)                := To_Unbounded_String ("Taille");
      Lb_Time (Francais)                := To_Unbounded_String ("Temps");
      Lb_Select_Buffer_First (Francais) :=
         To_Unbounded_String ("Choisissez un tampon d'abord");
      Lb_Utilization_Level (Francais)   :=
         To_Unbounded_String ("Taux d'utilisation");
      Lb_Bound_Buffer (Francais)        :=
         To_Unbounded_String ("Borne sur les tampons");
      Lb_Role_Type (Francais)           := To_Unbounded_String ("Type");
      Lb_Role (Francais)                := To_Unbounded_String ("Rle");
      Lb_Role_Consumer (Francais)       :=
         To_Unbounded_String ("Consommateur");
      Lb_Role_Producer (Francais)       := To_Unbounded_String ("Producteur");
      Lb_Buffer_Information (Francais)  :=
         To_Unbounded_String ("Information sur le tampon ");
      Lb_Buffer_List (Francais)         :=
         To_Unbounded_String ("Liste des tampons ");
      Lb_Role_List (Francais)           :=
         To_Unbounded_String ("Tches utilisant le tampon ");
      Lb_Queueing_System (Francais)     :=
         To_Unbounded_String ("File d'attente ");

      --
      --  Resources widgets
      --
      Lb_Resource_Name (Francais)           :=
         To_Unbounded_String ("Nom de la ressource");
      Lb_Resource (Francais)                :=
         To_Unbounded_String ("Ressource");
      Lb_Select_Resource_First (Francais)   :=
         To_Unbounded_String ("Choisissez une ressource d'abord");
      Lb_Update_Resource_Control (Francais) :=
         To_Unbounded_String ("Tche selectionne invalide");
      Lb_Resource_Filter (Francais)         :=
         To_Unbounded_String ("Selectionner une ressource");
      Lb_Cpu_Filter (Francais)              :=
         To_Unbounded_String ("Selectionner un processeur");
      Lb_State (Francais)                   := To_Unbounded_String ("Etat");
      Lb_Protocol (Francais)                :=
         To_Unbounded_String ("Protocole");
      Lb_Modify (Francais)                  :=
         To_Unbounded_String ("Modifier");
      Lb_Used_Protocol (Francais)           :=
         To_Unbounded_String ("Protocole utilis : ");
      Lb_Resource_State (Francais)          :=
         To_Unbounded_String ("Etat de la ressource (Entier) : ");
      Lb_Task_Begin (Francais)              := To_Unbounded_String ("Dbut");
      Lb_Task_End (Francais)                := To_Unbounded_String ("Fin");
      Lb_Resources (Francais)               :=
         To_Unbounded_String ("Ressources");
      Lb_Resource_Affect (Francais)         :=
         To_Unbounded_String ("Ressource partage par les tches ");
      Lb_Resource_Information (Francais)    :=
         To_Unbounded_String ("Information sur la resource ");
      Lb_Invalid_Protocol (Francais)        :=
         To_Unbounded_String (" Protocole de partage de resource invalide ");

      --
      -- Networks Widgets
      --

      Lb_Only_On_Parametric_Network (Francais) :=
         To_Unbounded_String ("Seulement avec un rseau paramtrique");
      Lb_Network (Francais)                    :=
         To_Unbounded_String ("Rseau");
      Lb_Networks_Name (Francais)              :=
         To_Unbounded_String ("Nom du rseau");
      Lb_Networks_Type (Francais)              :=
         To_Unbounded_String ("Type du rseau");
      Lb_Networks_List (Francais)              :=
         To_Unbounded_String ("Liste des rseaux");
      Lb_View_Networks_Type (Francais)         :=
         To_Unbounded_String ("Type");
      Lb_Define_Networks_Before (Francais)     :=
         To_Unbounded_String ("Definir un rseau avant");
      Lb_Delete_Network (Francais)             :=
         To_Unbounded_String ("Effacer un rseau");
      Lb_Network_Not_Found (Francais)          :=
         To_Unbounded_String ("Le rseau n'existe pas");

      --
      --  Dependency graph widgets
      --

      Lb_New_Buffer_Role (Francais)   :=
         To_Unbounded_String ("Nouveau rle tampon");
      Lb_Disp1 (Francais)             :=
         To_Unbounded_String ("Disposition 1");
      Lb_Disp2 (Francais)             :=
         To_Unbounded_String ("Disposition 2");
      Lb_Disp3 (Francais)             :=
         To_Unbounded_String ("Disposition 3");
      Lb_Create (Francais)            := To_Unbounded_String ("Crer");
      Lb_Select (Francais)            := To_Unbounded_String ("Selectionner");
      Lb_Name (Francais)              := To_Unbounded_String ("Nom");
      Lb_Select_Row_Before (Francais) :=
         To_Unbounded_String ("Selectionner une ligne avant");
      Lb_Precedencies (Francais)      := To_Unbounded_String ("Prcdences");
      Lb_Arrow (Francais)             := To_Unbounded_String ("Flche");
      Lb_New_Item (Francais)          := To_Unbounded_String ("Nouvel objet");
      Lb_Graph_View (Francais)        :=
         To_Unbounded_String ("Graphe de prcdences");
      Lb_Choose_Item (Francais)       :=
         To_Unbounded_String ("Choisisser l'objet");

      --
      --  Duplicate widget
      --

      Lb_Duplicate (Francais) := To_Unbounded_String ("Copier");
      Lb_Old (Francais)       := To_Unbounded_String ("Ancien");
      Lb_Object (Francais)    := To_Unbounded_String ("Objet");

      --
      -- Time line selection wifget
      --

      Lb_Select_Time_Line (Francais)                  :=
         To_Unbounded_String ("Selection des chronogrammes");
      Lb_Type (Francais)                              :=
         To_Unbounded_String ("Type");
      Lb_To_Display (Francais)                        :=
         To_Unbounded_String ("A afficher");
      Lb_Can_Not_Display_So_Much_Time_Line (Francais) :=
         To_Unbounded_String ("Impossible d'afficher autant de chronogramme");
      Lb_Select_At_Least_One_Time_Line (Francais)     :=
         To_Unbounded_String ("Selectionner au moins un chronogramme");

      --
      -- AADL options widget
      --

      Lb_Aadl_Process_Second_Import_Pass (Francais)            :=
         To_Unbounded_String(
"Appliquer la 2eme passe de l'import : liaison des composants logiciels et matriels"
);
      Lb_Aadl_Process_Third_Import_Pass (Francais)             :=
         To_Unbounded_String(
"Appliquer la 3eme passe de l'import : traitement des connexions entre composants"
);
      Lb_Import_Aadl_Event_To_Precedencies (Francais)          :=
         To_Unbounded_String
           ("Transformer les event ports en prcdence de tches");
      Lb_Import_Aadl_Event_To_Buffers_Messages (Francais)      :=
         To_Unbounded_String
           ("Transformer les event ports en buffers et messages");
      Lb_Import_Aadl_Event_Data_To_Precedencies (Francais)     :=
         To_Unbounded_String
           ("Transformer les event data ports en prcdence de tches");
      Lb_Import_Aadl_Event_Data_To_Buffers_Messages (Francais) :=
         To_Unbounded_String
           ("Transformer les event data ports en buffers et messages");
      Lb_Aadl_Debug (Francais)                                 :=
         To_Unbounded_String ("Activer l'option de Debug pour AADL");
      Lb_Import_Aadl_System_Name (Francais)                    :=
         To_Unbounded_String(
"Inclure le nom du systme/sous-systme dans le nom des composants Cheddar");
      Lb_Export_Aadl_Precedencies_To_Event (Francais)          :=
         To_Unbounded_String
           ("Transformer les prcdences de tches en event ports");
      Lb_Export_Aadl_Precedencies_To_Event_Data (Francais)     :=
         To_Unbounded_String
           ("Transformer les prcdences de tches en event data ports");
      Lb_Export_Aadl_Precedencies_To_Properties (Francais)     :=
         To_Unbounded_String
           ("Transformer les prcdences de tches en proprits Cheddar");

      --
      -- Others ...
      --
      Lb_Advanced (Francais) := To_Unbounded_String ("Avanc");
      Lb_Cancel (Francais)   := To_Unbounded_String ("Annuler");
      Lb_Warning (Francais)  := To_Unbounded_String ("- Attention : ");
      Lb_See (Francais)      := To_Unbounded_String ("cf. ");
      Lb_Equation (Francais) := To_Unbounded_String ("quation ");
      Lb_Theorem (Francais)  := To_Unbounded_String ("thorme ");
      Lb_Lemma (Francais)    := To_Unbounded_String ("lemme ");
      Lb_Inferior (Francais) := To_Unbounded_String ("infrieur  ");
      Lb_Superior (Francais) := To_Unbounded_String ("suprieur  ");
      Lb_Close (Francais)    := To_Unbounded_String ("Fermer");
      Lb_And (Francais)      := To_Unbounded_String ("et ");
      Lb_Continue (Francais) :=
         To_Unbounded_String ("Voulez vous continuer ?");

      ----------------------------------------------------
      --   Event table services
      ----------------------------------------------------

      Lb_Export_Event_Table (Francais)                          :=
         To_Unbounded_String ("Export la table d'vnements");
      Lb_Import_Event_Table (Francais)                          :=
         To_Unbounded_String ("Import une table d'vnemenbts");
      Lb_Event_Table_Services (Francais)                        :=
         To_Unbounded_String ("Oprations sur la table d'vnements");
      Lb_Compute_Scheduling_And_Generate_Event_Table (Francais) :=
         To_Unbounded_String
           ("Calcul de l'ordonnancement et gnration de la table d'vnements"
);
      Lb_Run_Analysis_On_Event_Table (Francais)                 :=
         To_Unbounded_String ("Excuter l'analyse de la table d'vnements");
      Lb_Draw_Time_Line_From_Event_Table (Francais)             :=
         To_Unbounded_String
           ("Dessiner le chronogramme  partir de la table d'vnements");
      Lb_Display_Event_Table (Francais)                         :=
         To_Unbounded_String ("Affichage de la table d'vnements");
      Lb_Automatically_Export_Event_Table (Francais)            :=
         To_Unbounded_String ("Export automatique de la table d'vnements");
      Lb_Event_Table_File_Name (Francais)                       :=
         To_Unbounded_String ("Nom du fichier de table d'vnements");

      ----------------------------------------------------
      --   Seed options
      ----------------------------------------------------

      Lb_Seed_Options (Francais)      :=
         To_Unbounded_String ("Options de graine :");
      Lb_Task_Specific (Francais)     :=
         To_Unbounded_String ("Spcifiques aux tches");
      Lb_All_Predictable (Francais)   :=
         To_Unbounded_String ("Prvisible pour toutes les tches");
      Lb_All_Unpredictable (Francais) :=
         To_Unbounded_String ("Imprvisible pour toutes les tches");

      ----------------------------------------------------
      --   Data controls
      ----------------------------------------------------

      Lb_Invalid_Priority (Francais) :=
         To_Unbounded_String ("Valeur de priorit incorrect");
      Lb_Mandatory (Francais)        :=
         To_Unbounded_String (" est obligatoire");
      Lb_Already_Defined (Francais)  := To_Unbounded_String (" dj dfini");
      Lb_Must_Be (Francais)          := To_Unbounded_String (" doit tre ");
      Lb_Must_Be_Numeric (Francais)  :=
         To_Unbounded_String (" doit tre numrique");
      Lb_Parameter (Francais)        := To_Unbounded_String ("Le paramtre ");

      ----------------------------------------------------
      --   Parametric scheduler messages
      ----------------------------------------------------

      --
      -- Parser and parametric simulation error
      --

      Lb_Parametric_File_Error (Francais)                                 :=
         To_Unbounded_String ("Erreur sur fichier paramtrique");
      Lb_Type_Error (Francais)                                            :=
         To_Unbounded_String ("Erreur de type");
      Lb_Statement_Error (Francais)                                       :=
         To_Unbounded_String ("Erreur sur instruction");
      Lb_Variable_Error (Francais)                                        :=
         To_Unbounded_String ("Erreur sur variable");
      Lb_Syntax_Error (Francais)                                          :=
         To_Unbounded_String ("Erreur de syntaxe");
      Lb_Identifier_Already_Exists (Francais)                             :=
         To_Unbounded_String ("Identificateur dj dclar");
      Lb_Variable_Declaration_Have_To_Be_Done_In_Start_Section (Francais) :=
         To_Unbounded_String(
"Les declarations de variable doivent etre effectuees dans la section start");
      Lb_Undeclared_Identifier (Francais)                                 :=
         To_Unbounded_String ("Identificateur non dclar");
      Lb_Identifier (Francais)                                            :=
         To_Unbounded_String ("Identificateur");
      Lb_Integer_Conversion_Error (Francais)                              :=
         To_Unbounded_String ("Erreur de conversion sur type entier");
      Lb_Double_Conversion_Error (Francais)                               :=
         To_Unbounded_String ("Erreur de conversion sur type double");
      Lb_Index_Error (Francais)                                           :=
         To_Unbounded_String ("Erreur sur index de tableau");
      Lb_Uncompatible_Type_Error (Francais)                               :=
         To_Unbounded_String ("Types incompatibles");
      Lb_Can_Not_Edit_To_Parametric_Object (Francais)                     :=
         To_Unbounded_String
           ("Impossible d'diter deux objets paramtriques au mme instant");
      Lb_Identifier_Already_Declared (Francais)                           :=
         To_Unbounded_String ("Identicateur deja defini");
      Lb_Operation_Not_Permitted (Francais)                               :=
         To_Unbounded_String ("Opration interdite ");
      Lb_Variable_Size (Francais)                                         :=
         To_Unbounded_String(
"Les variables de gauche et de droite doivent avoir la meme de tableau");

      ----------------------------------------------------
      --   Logic messages/errors (scheduling, buffer
      --           and blocking time)
      ----------------------------------------------------

      --
      -- Shared resources logic
      --

      Lb_Compute_Blocking_Error1 (Francais) :=
         To_Unbounded_String
           ("Toutes les ressources doivent utiliser le mme protocole.");
      Lb_Compute_Blocking_Error2 (Francais) :=
         To_Unbounded_String(
"- Erreur de protocole : protocole de partage de ressource incompatible avec l'ordonnanceur slectionn."
);
      Lb_Compute_Blocking_Error3 (Francais) :=
         To_Unbounded_String(
"Impossible de calculer une borne sur les temps de blocage avec ce protocole.")
;

      Lb_Deadlock_Detection (Francais)           :=
         To_Unbounded_String
           ("Recherche d'interblocage  partir de la simulation ");
      Lb_Priority_Inversion_Detection (Francais) :=
         To_Unbounded_String
           ("Recherche d'inversion de priorit  partir de la simulation ");

      Lb_Simulation_Deadlock (Francais)           :=
         To_Unbounded_String ("Interblocage  partir de la simulation ");
      Lb_Simulation_Priority_Inversion (Francais) :=
         To_Unbounded_String
           ("Inversion de priorit  partir de la simulation ");
      Lb_Deadlock_At_Time (Francais)              :=
         To_Unbounded_String ("- Interblocage  l'instant");
      Lb_No_Deadlock_Found (Francais)             :=
         To_Unbounded_String
           ("- Pas d'interblocage trouv dans la simulation.");
      Lb_No_Priority_Inversion_Found (Francais)   :=
         To_Unbounded_String
           ("- Pas d'inversion de priorit trouve dans la simulation.");

      Lb_Has_Priority_Inversion (Francais) :=
         To_Unbounded_String
           ("  est victime d'une inversion de priorit sur la resource ");
      Lb_From_The_Time (Francais)          :=
         To_Unbounded_String (" de l'instant ");
      Lb_To_The_Time (Francais)            :=
         To_Unbounded_String ("  l'instant ");

      Lb_Bound_Blocking_Time (Francais)          :=
         To_Unbounded_String ("Borne sur le temps de blocage ");
      Lb_Blocking_Time (Francais)                :=
         To_Unbounded_String ("Temps de blocage ");
      Lb_Simulation_Blocking_Time (Francais)     :=
         To_Unbounded_String(
"Temps de blocage  partir de la simulation (peut include le temps d'attente processeur)"
);
      Lb_Blocking_Time_Inject_Success (Francais) :=
         To_Unbounded_String
           ("- Modification des temps de blocage effectue.");
      Lb_Blocking_Time_Inject_Failed (Francais)  :=
         To_Unbounded_String
           ("- Modification des temps de blocage non effectue.");

      --
      -- Scheduling logic
      --
      Lb_Select_Almost_One_Feasilibity_Test (Francais)               :=
         To_Unbounded_String ("Selectionner au moins un test de faisabilite");
      Lb_Feasibility_Number1 (Francais)                              :=
         To_Unbounded_String(
"1) Test de faisabilit bas sur le taux d'utilisation du processeur : ");
      Lb_Feasibility_Number2 (Francais)                              :=
         To_Unbounded_String
           ("2) Test de faisabilit bas su le pire temps de rponse : ");
      Lb_Compute_Scheduling (Francais)                               :=
         To_Unbounded_String ("Calcul de l'ordonnancement");
      Lb_Generate_Events (Francais)                                  :=
         To_Unbounded_String ("Gnration des vnements");
      Lb_Para (Francais)                                             :=
         To_Unbounded_String ("avec un ordonnanceur Paramtrique, ");
      Lb_Edf (Francais)                                              :=
         To_Unbounded_String ("avec EDF, ");
      Lb_Muf (Francais)                                              :=
         To_Unbounded_String ("avec MUF, ");
      Lb_Rm (Francais)                                               :=
         To_Unbounded_String ("avec RM, ");
      Lb_D_Over (Francais)                                           :=
         To_Unbounded_String ("with D-Over, ");
      Lb_Dm (Francais)                                               :=
         To_Unbounded_String ("avec DM, ");
      Lb_Llf (Francais)                                              :=
         To_Unbounded_String ("avec LLF, ");
      Lb_Run_Simulation_On_One_Processor_Only (Francais)             :=
         To_Unbounded_String ("Ordonnance tous les processors");
      Lb_Run_Feasibility_Tests_On_One_Processor_Only (Francais)      :=
         To_Unbounded_String (" Faisabilit sur tous les processors");
      Lb_Worst_Case (Francais)                                       :=
         To_Unbounded_String ("Pire cas");
      Lb_Best_Case (Francais)                                        :=
         To_Unbounded_String ("Meilleur cas");
      Lb_Average_Case (Francais)                                     :=
         To_Unbounded_String ("Cas moyen");
      Lb_Curve (Francais)                                            :=
         To_Unbounded_String ("Courbe");
      Lb_Simulation_Error (Francais)                                 :=
         To_Unbounded_String ("Erreur de simulation : ");
      Lb_Priorities_Error (Francais)                                 :=
         To_Unbounded_String(
"- Tches non priodiques et non sporadiques : impossible de modifier les priorits."
);
      Lb_Set_Priorities_Dm (Francais)                                :=
         To_Unbounded_String
           ("Affectation des priorits selon Deadline Monotonic");
      Lb_Set_Priorities_Rm (Francais)                                :=
         To_Unbounded_String
           ("Affectation des priorits selon Rate Monotonic");
      Lb_Set_Priorities (Francais)                                   :=
         To_Unbounded_String ("Affectation des priorits");
      Lb_Scheduling_Options (Francais)                               :=
         To_Unbounded_String ("Paramtrage de l'ordonnancement");
      Lb_Schedule_According_To (Francais)                            :=
         To_Unbounded_String ("Ordonnancement en tenant compte des :");
      Lb_Unit_Of_Times (Francais)                                    :=
         To_Unbounded_String (" units de temps ");
      Lb_Draw_From (Francais)                                        :=
         To_Unbounded_String ("Tracer  partir de");
      Lb_Draw_To (Francais)                                          :=
         To_Unbounded_String ("Tracer jusqu'");
      Lb_Schedule_To (Francais)                                      :=
         To_Unbounded_String (" Ordonnancer de 0 ");
      Lb_Periodic_Situation (Francais)                               :=
         To_Unbounded_String (" dans le cas priodique");
      Lb_Schedule_Time_Line_Too_Large (Francais)                     :=
         To_Unbounded_String
           (" Impossible de calculer un aussi grand ordonnancement ");
      Lb_Draw_Time_Line_Too_Large (Francais)                         :=
         To_Unbounded_String
           (" Impossible d'afficher plus de 1500 units de temps ");
      Lb_Scheduling (Francais)                                       :=
         To_Unbounded_String ("Ordonnancement");
      Lb_Free_Unit_Time (Francais)                                   :=
         To_Unbounded_String
           (" units de temps sont libres sur la priode d'tude.");
      Lb_Utilization_With_Period (Francais)                          :=
         To_Unbounded_String
           ("- Le taux d'utilisation calcul avec les priodes est de ");
      Lb_Utilization_With_Deadline (Francais)                        :=
         To_Unbounded_String
           ("- Le taux d'utilisation calcul avec les chances est de ");
      Lb_Utilization_Bound1 (Francais)                               :=
         To_Unbounded_String ("- Dans le cas premptif, ");
      Lb_Utilization_Bound11 (Francais)                              :=
         To_Unbounded_String ("- Dans le cas non premptif, ");
      Lb_Sched_Explanation1 (Francais)                               :=
         To_Unbounded_String(
"les taches sont ordonnancables car le taux d'utilisation processeur ");
      Lb_Sched_Explanation12 (Francais)                              :=
         To_Unbounded_String (" est inferieur ou egal a ");
      Lb_Sched_Explanation2 (Francais)                               :=
         To_Unbounded_String(
"les taches ne sont pas ordonnancables car le taux d'utilisation processeur ");
      Lb_Sched_Explanation22 (Francais)                              :=
         To_Unbounded_String (" est superieur a ");
      Lb_Sched_Explanation3 (Francais)                               :=
         To_Unbounded_String(
"il n'est pas possible de prouver que les taches sont ordonnancables car le taux d'utilisation processeur "
);
      Lb_Sched_Explanation5 (Francais)                               :=
         To_Unbounded_String
           ("le jeu de taches est ordonnancable car pour chaque tache ");
      Lb_Sched_Explanation52 (Francais)                              :=
         To_Unbounded_String(
"le taux d'utilisation du processor est plus petit ou gal  la borne ");
      Lb_Sched_Explanation6 (Francais)                               :=
         To_Unbounded_String
           ("le jeu de taches n'est pas ordonnancable car ");
      Lb_Sched_Explanation62 (Francais)                              :=
         To_Unbounded_String(
"une ou plusieurs taches ne remplissent pas le test de faisabilit sur le taux d'utilisation processeur"
);
      Lb_Sched_Explanation7 (Francais)                               :=
         To_Unbounded_String ("  Liste des taches non ordonnancables : ");
      Lb_Sched_Explanation8 (Francais)                               :=
         To_Unbounded_String(
"il n'est pas possible de prouver que le jeu de taches est ordonnancable car ")
;
      Lb_Sched_Explanation81 (Francais)                              :=
         To_Unbounded_String(
"une ou plusieurs taches ne remplissent pas le test de faisabilit sur le taux d'utilisation processeur"
);
      Lb_Sched_Explanation82 (Francais)                              :=
         To_Unbounded_String ("  Liste des taches concernes : ");
      Lb_No_Deadline_Missed_In_The_Computed_Scheduling (Francais)    :=
         To_Unbounded_String(
"- Aucune chance de manque dans la simulation d'ordonnancement : le jeu de tches semble tre ordonnanable."
);
      Lb_No_Deadline_Will_Be_Missed_Task_Are_Schedulable (Francais)  :=
         To_Unbounded_String(
"- Toutes les chances seront respectes : le jeu de tche est ordonnanable."
);
      Lb_Deadline_Will_Be_Missed_Task_Are_Not_Schedulable (Francais) :=
         To_Unbounded_String(
"- Certaines chances ne seront pas respectes : le jeu de tche n'est pas ordonnanable."
);
      Lb_Bound_On_Task_Response_Time (Francais)                      :=
         To_Unbounded_String ("Borne sur les temps de rponse des tches");
      Lb_Task_Response_Time (Francais)                               :=
         To_Unbounded_String
           ("- Borne sur les temps de rponse des tches : ");
      Lb_Task_Response_Time (Francais)                               :=
         To_Unbounded_String ("Temps de rponse des tches");
      Lb_Task_Response_Time_From_Simulation (Francais)               :=
         To_Unbounded_String
           ("Temps de rponse des tches calcul  partir de la simulation");
      Lb_Scheduling_Period (Francais)                                :=
         To_Unbounded_String ("- La priode d'tude est");
      Lb_Number_Of_Preemption (Francais)                             :=
         To_Unbounded_String ("Nombre de premption");
      Lb_Number_Of_Context_Switch (Francais)                         :=
         To_Unbounded_String ("Nombre de commutation de contexte");
      Lb_Priorities (Francais)                                       :=
         To_Unbounded_String ("- Nouvelles priorits :");
      Lb_Partition_Best_Fit (Francais)                               :=
         To_Unbounded_String ("Avec Best Fit");
      Lb_Partition_General_Task (Francais)                           :=
         To_Unbounded_String ("Avec General Task");
      Lb_Partition_Next_Fit (Francais)                               :=
         To_Unbounded_String ("Avec Next Fit");
      Lb_Partition_First_Fit (Francais)                              :=
         To_Unbounded_String ("Avec First Fit");
      Lb_Partition_Small_Task (Francais)                             :=
         To_Unbounded_String ("Avec Small Task");
      Lb_Partition (Francais)                                        :=
         To_Unbounded_String ("Partitionnement ");
      Lb_Partitioning_Result (Francais)                              :=
         To_Unbounded_String ("Placement des tches aprs partitionnement");
      Lb_Partition_Error1 (Francais)                                 :=
         To_Unbounded_String(
"- Impossible de partitionner : tous les processeurs doivent avoir le mme ordonnanceur."
);
      Lb_Partition_Error2 (Francais)                                 :=
         To_Unbounded_String
           ("- Impossible de partitionner : nombre de processeur insuffisant.")
;
      Lb_Partition_Error3 (Francais)                                 :=
         To_Unbounded_String(
"- Ordonnanceur invalide : impossible de calculer le partitionnement. ");

      Lb_Compute_Scheduling_Error_1 (Francais)  :=
         To_Unbounded_String(
"- Erreur sur le modle de tche : l'ordonnanceur slectionne est incompatible."
);
      Lb_Compute_Scheduling_Error_2 (Francais)  :=
         To_Unbounded_String(
"- Tches non priodiques et non sporadiques : impossible de calculer la priode d'tude avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_3 (Francais)  :=
         To_Unbounded_String(
"- Erreur sur le modle de tche : impossible de calculer la priode d'tude avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_4 (Francais)  :=
         To_Unbounded_String(
"- Tches avec priodes diffrentes des chances : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_5 (Francais)  :=
         To_Unbounded_String(
"- Tches non priodiques : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_6 (Francais)  :=
         To_Unbounded_String(
"- Erreur sur le modle de tche : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_7 (Francais)  :=
         To_Unbounded_String(
"- Taux d'utilisation trp lev : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_8 (Francais)  :=
         To_Unbounded_String(
"- Erreur interne : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_9 (Francais)  :=
         To_Unbounded_String(
"- Tches non priodiques et non sporadiques : impossible de calculer un taux d'utilisation bas sur les priodes avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_10 (Francais) :=
         To_Unbounded_String(
"- Erreur sur le modle de tches : impossible de calculer un taux d'utilisation avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_11 (Francais) :=
         To_Unbounded_String(
"- Tches avec priorit identique : l'ordonnanceur slectionne est incompatible."
);
      Lb_Compute_Scheduling_Error_12 (Francais) :=
         To_Unbounded_String(
"- Tches avec date d'arrive >  zro : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_13 (Francais) :=
         To_Unbounded_String(
"- Tches avec offset diffrents de zro : impossible de calculer les bornes des temps de rponse avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_14 (Francais) :=
         To_Unbounded_String(
"- Tches avec priodes diffrentes des chances : l'ordonnanceur slectionn est incompatible."
);
      Lb_Compute_Scheduling_Error_15 (Francais) :=
         To_Unbounded_String(
"- Tches non priodiques : l'ordonnanceur slectionn est incompatible.");
      Lb_Compute_Scheduling_Error_18 (Francais) :=
         To_Unbounded_String(
"- Ordonnanceur invalide : impossible de calculer les bornes des temps de rponse avec cet ordonnanceur."
);
      Lb_Compute_Scheduling_Error_19 (Francais) :=
         To_Unbounded_String(
"- Ordonnanceur invalide : impossible de calculer une borne sur le taux d'utilisation."
);
      Lb_Compute_Scheduling_Error_21 (Francais) :=
         To_Unbounded_String(
"- Tches avec chance nulle : impossible de calculer un taux d'utilisation bas sur les chances avec ce jeu de tches."
);
      Lb_Compute_Scheduling_Error_22 (Francais) :=
         To_Unbounded_String
           ("- Impossible de calculer un ordonnancement aussi grand. ");
      Lb_Check_Deadline (Francais)              :=
         To_Unbounded_String (" a rat son chance (chance = ");
      Lb_Periodic (Francais)                    :=
         To_Unbounded_String ("La tche priodique ");
      Lb_Aperiodic (Francais)                   :=
         To_Unbounded_String ("La tche apriodique ");
      Lb_Poisson_Process_Task (Francais)        :=
         To_Unbounded_String ("La tche Processus de Poisson ");
      Lb_Sporadic_Task (Francais)               :=
         To_Unbounded_String ("La tche Sporadique ");
      Lb_Parametric_Task (Francais)             :=
         To_Unbounded_String ("La tche paramtrique ");
      Lb_Completion_Time (Francais)             :=
         To_Unbounded_String (" ; terminaison = ");

      --
      -- Buffer logic
      --

      Lb_Schedule_Before (Francais)        :=
         To_Unbounded_String ("Calculer un ordonnancement d'abord");
      Lb_Buffer_Utilization (Francais)     :=
         To_Unbounded_String ("Taux d'occupation du tampon : ");
      Lb_Compute_Buffer_Error_1 (Francais) :=
         To_Unbounded_String(
"- Contrainte de dbit non respecte : impossible de calculer la borne du tampon avec ce jeu de tches."
);
      Lb_Compute_Buffer_Error_2 (Francais) :=
         To_Unbounded_String(
"- Tches non priodiques : impossible de calculer la borne du tampon avec ce jeu de tche."
);
      Lb_Harmonic (Francais)               :=
         To_Unbounded_String ("Harmonique");
      Lb_Compute_Buffer_Error_3 (Francais) :=
         To_Unbounded_String(
"- Erreur sur le modle de tche : impossible de calculer la borne de tampon avec plusieurs consommateurs. "
);
      Lb_Compute_Buffer_Error_4 (Francais) :=
         To_Unbounded_String(
"- Erreur file d'attente : impossible de calculer les critres de performance avec cette file d'atttente. "
);
      Lb_Maximum_Buffer_Size (Francais)    :=
         To_Unbounded_String
           ("- Nombre maximum de message dans le tampon : ");
      Lb_Average_Buffer_Size (Francais)    :=
         To_Unbounded_String ("- Nombre moyen de message dans le tampon : ");
      Lb_Maximum_Waiting_Time (Francais)   :=
         To_Unbounded_String ("- Temps d'attente maximum d'un message : ");
      Lb_Average_Waiting_Time (Francais)   :=
         To_Unbounded_String ("- Temps d'attente moyen d'un message : ");

      --
      -- Dependencies logic
      --
      Lb_Chetto (Francais)          :=
         To_Unbounded_String ("Applications des rgles de Chetto/Blazewicz");
      Lb_Chetto_Deadline (Francais) :=
         To_Unbounded_String
           ("Modification des chances selon Chetto/Blazewicz");
      Lb_Chetto_Priority (Francais) :=
         To_Unbounded_String
           ("Modification des priorits selon Chetto/Blazewicz");

      Lb_Jitter_From_Response_Time_One_Step (Francais)  :=
         To_Unbounded_String ("Un pas de calcul");
      Lb_Jitter_From_Response_Time_All_Steps (Francais) :=
         To_Unbounded_String ("Tous les pas de calcul");
      Lb_Jitter_From_Response_Time (Francais)           :=
         To_Unbounded_String ("Temps de rponse de bout en bout");

      Lb_Deadlines_Are_Updated (Francais)     :=
         To_Unbounded_String ("- Mise  jour des chances effectue.");
      Lb_Priorities_Are_Updated (Francais)    :=
         To_Unbounded_String ("- Mise  jour des priorits effectue.");
      Lb_Jitters_Are_Updated (Francais)       :=
         To_Unbounded_String ("- Mise  jour des gigues effectue.");
      Lb_Precedencies_Period_Error (Francais) :=
         To_Unbounded_String(
"- Imposible d'ordonnancer avec les contraintes de precedence : les tches ayant des contraintes de prcdence doivent avoir une priode identique."
);
      Lb_Chetto_Error1 (Francais)             :=
         To_Unbounded_String(
"- Chetto/Blazewicz impossible  appliquer : le graphe de prcdence doit tre acyclique."
);
      Lb_Chetto_Error2 (Francais)             :=
         To_Unbounded_String(
"- Tches avec des priodes diffrentes : impossible d'appliquer la mthode de Chetto/Blazewicz. "
);
      Lb_Chetto_Error3 (Francais)             :=
         To_Unbounded_String(
"- Erreur sur le modle de tche : impossible d'appliquer la mthode de Chetto/Blazewicz. "
);

      --
      -- Random tools
      --

      Lb_Random (Francais)                        :=
         To_Unbounded_String ("Alatoire");
      Lb_Compute_Response_Time_Density (Francais) :=
         To_Unbounded_String ("Calculer la densit sur temps de rponse");
      Lb_Response_Time_Density (Francais)         :=
         To_Unbounded_String ("Densit des temps de rponse");
      Lb_Response_Time (Francais)                 :=
         To_Unbounded_String ("temps de rponse");

   end Initialize;

end Translate.Francais_Labels;
